GDL 0.9.6
2015-12-29  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* README: update on widget status

	* src/gdlwidget.cpp: minor adjustments for cosmetics (2).

2015-12-22  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/widget.cpp: minor adjustments for cosmetics.

2015-12-21  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/libinit.cpp: removed unnecessary warnings about FONT

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/widget.cpp:
	Resizing affects (via TLB_SIZE_EVENT) ok now. Added DYNAMIC_RESIZE and changed way FRAME is handled.

2015-12-17  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/widget.cpp:
	added  FONT= support. Also widget_info(/geometry) and alignments should be OK. Still pb with resizing (e.g.: ATV) when wxWidgets > 2.9 .  Note that FONT values are wxWidgets/Windows names (like "Helvetica Oblique 32").

2015-12-12  alaingdl  <alaingdl@kunbuntu1404>

	* CMakeLists.txt, CMakeModules/FindEigen3.cmake:
	because old Eigen3 is not OK for moderm iCore 3/5/7, we check Eigen version (>= 3.2.4) now

2015-12-11  alaingdl  <alaingdl@kunbuntu1404>

	* src/initsysvar.cpp:
	patch 88 to have reproducably buildable in Debian (__DATE__ changed as BUILD_DATE)

2015-12-03  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/gdlwxstream.cpp:
	Correct some bugs. Tested with wxWidgets 2.8 and 3.0 , plplot 5.9.9 and 5.11.1 (plplot-5.11.1 needs to be compiled with -DOLD_WXWIDGETS:BOOL=ON), their new wxdriver is too unstable

2015-12-02  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* testsuite/test_array_indices.pro: Test file for array_indices.

	* src/pro/array_indices.pro: R. Stockli added /DIMENSION Keyword.

	* CMakeLists.txt, config.h.cmake:
	Added finding QHULL, needed to have TRIANGULATE, QHULL et commands working at a future time.

	* CMakeModules/FindQHULL.cmake:
	New for finding QHULL, needed to have TRIANGULATE, QHULL et commands working at a future time.

2015-11-13  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/CMakeLists.txt, src/libinit_ac.cpp:
	Temporary removed reference to unfinished "smooth.cpp" work, whose compilation
	is not... smooth on some machines. To be removed when this function is deemed OK.

2015-10-23  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting.cpp:
	patches for plplot compatibility: invalid use of HAVE_CONFIG in plplot public include.

	* src/gdlwidget.cpp, src/gdlwidgeteventhandler.cpp:
	patches for wxWidgets 3.x compatibility (more to come).

	* src/gdlgstream.hpp, src/gdlwxstream.cpp, src/image.hpp:
	patches for plplot compatibility: invalid use of HAVE_CONFIG in plplot public include.

	* CMakeLists.txt, CMakeModules/FindPlplot.cmake, config.h.cmake, src/plotting_contour.cpp:
	patches for plplot compatibility (library names, functions api, etc that keep changing with plot's whims). Thanks to Orion and Greg.

	* src/smooth.cpp:
	saved temporary version of smooth (better, but not yet useable)

	* src/file.cpp: added comment about PATH_MAX for Windows gurus

2015-10-21  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/str.cpp: solves bug #673

2015-10-14  m_schellens  <m_schellens@kunbuntu1404>

	* src/dinterpreter.cpp:
	Fixed bug #667: Accept comma separated file names in .RUN command

	* CMakeModules/FindImageMagick.cmake, src/GDLLexer.cpp, src/dinterpreter.cpp, src/hdf_pro.cpp, src/typetraits.hpp:
	Fixed bug #663: Skip in GetLine functions comment lines like empty lines

2015-10-09  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/file.cpp: solves bug #672

2015-10-07  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/read.cpp: solves bug #670

2015-10-07  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/test_file_search.pro:
	revisiting "test_file_search.pro", adding 2 problematic new cases (bug 672)

	* testsuite/add_error.pro, testsuite/test_reads.pro:
	iinitial import of ADD_ERROR, use to increment errors count and print a message

2015-10-06  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlpsstream.cpp: pacify fussy (dumb?) compilers.

	* testsuite/test_bits_per_pix.pro:
	Test for support for BITS_PER_PIXEL in PostScript device. Not automatic: provides a ps file for each case, to be examined by eye.

2015-10-05  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlpsstream.cpp:
	support for BITS_PER_PIXEL in PostScript device (correct now).

2015-10-04  alaingdl  <alaingdl@kunbuntu1404>

	* src/basic_fun.cpp:
	trying to correct bug 669 : a=SHFIT(dist(10), [2,3]) should work !

	* testsuite/Makefile.am, testsuite/test_window_background.pro:
	2 new files for "make check" : "test_reads" and "test_postscript". For the PS,
	just to give a chance to look at the outputs ...
	A typo corrected in "test_window_background.pro".

2015-10-04  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/deviceps.hpp, src/gdlpsstream.cpp, src/gdlpsstream.hpp, src/graphicsdevice.hpp, src/libinit.cpp, src/plotting_device.cpp:
	support for BITS_PER_PIXEL and !P.FONT in PostScript device.

2015-10-04  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/test_reads.pro:
	initial import of TEST_READS (READS is currently not working with "," (comma) as separator)

2015-09-26  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/deviceps.hpp, src/gdlpsstream.cpp, src/gdlpsstream.hpp:
	This revision should permit to plot images at the correct location for PostScript output.

	* src/plotting_device.cpp:
	corrected bug interpretation landscape or portrait

	* testsuite/test_tv_ps.pro: better test

2015-09-20  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/GDLLexer.cpp, src/gdlc.g:
	corrected bug where PSlibHacks was messing up the (otherwise correct) PostScript output.

2015-09-18  pjb7687  <pjb7687@kunbuntu1404>

	* src/basic_fun.cpp: Changing WIN32 -> _WIN32.
	WIN32 (without underscore) is not defined in some compilers.

2015-09-17  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/deviceps.hpp:
	corrected bug where PSlibHacks was messing up the (otherwise correct) PostScript output.

	* src/gdlpsstream.hpp: minor changes to keep cppcheck happy.

2015-09-16  alaingdl  <alaingdl@kunbuntu1404>

	* src/basic_pro.cpp:
	fixing bug reported by EH on: message,'here', level=1, /info
	when we are already at the main level

2015-09-14  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/objects.cpp:
	reverted the change of IsFun(), we gained speed in procedure compilation, alas it had sideeffects.

2015-09-10  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/basic_fun.cpp, src/basic_pro.cpp:
	minor changes to keep cppcheck happy.

2015-09-10  alaingdl  <alaingdl@kunbuntu1404>

	* NEWS: update

	* testsuite/Makefile.am, testsuite/test_message.pro:
	updating the code for "test_message.pro", add it to automatic "make check"

2015-09-09  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/libinit.cpp:
	Added dummy options to SHADE_SURF to gain compatibility. (noticeably with XSURFACE).

	* src/gdlwxstream.cpp:
	Enable plplot's wxWidgets backends 0,1 or 2 by setting env variable GDL_WX_BACKEND

	* src/plotting.cpp, src/plotting_oplot.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp:
	Do we get both correct positioning & clipping, in !P.MULTI modes as well as when a projection is active?

2015-09-07  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/dialog.hpp, src/dialog.cpp:
	replaced macro to be compatible with wxWidgets ver. 2.8 according to https://wiki.wxwidgets.org/Converting_everything_to_and_from_wxString

2015-09-07  alaingdl  <alaingdl@kunbuntu1404>

	* src/basic_pro.cpp, src/basic_pro.hpp, src/libinit.cpp:
	adding LEVEL keyword in MESSAGE

	* testsuite/test_message.pro:
	initial import of "test_message.pro", a draft.

	* testsuite/test_xdr.pro:
	revisiting "test_xdr.pro", I had some troubles.

2015-09-06  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/deviceps.hpp, src/gdlwidget.cpp, src/gdlwidgeteventhandler.cpp, src/hdf5_fun.cpp, src/image.cpp, src/math_fun_ng.cpp:
	minor changes to keep cppcheck happy.

2015-09-06  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/gdl_idl_fl.pro, testsuite/test_formats.pro, testsuite/test_plot_oo.pro:
	updating "test_plot_oo" in such a way it can count plotting types.
	SVG and PS outputs also possible. IDL and FL possible too.

2015-09-06  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlsvgstream.cpp: removed memory leak

2015-09-05  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting_oplot.cpp, src/plotting_plots.cpp:
	Enabled correct positioning in !P.MULTI mode + projections (hopefully)

	* src/plotting.cpp:
	Plotting routines that do not clear the plot must take care solely of changes in ![X|Y].S . AXIS should reset the plplot box if the SAVE argument is used.

2015-09-05  alaingdl  <alaingdl@kunbuntu1404>

	* src/basic_pro.cpp:
	New version for HELP, calls=c based on SimpleDumpStack() in the same file.

2015-09-05  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting.hpp, src/plotting_axis.cpp, src/plotting_contour.cpp, src/plotting_oplot.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp:
	Plotting routines that do not clear the plot must take care solely of changes in ![X|Y].S . AXIS should reset the plplot box if the SAVE argument is used.

2015-09-05  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/Makefile.am, testsuite/test_pmulti_basic.pro:
	simple graphical test to see whether we introduce regression related
	to !p.multi and OPLOT. May be extensible for other Devices (PS, SVG ...) ?

2015-09-03  alaingdl  <alaingdl@kunbuntu1404>

	* src/plotting.cpp, src/plotting_oplot.cpp:
	correcting OPLOT with log scale. Pb detected via Coyote Lib.
	and test case "additional_axes_plot" in debian/test/test_coyote.pro

2015-09-03  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/basic_pro.cpp: corrected regression introduced by 1.192

2015-09-03  alaingdl  <alaingdl@kunbuntu1404>

	* src/plotting_plot.cpp:
	improving the way xLog and Ylog are managed (plot_oo or /xlog or /xtype)
	see "test_plot_oo.pro" for test case

2015-09-03  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/dcompiler.cpp, src/dcompiler.hpp, src/objects.cpp:
	by modifying the IsFun() method we gain speed in procedure compilation.

2015-09-03  alaingdl  <alaingdl@kunbuntu1404>

	* src/basic_pro.cpp:
	change in Help, Calls=callStack to return also the current level !

2015-09-02  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlgstream.hpp: replaced FALSE by false

	* src/plotting.cpp: corrected memory leaks...

	* src/gdlgstream.hpp, src/plotting_device.cpp: corrected memory leak

2015-09-01  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdl.cpp, src/initsysvar.cpp, src/initsysvar.hpp:
	added gdl commandline option --fakerelease  to have !VERSION.RELEASE match any value requested by a script.

	* NEWS, src/basic_fun.cpp:
	update routine_info to report all routines/functions if so desired.

2015-08-31  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/ifmt.cpp, src/ofmt.cpp:
	corrected calendar format for seconds in input/output.

	* src/plotting.cpp, src/plotting.hpp, src/plotting_axis.cpp, src/plotting_contour.cpp, src/plotting_plot.cpp, src/plotting_shade_surf.cpp, src/plotting_surface.cpp:
	takes care of xtickunits option, better (but far from ideal) multi axis (option [XYZ]units) support.

	* src/libinit.cpp: added comment

2015-08-28  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlc.g, src/GDLLexer.cpp: solves bug #663

2015-08-27  alaingdl  <alaingdl@kunbuntu1404>

	* src/file.cpp, src/str.cpp:
	more changes related to wordexp in "file_info" and "file_test", related to
	problems in FILE_DELETE.

2015-08-26  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwxstream.cpp:
	Workaround try for pacifying fussy compilers arguing about an invalid type of parameter for SetLogicalFunction().

2015-08-25  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/FMTOut.cpp, src/assocdata.hpp, src/basegdl.cpp, src/basegdl.hpp, src/datatypes.hpp, src/dstructgdl.hpp, src/format.out.g, src/nullgdl.cpp, src/nullgdl.hpp, src/ofmt.cpp:
	Formats X and strings were not correctly handled in the subcase of output calendar format.

	* src/libinit.cpp: option name MONTH -> MONTHS

	* src/gdlwxstream.cpp:
	corrected invalid type of parameter for SetLogicalFunction().

	* src/default_io.cpp:
	changed again xdr complex-handling functions to pacify windows-based compilers. use testsuite/test_xdr.pro to check correctness.

2015-08-24  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/FMTOut.hpp, src/datatypes.hpp, src/format.out.g, src/FMTIn.cpp, src/FMTIn.hpp, src/FMTLexer.cpp, src/FMTOut.cpp, src/assocdata.hpp, src/basegdl.cpp, src/basegdl.hpp, src/dstructgdl.hpp, src/format.g, src/format.in.g, src/ifmt.cpp, src/nullgdl.cpp, src/nullgdl.hpp, src/ofmt.cpp, src/specializations.hpp:
	Completed support of calendar format codes, including repeat count for output format, still some unfinished work for input format.
	Also, corrected a bug in input formatting that preventing correct parsing in the presence of the "X" code or strings.

	* src/default_io.cpp:
	changed xdr complex-handling functions to prevent compiler problems.

2015-08-20  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/Makefile.am, testsuite/test_window_background.pro:
	initial import to check whether the background color is OK
	for WINDOW or PLOT (as it was already OK with ERASE)
	The automatic test is working for DEVICE, /decomposed
	Visual test OK for DEVICE, decomposed=0

2015-08-19  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/FMTLexer.cpp, src/FMTOut.cpp, src/FMTParser.cpp, src/assocdata.hpp, src/basegdl.cpp, src/basegdl.hpp, src/datatypes.hpp, src/format.g, src/format.out.g, src/nullgdl.cpp, src/nullgdl.hpp, src/ofmt.cpp, src/specializations.hpp:
	Support of calendar format codes: output formatting OK with the exception of repeat count ( e.g.: in FORMAT='(2C())',  the repeat count 2 is ignored)

2015-08-18  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting.cpp, src/plotting_map_proj.cpp:
	replaced obsoleted finite() with isfinite()

	* src/devicewx.hpp, src/devicex.hpp, src/gdlwxstream.cpp:
	Added SET_GRAPHICS_FUNCTION for WXWidgets (e.g., use of cursor in astrolib's look.pro). Also corrected a logic bug that prevented setting graphic functions or cursor in some cases.

	* src/objects.cpp:
	temporary avoid to purge the memory reserved by commons during final exit (double delete for structures in common not handled would make GDL crash on exit in some cases). This tidying is not really necessary anyway.

	* src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlwxstream.cpp, src/graphicsdevice.cpp, src/graphicsdevice.hpp, src/plotting.cpp, src/plotting_windows.cpp, src/gdlwinstream.cpp, src/gdlxstream.cpp, src/plotting_erase.cpp:
	Solved problems related to concurrency of background color and index 0 of current palette (a plplot "feature") by reserving the background color separately and using it only for the plplot equivalent of ERASE (bop()). The reserved background color should now be properly initialized in  graphic windows creations (WINDOW, WSET) at least for X,WX and WIN (PS background is always white). Corrected also a bug related to improper use of CHANNEL value for per-channel ERASE.

2015-08-17  alaingdl  <alaingdl@kunbuntu1404>

	* src/plotting_windows.cpp:
	In fact, it was not realized that we need to manage the background color
	in WINDOW. Should work now. This come from tests within Nika pipeline
	and HEALPix feedbacks.

2015-08-13  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlxstream.cpp: should better correct color=0 bug

2015-08-11  alaingdl  <alaingdl@kunbuntu1404>

	* src/gdlxstream.cpp:
	trying to solve the famous bug of white on white in Device, decomposed=0
	plot, findgen(10), back=255, color=0
	(mainy famous codes are suffering from that : PSM, Nika, Ulyss)

2015-08-01  alaingdl  <alaingdl@kunbuntu1404>

	* src/least_squares.cpp:
	B argument to LA_LEAST_SQUARES can now be an array. Other details fixed.

	* src/pro/make_dll.pro:
	better version for MAKE_DLL, this one should works on Linux, may be OSX,
	please report any improvment. Needed by Nika2 pipeline.
	First commit after SourceForce crash in July 2015

2015-07-14  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/Makefile.am, testsuite/test_la_least_square.pro, testsuite/test_la_least_squares.pro:
	bad name ... moving ...

	* src/CMakeLists.txt: I forgot to update it for LA_LEAST_SQUARES

2015-07-13  alaingdl  <alaingdl@kunbuntu1404>

	* NEWS, src/least_squares.cpp, src/least_squares.hpp, src/libinit_jmg.cpp, testsuite/Makefile.am, testsuite/test_la_least_square.pro:
	initial import of LA_LEAST_SQUARES (+ tests), based on Eigen3.
	This code was need for Ulyss

2015-07-11  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* testsuite/test_tv.pro: Patched for bug #659
	TEST_TV_OVER_BOX returns gracefully when "Saturn.jpg" is not found.
	And corresponding windows are not closed (which would generate an error).

2015-07-10  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/FMTIn.cpp, src/FMTIn.hpp, src/FMTInTokenTypes.hpp, src/FMTInTokenTypes.txt, src/FMTLexer.cpp, src/FMTOut.cpp, src/FMTParser.cpp, src/format.g, src/format.out.g:
	en route to correct support of calendar format codes (bis).

	* src/FMTLexer.cpp, src/FMTLexer.hpp, src/FMTOut.cpp, src/FMTOut.hpp, src/FMTOutTokenTypes.hpp, src/FMTOutTokenTypes.txt, src/FMTParser.cpp, src/FMTParser.hpp, src/FMTTokenTypes.hpp, src/FMTTokenTypes.txt, src/format.g, src/ofmt.cpp:
	en route to correct support of calendar format codes.

2015-07-10  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/Makefile.am, testsuite/test_plot_oo.pro:
	checking whether the /Xlog and /Xtype keywords are enforced, in PLOT, PLOT_IO/OI/OO

	* src/pro/make_dll.pro:
	initial import of MAKE_DLL. This code is NOT finished.
	!Make_DLL already available in GDL.

	* src/initsysvar.cpp: adding !MAKE_DLL structure, code itself not ready

	* src/plotting_plot.cpp:
	correcting the logic for log related keywords in PLOT, PLOT_IO, PLOT_OI and PLOT_OO

2015-07-09  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/format.g: oops forgotten closing brace

2015-07-08  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/FMTParser.cpp, src/format.g, src/ofmt.cpp:
	definitely solves bug #660

2015-07-04  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/ofmt.cpp: partially solves bug #660

	* src/libinit.cpp:
	make MESSAGE compatible with more than 1 argument (reloaded).

2015-07-02  alaingdl  <alaingdl@kunbuntu1404>

	* NEWS, src/basic_pro.cpp, src/libinit.cpp, src/pro/resolve_all.pro:
	initial import of RESOLVE_ALL (*.pro), more keywords in RESOLVE_ROUTINE.
	This was needed for code Ulyss. Work by Ilia N.

	* src/basic_pro.cpp, src/libinit.cpp:
	various improvments in RESOLVE_ROUTINE (by Ilia N.)

	* src/pro/svsol.pro:
	initial import of SVSOL() as a pro file. Thanks to Eric H. Work and tests by Ilia N.

2015-07-01  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/libinit_jmg.cpp:
	max number of arguments was wrong for randomu, randomn and reform.

	* src/basic_pro.cpp:
	make MESSAGE compatible with more than 1 argument, but do nothing more that signal this is not supported. Solves some compatibilty issues.

2015-06-30  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/libinit_jmg.cpp:
	added L64 as ignored option, dirty-patching bug #662

2015-06-29  alaingdl  <alaingdl@kunbuntu1404>

	* src/pro/handle_info.pro: patch by Jonathan W.

2015-06-13  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/default_io.cpp:
	removed patches that prevented test_xdr to run correctly on linux. Further changes for other architectures must be surrounded by #ifdef and well documented.

	* src/pro/interpol.pro:
	Applied Kalith's patch #86 to make INTERPOL support out-of-bounds scalar third argument

2015-06-11  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/hdf_pro.cpp:
	solves bug 649. Simplified some expressions equivalent to pointer on data.

2015-06-10  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting.cpp, src/plotting_map_proj.cpp, src/pro/map_clip_set.pro, src/pro/xmanager.pro, src/pro/xregistered.pro:
	better support, although far from final, of map projections splitting and contour closing/filling.
	aligned more xmanager common on what idl does.

	* src/gdlwidget.cpp:
	solves temporary bug #655. See comments in bug report

2015-06-05  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/Makefile.am, testsuite/test_file_copy.pro, testsuite/test_file_delete.pro, testsuite/test_ishft.pro, testsuite/test_netcdf.pro:
	fixing various details in codes in testsuite/

2015-06-04  alaingdl  <alaingdl@kunbuntu1404>

	* src/file.cpp, src/str.cpp:
	trying to solve the dynamic cast issue for input with wildmarks in various FILE* functions
	(patch bye Ilia N.)

2015-06-04  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/ofmt.cpp: corrected bug #654

	* src/gdlwidget.cpp, src/gdlwidget.hpp:
	added code to handle better all types of buttons.

	* src/gdlwidget.cpp, src/widget.cpp:
	added tests whenever a static cast for a wxWidget is attempted.

2015-06-02  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/Makefile.am, testsuite/test_bug_3275334.pro, testsuite/test_device.pro, testsuite/test_random.pro, testsuite/test_tv.pro:
	cleaning up few tests (being able to run on systems without X11 and WIN, only NULL)

2015-06-01  alaingdl  <alaingdl@kunbuntu1404>

	* NEWS: update

	* src/math_fun_gm.cpp:
	correcting arrays combinations for few extra Math functions (cf "test_math_function_dim.pro")

	* src/pro/file_move.pro: initial import of pro FILE_MOVE (By Ilia N.)

	* testsuite/Makefile.am, testsuite/test_file_move.pro:
	initial import of "test_file_move.pro"

	* testsuite/test_math_function_dim.pro, testsuite/test_MathFunctionsDim.pro:
	renaming "test_MathFunctionsDim.pro" into "test_math_function_dim.pro"

2015-06-01  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/pro/ishft.pro:
	rewritten ishft using inputs from B. Dieckmann and new test cases. Should be written in C++ for performance.

2015-06-01  alaingdl  <alaingdl@kunbuntu1404>

	* src/math_fun_ac.cpp, src/math_fun_ng.cpp:
	correcting Besel functions and Voigt to follow changes in IDL 8.4
	for input ([1],[N]), which return now [1]. More to come : other Math. functions.

2015-05-29  pjb7687  <pjb7687@kunbuntu1404>

	* src/pro/xdisplayfile.pro:
	Allows zero-length string ("") for filename in Xdisplayfile.

2015-05-26  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/test_file_info.pro, testsuite/test_file_test.pro:
	initial import of "test_file_info" (by Ilia), to be extend.
	Better messages for "test_file_test". Not tested on OSX and MSwin.

	* testsuite/Makefile.am, testsuite/test_file_test.pro, src/file.cpp:
	initial import of "test_file_test.pro", symlink now well detected in FILE_TEST().
	work by I. Natchkebia

2015-05-22  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/ofmt.cpp: pass new (complete?) format test test_formats.pro

2015-05-22  alaingdl  <alaingdl@kunbuntu1404>

	* src/pro/xdisplayfile.pro:
	adding /editable keyword in "xdisplayfile.pro". unfortunately we cannot add new lines :(
	few others tests added.

	* src/pro/dialog_message.pro:
	having same messages in boxes if wxwidgets or zenity

2015-05-21  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/formats.idl, testsuite/test_formats.pro:
	rewriting of "test_formats.pro", adding a positive case (+12),
	regenerating the reference "formats.idl"

2015-05-21  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* testsuite/test_binfmt.pro, src/ofmt.cpp: solves bug #646

	* src/ofmt.cpp: solves regression reported in #650

2015-05-15  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/test_null.pro: correcting details in TEST_NULL

	* testsuite/test_systime.pro:
	more tests case for SYSTIME, a bug was pending due to lack of tests.

2015-05-13  alaingdl  <alaingdl@kunbuntu1404>

	* src/basic_fun_cl.cpp:
	dimensions and range for input parameters were not properly tested in SYSTIME() ...

	* src/basic_pro_jmg.cpp, src/basic_pro_jmg.hpp, src/envt.cpp, src/libinit_jmg.cpp:
	better message for (scalar or 1 element array)
	But we have cases where we got (e.g) :
	 wait, ['-1.01','12']
	% WAIT: Parameter must be a scalar or 1 element array in this context: <Expression> <STRING    Array[2]>

	instead :
	% WAIT: Expression must be a scalar or 1 element array in this context: <STRING    Array[2]>.

2015-05-10  alaingdl  <alaingdl@kunbuntu1404>

	* src/pro/file_lines.pro:
	at the end, managing Directories in FILE_LINES() !

2015-05-09  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/objects.cpp:
	Patch by GJ to have #threads computation faster for windows

	* src/gtdhelper.cpp, src/basic_fun_cl.cpp:
	Patch by GJ to have SYSTIME(1) working in windows

	* src/file.cpp: typo: debug print line was always printed

2015-05-08  pjb7687  <pjb7687@kunbuntu1404>

	* src/basic_fun.cpp: Applied patch #85 (bugfix) by Jacco A. de Zwart.

2015-05-07  alaingdl  <alaingdl@kunbuntu1404>

	* CMakeLists.txt:
	the message returned if REQUIRED is used instead of COMPONENTS is not clear

2015-05-04  pjb7687  <pjb7687@kunbuntu1404>

	* src/file.cpp:
	Reverted HIDDEN and SYSTEM in FILE_INFO, which makes GDL crash.

2015-05-03  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/widget.cpp:
	Better treatment of xpad,ypad and what widget_info(./geometry ) returns.
	Patch should avoid size events to be propagated if they are due to an internal (e.g., widget_control) resize. (XDisplayFile working)
	plus a few improvements.

2015-04-30  pjb7687  <pjb7687@kunbuntu1404>

	* src/pro/xdisplayfile.pro: Added xdisplayfile

2015-04-29  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/basic_pro.cpp, src/dcompiler.cpp, src/libinit.cpp:
	Patch by GJ: HELP, /FULL and HIDDEN compilation option of procedures/functions
	basic_pro.cpp - (help_pro re-arranged a bit; isHidden() and fullKW used)
	libinit.cpp   - (keyword FULL to help_pro)
	dcompiler.cpp - (omit notification of compilation)

2015-04-24  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gshhs.cpp, src/plotting.cpp, src/plotting.hpp, src/plotting_axis.cpp, src/plotting_contour.cpp, src/plotting_oplot.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp, src/plotting_xyouts.cpp:
	added map projection support for axis; minor changes in other plotting routines, although they could have side-effects (please report). note: 3D plots and projections not yet compatible; contour splitting and closing when a projection is present are not reliable (do not report!).

2015-04-23  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting_map_proj.cpp:
	final (?) solution to protect GDL from projections that have no inverse (proj.4 or libproj have tons of them): permits MAP_SET to work on all projections, and calling MAP_PROJ_INVERSE or PROJ_INV will not crash gdl. Too bad there is no internal function in libproj to test the absence of inverse. We are going to avoid using this library.

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp:
	correction to appropriately treat size events for widget_draw

2015-04-22  pjb7687  <pjb7687@kunbuntu1404>

	* src/includefirst.hpp:
	Added WIN32_LEAN_AND_MEAN to suppress warnings and reduce compilation time on Windows.

2015-04-21  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting_plots.cpp, src/plotting_polyfill.cpp:
	aligned plotting_plots and plotting_polyfill codes since they are almost equivalent, adding in passing clip/noclip support for polyfill and removing a plots bug.

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/widget.cpp:
	Now using dynamic Connect() methods for most widgets events.
	Use a two-step method with timer to trigger a resize event only when user has finished resizing a frame.

2015-04-20  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting_polyfill.cpp:
	polyfill was testing wrongly the Z variable size in the absence of a T3D keyword.

2015-04-17  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting_map_proj.cpp:
	found a better place to protect GDL from projections that have no inverse in proj.4: permits MAP_SET to work on all projections, but  MAP_PROJ_INVERSE throws an exception if the inverse function is not defined (*P->inv=0) in the proj.4 library.

2015-04-16  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting_map_proj.cpp:
	protect against two projections that have no inverse in proj.4 (was killing GDL).

2015-04-16  pjb7687  <pjb7687@kunbuntu1404>

	* src/file.cpp: Greg's patch for file_search on Windows #2.

2015-04-15  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp:
	reverted to  1.91 version, 1.92 was crashing (under linux at least)

2015-04-15  pjb7687  <pjb7687@kunbuntu1404>

	* src/gdlwidget.cpp:
	Moved initialization code of theGDLApp to GDLWidget::Init(). Removed wxInitialize() and wxUninitialize().

	* src/dstructgdl.hpp: Patch for clang++.

	* src/file.cpp:
	File.cpp patch by Greg Jung (Reverted the old filesearch/Patternsearch procedure).

	* CMakeLists.txt:
	Added compliation flag for Eigen3 on Windows (MinGW). Removed PDCurses dependency.

2015-04-14  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/pro/handle_create.pro, src/pro/handle_free.pro, src/pro/handle_info.pro, src/pro/handle_value.pro:
	Handle_*** pro files are here to mimic at lowest price old functions not supported anymore in IDL, but present in some old codes (cmsvlibn ps_form used by atv...)

	* src/pro/widget_message.pro:
	widget_message is just an old name of dialog_message. this file passes the arguments to dialog_message.

	* src/gdlwidget.cpp:
	gdl was writing a superfluous "end of line" in (multi-line) text widgets (ugly character in some implementation).

2015-04-14  alaingdl  <alaingdl@kunbuntu1404>

	* src/objects.cpp:
	interverting 2 lines in "object.cpp" should solve a "widget" bug in Debin/Ubuntu OS

2015-04-13  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlzstream.cpp: corrected bug #638

2015-04-13  pjb7687  <pjb7687@kunbuntu1404>

	* src/gdlwinstream.cpp:
	Return 'false' when user close plot window while CURSOR is active.

	* src/gdlwinstream.hpp, src/gdlwinstream.cpp:
	This solves Plplot window hang issue while CURSOR is active, when wxWidgets is not compiled with GDL.

2015-04-12  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/libinit_jmg.cpp, src/widget.cpp:
	UNITS keyword now correctly taken into account in widget creation and in WIDGET_CONTROL and WIDGET_INFO. Columns and Rows sizes of TABLE widget OK now.

	* src/devicewx.hpp: cosmetic changes

	* src/gdlwidgeteventhandler.cpp:
	wxFrame size event handling freezes some implementations. removed for the moment.

2015-04-12  pjb7687  <pjb7687@kunbuntu1404>

	* src/devicewin.cpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Patch to CURSOR on Windows. GDL does not hang anymore while clicking on another plot window.

	* src/gdlwidget.cpp:
	Changed set_value to always add newline (which is IDL's behavior). Also added code for proper handling of line ending on Windows (works with wx3.0 and above).

	* src/dialog.cpp: Added missing semicolon.

	* src/libinit.cpp: Correction of wrong definition of libinit_jp.

2015-04-11  pjb7687  <pjb7687@kunbuntu1404>

	* src/initsysvar.cpp, src/semshm.cpp:
	TCHAR -> WCHAR to compile non-unicode build of GDL.

	* src/basic_pro.cpp: Removed redundant tchar.h.

	* src/basic_pro.cpp, src/deviceps.hpp, src/basic_fun.cpp, src/basic_pro_jmg.cpp:
	TCHAR -> WCHAR to compile non-unicode build of GDL.

	* src/file.cpp: MSVC patch, and excluded checking of X_OK on Windows

2015-04-11  alaingdl  <alaingdl@kunbuntu1404>

	* src/file.cpp, src/libinit.cpp:
	patch by Greg J. for file.cpp including several new TEST_ keywords.

2015-04-11  pjb7687  <pjb7687@kunbuntu1404>

	* src/dinterpreter.cpp:
	This patch removes trailing '\n' during no-readline mode.

2015-04-10  pjb7687  <pjb7687@kunbuntu1404>

	* src/dinterpreter.cpp:
	Changed to get the last char with brackets. Also added usleep for POSIX.

	* src/dinterpreter.cpp: Corrected wrong ifdef block.

	* src/gdl.cpp: Added an option for upcoming IDE.

	* src/dinterpreter.cpp:
	Changed DInterpreter::NoReadline() to properly handle events (using c++11 thread or pthread).

2015-04-09  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* testsuite/demo_widgets.pro: bug correction.

2015-04-09  pjb7687  <pjb7687@kunbuntu1404>

	* src/gdlwidget.hpp: Added missing if block.

	* src/gdlwidget.cpp, src/gdlwidget.hpp:
	Moved GDLApp initialization code before the events sending part. Alternative removing method is implemented for 'children' and 'followers'.

	* src/file.cpp:
	Added code to let MSVC check the fils is executable or not properly.

	* src/gdl.cpp: Changes due to Windows don't have set/getrlimits.

2015-04-08  alaingdl  <alaingdl@kunbuntu1404>

	* src/pro/dialog_message.pro:
	explicitly splitting DIALOG_MESSAGE in two functions: DIALOG_MESSAGE_ZENITY and DIALOG_MESSAGE_WXWIDGETS

	* src/dialog.cpp:
	in DIALOG_PICKFILE(), in the WX version, when the path is not provided,
	we should work in current directory. But recent Gnome/Wx is using
	by default the previous path is no path provided ...
	(but case " DIALOG_PICKFILE(path='..')" and "FILE_SEARCH('..',/full)" are not working well now)

	* src/pro/dialog_pickfile.pro:
	in order to be able to run the Zenity-based version (e.g. regression tests),
	splitting DIALOG_PICKFILE in two: DIALOG_PICKFILE_WXWIDGETS and DIALOG_PICKFILE_ZENITY

2015-04-08  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp: bug correction.

	* src/gdl.cpp:
	added routine to augment stack size (at least up to the needs of the test_dicom procedure). Thanks to OP and discussion #338693.

	* src/dialog.cpp:
	DIALOG_MESSAGE_WXWIDGETS now accepts array of strings.

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/widget.cpp:
	Added WIDGET_INFO /REALIZED.

2015-04-07  alaingdl  <alaingdl@kunbuntu1404>

	* src/file.cpp, src/libinit.cpp:
	adding 3 keywords to FILE_SEARCH: TEST_DIRECTORY, TEST_REGULAR and TEST_EXECUTABLE.
	Not sure /test_exe is OK. May be the code could be factorized ?!

2015-04-07  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting.cpp, src/plotting.hpp, src/plotting_oplot.cpp, src/plotting_plots.cpp, src/plotting_xyouts.cpp, src/plotting_plot.cpp:
	solves bug #639 and a few unreported others... Removed templating of a few graphic functions since we accept only doubles.

	* testsuite/test_map.pro: noted a potential problem.

	* src/basic_pro.cpp: prevent throw on not-found files

2015-04-07  pjb7687  <pjb7687@kunbuntu1404>

	* src/dialog.cpp:
	Added code to support wx2.8, which does not have wxCANCEL_DEFAULT.

2015-04-07  alaingdl  <alaingdl@kunbuntu1404>

	* CMakeLists.txt:
	desactivating a test for wxwidgets in plplot, not working widely now.

2015-04-07  pjb7687  <pjb7687@kunbuntu1404>

	* src/dialog.cpp, src/dialog.hpp:
	Added conversion code for all strings, assuming that all strings are encoded in UTF-8.

2015-04-06  pjb7687  <pjb7687@kunbuntu1404>

	* src/pro/polywarp.pro: Corrected typos

2015-04-05  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting.cpp:
	added protection against invalid POSITION kw values.

2015-04-05  pjb7687  <pjb7687@kunbuntu1404>

	* src/pro/dialog_message.pro, src/pro/dialog_pickfile.pro:
	Added "on_error, 2".

	* src/pro/polywarp.pro: Added POLYWARP.

	* src/dialog.cpp, src/dialog.hpp, src/libinit_jp.cpp, src/pro/dialog_message.pro:
	New implenentation with wxWidgets is added.

	* src/pro/dialog_pickfile.pro: Corrected a typo

	* src/gdlwinstream.cpp: Bug fix on GetHwnd()

2015-04-04  pjb7687  <pjb7687@kunbuntu1404>

	* src/gdlwinstream.cpp:
	Manually destoy window when GDLWinstream is deleted.

	* src/file.cpp: Modified PatternSearch() to use proper path seperator.

	* src/libinit_jp.cpp, src/CMakeLists.txt, src/dialog.cpp, src/dialog.hpp, src/libinit.cpp:
	Added new implementaion of DIALOG_PICKFILE using wxWidgets.

	* testsuite/CMakeLists.txt: Added support for MSVC

	* src/pro/dialog_pickfile.pro:
	New implenentation with wxWidgets is added.

	* src/file.cpp: Updated FILE_DIRNAME, like IDL's behavior.

2015-04-04  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* README: update section on widgets

	* testsuite/demo_widgets.pro:
	removed test_widgets.pro and added demo_widgets.pro

2015-04-04  alaingdl  <alaingdl@kunbuntu1404>

	* CMakeLists.txt: hope to have smater message

	* CMakeLists.txt:
	this one seems to be a better test ! (if plplot compiled with wxwidgets !)

2015-04-04  pjb7687  <pjb7687@kunbuntu1404>

	* src/basic_fun.cpp: Removed _UNICODE blocks.

	* src/basic_pro_jmg.cpp, src/libinit.cpp, src/basic_pro.cpp:
	Removed _UNICODE blocks. Also added new 'wait' implementation on Windows (need test).

	* src/gdlwinstream.cpp: Removed redundant HBITMAP

2015-04-03  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/pro/xmanager.pro, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/objects.cpp, src/widget.cpp:
	last batch of widget support --- almost complete now.

	* src/initsysvar.cpp:
	for some scripts we need to pretend to be better than 6.4 (and we are!)

2015-04-03  pjb7687  <pjb7687@kunbuntu1404>

	* src/pro/write_tiff.pro: Naive implementation of write_tiff

	* src/devicewin.cpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Improved redraw code

2015-04-03  alaingdl  <alaingdl@kunbuntu1404>

	* CMakeLists.txt: 2 typos found

	* CMakeLists.txt:
	various changes : test if plplot is ON for wxwidgets, order of IM/GM tests

2015-04-03  pjb7687  <pjb7687@kunbuntu1404>

	* CMakeLists.txt:
	Changed CMake to link libgomp and libpthread, instead vcomp, with MinGW.

2015-04-02  pjb7687  <pjb7687@kunbuntu1404>

	* src/devicewin.cpp, src/devicewin.hpp:
	Put whole file into #ifdef _WIN32 block.

2015-04-02  alaingdl  <alaingdl@kunbuntu1404>

	* CMakeLists.txt: better message when wXwidgets devel is not available.

2015-04-02  pjb7687  <pjb7687@kunbuntu1404>

	* src/file.cpp:
	Removed _UNICODE. Small correction on FILE_SERACH on Windows.

	* src/devicewin.cpp, src/devicewin.hpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Autoredraw TV image. Corrected several miswritten parts on PaintImage. More corrections are needed.

2015-04-01  pjb7687  <pjb7687@kunbuntu1404>

	* src/gdlwinstream.cpp: Removed debug purpose cout.

	* src/gdlwinstream.cpp:
	GIN now accepts mouse click events only in active window. Also paintimage will draw image with proper offset.

	* src/devicewin.cpp: Do not process event if no window opened.

	* src/devicewin.cpp:
	Rewrote code for setting intitial window size, using plplot intenal functions.

	* src/gdlwinstream.cpp: Changed color code to be unsigned char.

	* src/devicewin.cpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Removed 'resizing' code, which is duplicate with the original (in devicewin.cpp). Instead, set proper MaxSizes. Added code to set window title manually on Windows.

2015-03-31  pjb7687  <pjb7687@kunbuntu1404>

	* src/devicewin.cpp, src/devicewin.hpp: Tab correction

	* src/devicewin.cpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Moved resize / move code to WOpen.

	* src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Moved cursor data to gdlwinstream.cpp, in order to support MSVC.

	* src/default_io.cpp: A small patch for the last commit

	* src/gdlwinstream.cpp, src/gdlwinstream.hpp: Tab correction

	* src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Resize/repositions window after drawing image.
	Calculates more accurate cursor position using proper WINAPIs.
	Minor cursor correction (cosmetic).

	* src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Updated crosshair cursor to be more like as IDL's one. Also removed ClipCursor, which makes wrong behavior.

2015-03-30  pjb7687  <pjb7687@kunbuntu1404>

	* src/gdlwinstream.cpp: Removed redundant HDC.

	* src/gdlwinstream.cpp:
	Faster TV using GetDIBits and SetDIBitsToDevice.

	* src/plotting_windows.cpp:
	Initialize 'retainType' to be a proper value (=0) before using it.

	* src/basic_pro.cpp:
	On Windows, openr, openw, and openu now open file in binary mode.

2015-03-29  pjb7687  <pjb7687@kunbuntu1404>

	* src/str.cpp:
	std::toupper and std:: tolower -> toupper and tolower for Visual Studio

	* src/includefirst.hpp:
	Disable error C4716 (function must return a value) for Visual Studio

	* src/file.cpp: Enabled commented part of lib::file_readlink()

	* src/basic_pro.cpp, src/basic_pro.hpp: Tab correction

2015-03-28  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/objects.cpp, src/widget.cpp:
	improving widget_tree.

2015-03-27  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/ofmt.cpp:
	lots of change to exactly replicate (all?) the b,o,z,Z,i formatting. solves bug 634. Possible side-effects for windows port, to be tested.

	* testsuite/Makefile.am, testsuite/formats.idl, testsuite/test_formats.pro:
	added test_formats that test at once quite a large number of format pitfalls...

	* src/file.hpp:
	added necessary definition of new file_readlink function to permit compilation ;^)

2015-03-27  pjb7687  <pjb7687@kunbuntu1404>

	* src/file.cpp: Applied Greg Jung's 'small fix' (2015 Feb 02)

	* src/libinit.cpp:
	Merging Greg Jung's patch (2015 Jan 28) regarding FILE_SEARCH on Windows, and FILE_READLINK.

	* src/file.cpp:
	Merging Greg Jung's patch (2015 Jan 28) regarding FILE_SEARCH on Windows, and FILE_READLINK.
	(except the TEST keywords of FILE_SEARCH, because some part of the code conflicts with the current CVS.)

2015-03-26  pjb7687  <pjb7687@kunbuntu1404>

	* src/gdlwidget.cpp: Explicit cast of null pointer to (GDLWidgetBase*)

	* src/devicewin.hpp:
	Comment out DeviceWIN::WAddFree() which is not implemented yet.

2015-03-25  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gsl_matrix.cpp: patched bug #636

	* src/widget.cpp: removed unwanted reference to wx2.8/popupwin.h

2015-03-25  pjb7687  <pjb7687@kunbuntu1404>

	* src/devicewin.hpp:
	Added missing declaration of member function DeviceWIN::WAdd().

	* src/file.cpp:
	Removing S_ISLNK check on Windows. Also fixes bugs on Windows part pattern matching (the original code tries to match two empty array, instead of actual contents).

2015-03-25  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp: bug correction

2015-03-25  pjb7687  <pjb7687@kunbuntu1404>

	* testsuite/CMakeLists.txt: Testsuite patch for Windows

2015-03-25  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/pro/Makefile.am: updated to most recent list of procedures.

	* src/pro/cw_bgroup.pro:
	incompatible with current widget support (only idl's cw_bgroup works). temporarily removed to avoid problems.

	* src/default_io.cpp, testsuite/Makefile.am, testsuite/idl.xdr, testsuite/test_xdr.pro:
	fixed all XDR and compressed XDR I/O problems (on linux, that is). reads and writes all types of values, structs etc maintaining compatibility with IDL xdr files. Added test_xdr in testsuite and in make check.

2015-03-23  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* testsuite/test_bug_635.f90, testsuite/test_bug_635.pro, testsuite/test_bug_635.dat:
	added test_bug_635 and related data. Test reading of structs in unformatted fortran data. Not inserted in 'make check' suite, however.

	* src/pro/unxregister.pro:
	important widget-related procedure to siletly remove a widget in the list of managed widgets.

	* src/basic_pro.cpp, src/dstructgdl.hpp:
	handles gracefully structures for unformatted fortran IO

2015-03-22  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/basic_pro.cpp:
	solves bug in readu when reading structs (byte length of struct is not sum of size of elements, due to, e.g., alignment padding)

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/widget.cpp, src/widget.hpp:
	widgets: added support for context_events and popups.

2015-03-20  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/CMakeLists.txt, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/objects.cpp, src/widget.cpp:
	widgets: removed gdlwidgetdraw.cpp (merged in gdlwidget.cpp). GROUP_LEADER OK. WIDGET_TREE partially written. Bugs corrections, etc.

	* src/devicewx.hpp:
	slightly better version of a pure wxWidgets 'X' device (to be continued, yet incompatible with pure X11 support).

2015-03-16  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlxstream.cpp, src/gdlxstream.hpp:
	Better patch to speedup plots on X11 in decomposed=1 (practically the default for all displays). Will benefit only simple (line) plots, not filled contours. Goes around the limitation of plplot that handle truecolor or static displays as if they had only 256 colors available...

2015-03-14  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/hdf_fun.cpp, src/hdf_fun.hpp, src/libinit_jmg.cpp:
	added hdf_ishdf

	* src/hdf5_fun.cpp: h5f_is_hdf5 should not give error message.

2015-03-12  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/devicex.hpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp:
	patch (to be tested) to speedup plots on X11.

2015-03-11  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/widget.cpp:
	more  widget_control options. removed some code clashing with old versions of wxWidgets.

	* src/graphicsdevice.hpp: more compliant with fussy compilers

	* src/image.cpp: cosmetic changes

2015-03-10  alaingdl  <alaingdl@kunbuntu1404>

	* testsuite/test_moment.pro:
	because it seems that X11 output have been strongly slow down in "test_moment" since last year (june 2014),
	I separate the output display type. With set_plot, 'null' we can access to the computation time only.

2015-03-08  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/libinit_jmg.cpp, src/widget.cpp:
	added widget options delay_destroy, group_leader

2015-03-07  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/devicex.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwidgeteventhandler.cpp, src/gdlwxstream.cpp, src/libinit_jmg.cpp, src/widget.cpp:
	much improved widget support. widget_table complete.

	* src/devicewx.hpp: cosmetic change

	* src/hdf5_fun.cpp: use now the true H5F_is_hdf5

	* src/libinit.cpp: cosmetic changes for readability and robustness

	* src/objects.cpp: new structures for widget support

	* src/default_io.cpp, src/dstructgdl.hpp:
	added ToStreamRaw in default_io to help structure read/write in widget_table (and elsewhere, too)

2015-03-03  alaingdl  <alaingdl@kunbuntu1404>

	* src/base64.hpp, src/basic_fun.cpp, src/gsl_fun.cpp, src/str.cpp:
	some extra std:: are needed to compile the CVS on OSX 9/10 with CLang 6
	(std::tolower, std::toupper, std::isspace)

	* src/objects.cpp, src/basic_fun.cpp:
	preliminary version for SCOPE_TRACEBACK(/structure), but I did not find
	a way to provide the IS_FUNCTION information : help welcome !

2015-03-02  alaingdl  <alaingdl@kunbuntu1404>

	* src/basic_pro.cpp: adding HELP, /PATH, out=out

	* NEWS, src/basic_fun.cpp, src/basic_fun.hpp, src/libinit.cpp:
	initial import of SCOPE_TRACEBACK(), based on HELP, /traceback.
	/System and /Structure keywords are not ready. This feature
	was requested by Nika team (http://ipag.osug.fr/nika2/).

2015-02-25  alaingdl  <alaingdl@kunbuntu1404>

	* src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwidgeteventhandler.cpp, src/gdlwxstream.cpp, src/libinit_jmg.cpp, src/objects.cpp, src/widget.cpp, src/devicewx.hpp, src/devicex.hpp, src/gdlgstream.hpp, src/gdlwidget.cpp:
	Large modification for Widgets from G. Duvert.
	ATV is working fine for me !

2015-02-24  alaingdl  <alaingdl@kunbuntu1404>

	* src/image.hpp:
	this include is needed on some Ubuntu/Debian recent systems (not needed on Fedora ...)

2014-12-28  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/basic_pro.cpp, src/devicewin.cpp, src/devicewin.hpp, src/gdleventhandler.cpp, src/gdlsvgstream.cpp, src/gdlwinstream.cpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/initsysvar.cpp, src/plotting_windows.cpp:
	Last Windows version patches by Greg Jung

	* src/file.cpp, src/file.hpp, src/libinit.cpp:
	GDL now correctly detects symlinked directories and dangling symlinks. On unix-like systems, anyway.

2014-12-21  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/gdlwidget.cpp: explicit cast apparently needed by some compilers

2014-12-20  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* README: commented about the current widget status.

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwidgeteventhandler.cpp, src/widget.cpp:
	Removed threading in widgets, resulting in stable performances and causality in crashes;^). Complex widgets are now possible (ex:atv.pro). Creation and destruction of widgets are OK. Table and Tree definitely need more work.

	* src/devicewin.hpp, src/devicewx.hpp, src/devicex.hpp, src/graphicsdevice.cpp, src/graphicsdevice.hpp, src/plotting_windows.cpp:
	reset number of windows to IDL value. Changed number of 'free' windows (window,/free). A temporary hack, renaming the "WX" device in "MAC", permits to avoid failing a test in coyotegraphics library. "WX", the wxWidgets X-like device should ultimately replace the 'X' device anyway.

	* src/pro/xmanager.pro: catch a possible error

2014-12-03  alaingdl  <alaingdl@kunbuntu1404>

	* NEWS, doc/www/_news.inc.php: updating NEWS file.

	* src/initsysvar.cpp: adding new sys. var. !TRUE and !FALSE

	* src/basic_pro.cpp:
	temporary patch in HELP,/path when the !path is badbly formated. If a path
	is several times in !path is not managed now. HELP, /path, output=res
	is also not ready.

	* src/basic_fun_jmg.cpp, src/libinit_jmg.cpp:
	in ISA(), adding new keywords : BOOLEAN,INTEGER,FLOAT,COMPLEX,STRING

2014-11-27  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/image.cpp:
	insure that tvrd always returns data with correct (unPurged) dimensions.

	* src/datatypes.cpp:
	reset dim.Purge() in array constructors (was a very bad idea to remove them...)

2014-11-24  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* testsuite/test_widgets.pro: added several new events

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/widget.cpp:
	much improved widget support with all basic facilities present. Needs further work on thread safety and screen updating of widgets.

	* src/pro/cw_bgroup.pro, src/pro/xmanager.pro: corrected bug

	* src/objects.cpp: added new structures for widget events

	* src/plotting.cpp: cosmetic changes to improve readability

	* src/plotting_cursor.cpp: no message

	* src/magick_cl.cpp: use PaletteType instead of magic numbers

	* src/plotting_misc.cpp: correct behaviour of tvlct

	* src/plotting_device.cpp, src/plotting_windows.cpp, src/libinit.cpp:
	support for DEVICE,/COPY.

	* src/image.cpp, src/image.hpp:
	removed all instances of TVRD, added DEVICE,/COPY and factorized code for tv(), tvrd().

	* src/graphicsdevice.cpp, src/graphicsdevice.hpp:
	support for DEVICE,/COPY.

	* src/gdlzstream.hpp, src/gdlzstream.cpp:
	removed all instances of TVRD, added DEVICE,/COPY and factorized code for tv(), tvrd().

	* src/gdlxstream.cpp, src/gdlxstream.hpp:
	removed all instances of TVRD, added DEVICE,/COPY and factorized code for tv(), tvrd(). Support for WINDOW,/PIXMAP

	* src/gdlwxstream.cpp, src/gdlwxstream.hpp:
	removed all instances of TVRD, added DEVICE,/COPY and factorized code for tv(), tvrd().

	* src/gdlgstream.hpp, src/gdlgstream.cpp:
	removed all instances of TVRD, added DEVICE,/COPY and factorized code. Also, trick silly plplot driver to keep fontsize constant whatever the page size.

	* src/dinterpreter.cpp: patch to have ".s" equivalent to ".step"

	* src/devicex.hpp, src/devicez.hpp, src/devicewx.hpp:
	removed all instances of TVRD, added DEVICE,/COPY and factorized code.

	* src/deviceps.hpp:
	trick silly plplot driver to keep fontsize constant whatever the page size.

	* src/datatypes.cpp:
	removed dim.Purge() in array constructors, since they conflict with several behaviours (like in tvrd). purge of superflous dimensions should be done case-by-case. *This patch may have unwanted effect elsewhere*

	* src/basic_fun.cpp:
	setting !err to the number of elements of "where" (compatibility with old *DL versions, not doing that creates unexpected problems with old procedures that still use !err).

2014-10-23  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/plotting_convert_coord.cpp:
	insure coordinate system type are initialised to some default value.

2014-10-13  alaingdl  <alaingdl@kunbuntu1404>

	* doc/www/_news.inc.php: news in GDL web page

	* doc/www/_news.inc.php: 0.9.5 !

2014-10-12  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* testsuite/test_widgets.pro, src/gdlwidget.hpp, src/libinit_jmg.cpp, src/objects.cpp, src/pro/xmanager.pro, src/widget.cpp, src/basic_pro.cpp, src/gdlwidget.cpp, src/gdlwidgetdraw.cpp, src/pro/xregistered.pro:
	improvements in widgets. see test_widgets.pro as example.

2014-10-11  pjb7687  <pjb7687@kunbuntu1404>

	* CMakeModules/FindXportmingw.cmake, testsuite/CMakeLists.txt, CMakeLists.txt, config.h.cmake:
	Preliminary Xlib support for Win32

	* src/smooth.cpp: To resolve MSVC's error C2668

2014-10-10  opoplawski  <opoplawski@kunbuntu1404>

	* CMakeLists.txt: Fix Fedora hdf5-devel package name.

2014-10-07  m_schellens  <m_schellens@kunbuntu1404>

	* CMakeLists.txt, ChangeLog: 0.9.5 release

2014-10-07  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/math_fun_jmg.cpp:
	simplified finite_helper since BaseGDL::ZERO works now.

	* src/initsysvar.cpp:
	Patched f_nan and d_nan to use the facility of the #NAN macro, see bug #621.
	Also, !error is not readonly at least from 6.4

2014-10-02  gilles-duvert  <gilles-duvert@kunbuntu1404>

	* src/basic_fun.cpp, src/basic_fun.hpp, src/basic_pro.cpp, src/basic_pro.hpp, src/libinit.cpp:
	Added scope_level (works) and pref_set (dummy procedure).

	* testsuite/test_postscript.pro:
	update to reflect our progress in compatibility. PostScript Image is correctly scaled at the size of the DATA coordinates.

2014-10-02  alaingdl  <alaingdl@kunbuntu1404>

	* src/file.cpp, src/initsysvar.cpp:
	reverting change in expansion of GDL_PATH. Order in the GDL_PATH is again enforced.


GDL 0.9.5:
2014-10-02  gilles-duvert  <gilles-duvert@ubuntu>

	* src/basic_fun.cpp, src/basic_fun.hpp, src/basic_pro.cpp, src/basic_pro.hpp, src/libinit.cpp:
	Added scope_level (works) and pref_set (dummy procedure).

	* testsuite/test_postscript.pro:
	update to reflect our progress in compatibility. PostScript Image is correctly scaled at the size of the DATA coordinates.

2014-10-02  alaingdl  <alaingdl@ubuntu>

	* src/file.cpp, src/initsysvar.cpp:
	reverting change in expansion of GDL_PATH. Order in the GDL_PATH is again enforced.

2014-10-01  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlwidgeteventhandler.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/gdlwidget.hpp:
	changes to avoid using too recent wxWidgets features. Compiles with wxWidgets 2.8.12 and onwards, not necessarily with all functionalities though.

2014-09-29  gilles-duvert  <gilles-duvert@ubuntu>

	* src/widget.cpp: array of structs support for WIDGET_INFO, /GEOMETRY.

	* src/widget.cpp: improved widget_info default behaviour

	* src/plotting_contour.cpp: GJ avoided plplot bug when 1 level only

	* src/devicewin.cpp, src/devicewin.hpp, src/dinterpreter.cpp, src/gdlgstream.hpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp, src/initsysvar.cpp, src/libinit.cpp, src/basic_pro.cpp:
	Commited last changes by Greg Jung

2014-09-26  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting.cpp, src/plotting_device.cpp, src/plotting_map_proj.cpp, src/plotting_misc.cpp:
	Accepts silently undefined Keywords

	* src/plotting_windows.cpp: replaced numerical positioning by keyword

	* src/plotting_contour.cpp: Accepts silently undefined Keywords

	* src/pro/smooth.pro:
	Bugs corrected (only 1D smoothing was made). Simpler and faster since /NAN and MISSING have been implemented in CONVOL. Also, permits dimensions 1 in smooth kernel, as IDL does (permits smoothing truecolor images [3,nx,ny] for example).

	* src/convol.cpp:
	protected CONVOL from undefined Keywords using KeywordSet function

2014-09-25  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicewx.hpp, src/devicex.hpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/image.cpp:
	removed references to free_mem, a private plplotP.h shortcut.

	* src/gdlsvgstream.cpp: Commited last changes by Greg Jung

	* src/devicex.hpp, src/devicewx.hpp:
	removed SetFocus, uneeded and confusing.

	* src/devicewin.cpp, src/devicewin.hpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp, src/CMakeLists.txt, src/basic_pro.cpp:
	Commited last changes by Greg Jung

	* src/gdlgstream.hpp: removed SetFocus, uneeded and confusing.

	* src/gtdhelper.cpp, src/gtdhelper.hpp, src/includefirst.hpp:
	Commited last changes by Greg Jung

	* src/gdlxstream.cpp, src/gdlxstream.hpp:
	removed SetFocus, uneeded and confusing.

2014-09-24  pjb7687  <pjb7687@ubuntu>

	* src/devicewin.cpp: Corrected a small bug

2014-09-23  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicewin.cpp, src/devicewx.hpp, src/devicex.hpp, src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/graphicsdevice.cpp, src/plotting_device.cpp:
	full set of devices (X, WX, WIN) and widgets now seem to get along almost nicely.

	* src/graphicsdevice.hpp:
	provided reasonable default values to some virtual methods.

	* src/plotting_misc.cpp:
	restored correct behaviour for GET_SCREENSIZE function.

	* src/plotting_windows.cpp:
	transferred GDL_GR_WIN_XXXXX environment variable detection to device Win

	* src/smooth.cpp, src/deviceps.hpp:
	use alloca() only for MSC_VER (Windows compiler)

2014-09-22  alaingdl  <alaingdl@ubuntu>

	* src/image.cpp: missing #ifdef for systemes without wxwidgets

2014-09-22  pjb7687  <pjb7687@ubuntu>

	* src/image.cpp: Call GetImage() only with wxwidgets.

	* src/gdlgstream.cpp: Put alloca() into #ifdef block

2014-09-21  pjb7687  <pjb7687@ubuntu>

	* src/gdlgstream.hpp: Changes on casting of pointer values

	* src/devicewx.hpp, src/devicex.hpp, src/gdlgstream.hpp:
	Resolved maxWin constants confliction.

2014-09-21  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlwidgeteventhandler.cpp: patch use of wxString vs. std::string

	* src/devicex.hpp:
	removed old comments. Lets try plplot with threaded X11 windows.

	* src/gdlwxstream.hpp, src/image.cpp:
	Changes making coyotelib somewhat happy.

	* src/gdlwidgeteventhandler.cpp, src/libinit_jmg.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/widget.cpp:
	Modified BUTTON to have correct nested menus (option /MENU of WIDGET_BUTTON).
	Droplist and Combobox are two separate objects (different info structures).
	Plus a lot of minor improvements: coyotegraphics windows are operational now.
	Still problems with threads: spurious crashes in live update of button widgets.

	* src/pro/xmanager.pro:
	added CLEANUP, but it is a fake, needs KILL_NOTIFY to be written. Permits to have coyotegraphics running in a fashion.

	* src/gdlwxstream.cpp:
	added necessary functions (crudely) to get wX canvases behave equally toX windows.

	* src/gdlgstream.hpp: temporary patch before aligning TVRD on TV.

	* src/objects.cpp: Added struct WIDGET_GEOMETRY

2014-09-21  pjb7687  <pjb7687@ubuntu>

	* src/plplot_wxwidgets.h, src/CMakeLists.txt, src/basic_pro.cpp, src/deviceps.hpp, src/devicewin.cpp, src/devicewin.hpp, src/devicewx.hpp, src/devicex.hpp, src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/gdlxstream.cpp, src/graphicsdevice.cpp, src/gtdhelper.cpp, src/gtdhelper.hpp, src/includefirst.hpp, src/initct.cpp, src/initsysvar.cpp, src/io.hpp, src/objects.cpp, src/plotting.cpp, src/plotting_misc.cpp, src/plotting_windows.cpp, src/smooth.cpp, src/str.cpp, src/terminfo.cpp:
	1. Greg's Win32 patch, slightly modified to fit with the current CVS. It also contains windows focusing related patches on devicex.hpp and gdlxstream.cpp.
	2. C99 compliant patch, substituted definitions of variable length arrays with using alloca().
	3. Preliminary WX implementations. Not available yet.
	4. Resolved winsock2.h and windows.h order issue. To use sockets, include includefirst.hpp.

2014-09-19  gilles-duvert  <gilles-duvert@ubuntu>

	* CMakeLists.txt:
	removed finding gshhsdir (since now copy of gshhs.h is in src). Changed way to discriminate whether plplot version uses c_plwidth or not (problem with clang compiler)

	* src/gshhs.cpp:
	Restored initial gsshs.h file, with the minimum change (POINT-> GSHHS_POINT) to solve compilation on Windows while preserving all the other usual names. Reverted changes in gsshs.cpp to the minimum set of changes acceptable.

	* src/gshhs.h:
	Restored initial gsshs.h file, with the minimum change (POINT-> GSHHS_POINT) to solve compilation on Windows while preserving all the other usual names.

2014-09-19  pjb7687  <pjb7687@ubuntu>

	* src/gshhs.h, src/basic_pro.cpp, src/gdlsvgstream.cpp, src/gshhg.h, src/gshhs.cpp:
	1. Better mbcs/unicode support in basic_pro.cpp
	2. Win32 altanative implementation without mkstemp in gdlsvgstream.cpp
	3. Removing gshhs.h and adding gshhg.h to avoid confliction between POINT struct using in Windows API

2014-09-18  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp:
	in HELP, when only one param, if it is a structure, details are shown.

2014-09-17  gilles-duvert  <gilles-duvert@ubuntu>

	* testsuite/test_widgets.pro: bug correction.

	* src/gdlwidget.hpp, src/gdlwidget.cpp:
	correct get_value for buttons, use of UpdateValue in texts, more thread-aware(?).

	* testsuite/test_widgets.pro:
	updated version showing scrolled widgets and widget interaction. And bugs, too^((

2014-09-17  alaingdl  <alaingdl@ubuntu>

	* src/gdlwidget.hpp:
	here, we need to have a convertion into wxString to be able to compile ...

2014-09-17  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlwidget.hpp:
	replaced SetLabelText by SetLabel for wxButton (correct documented way to update the button's text)

2014-09-16  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/libinit_jmg.cpp, src/widget.cpp:
	Patches on a few bugs related to get_value and get_uvalue. Timid support of  scrolled windows. Patched use of null col= and row= options

2014-09-16  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp, src/file.cpp:
	corrections in patch from Greg J., related to MSwin port.

	* src/basegdl.hpp, src/file.cpp, src/initsysvar.cpp, src/libinit.cpp, src/str.cpp:
	applying patch from Greg, one important point is the ":" vs ";" dir. separator

2014-09-13  m_schellens  <m_schellens@ubuntu>

	* src/dcompiler.cpp: better error message for COMMON

	* src/dcompiler.cpp: fixed bug 625 (crash_common)

2014-09-12  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp: finishing the outputs for Common in HELP.

	* src/basic_pro.cpp, src/dpro.cpp, src/envt.cpp:
	Finishing visibility of Var. declared by Common in HELP.
	Undefined (normal) variables are now also visible.

	* src/dpro.cpp, src/dpro.hpp:
	preparing being able to correctly print in HELP Variables defined through Common
	(e.g.  common c, var & HELP, var   --> "VAR (common_name)  int = 2")

2014-09-12  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlgstream.hpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/gdlxstream.hpp:
	path to support cursor management in other devices than pure X11

	* src/plotting_windows.cpp: changes in focus management

2014-09-11  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_isa.pro, testsuite/test_levels.pro:
	initial import for "test_levels.pro", simple way to test HELP,/traceback
	and also the expected values for lines in code ...

	* src/basic_pro.cpp, src/libinit.cpp, src/str.cpp:
	2 main changes : full realpath to routines files names are now always used
	(no more relative paths); HELP, /traceback

2014-09-11  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_cursor.cpp: correct behaviour of tvcrs().

2014-09-10  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp, src/gtdhelper.hpp, src/initsysvar.cpp, src/objects.cpp, src/semshm.cpp, src/terminfo.cpp:
	at the end, including the mingw patch from Greg. Sorry for delay.
	This code compiles on GNU/Linux. Test suite OK. Please check !

2014-09-09  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlwinstream.cpp: missing definitions

	* src/gdlwinstream.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/gdlxstream.cpp, src/gdlzstream.cpp:
	replaced private method plP_esc by public method plcmd, removing dependency from plplotP.h
	*After this change a complete rebuild from scratch (rm CMakeCache.txt; make) is mandatory*

	* src/plotting_contour.cpp: added comment.

2014-09-08  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_windows.cpp:
	moved get_screen_size to plotting_misc + patches by GJ

	* src/plotting_misc.cpp:
	get_screen_size() general function now defined here

	* src/plotting_device.cpp:
	use device-dependent GetScreenSize() object property.

	* src/graphicsdevice.hpp: define  GetScreenResolution object property.

	* src/gdlzstream.cpp:
	removed superfluous code and inclusion of private plplot include (last patch). to be tested.

	* src/gdlxstream.hpp: relocate plwxd dependency here

	* src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	inserted Win patches proposed by GJ. Aligned to new PaintImage function.

	* src/gdlgstream.hpp: inserted Win patches proposed by GJ

	* src/devicex.hpp: new GetScreenResolution/GetScreenSize

	* src/devicewin.hpp: inserted Win patches proposed by GJ

	* src/gdlwidget.cpp, src/gdlwidgeteventhandler.cpp:
	removed superfluous devicex dependency

	* src/graphicsdevice.cpp, src/objects.cpp:
	moved X11 dependent code from objects.cpp to graphicsdevice.cpp where it belongs.

	* src/libinit.cpp: changes in function get_screen_size()

	* src/gdlwxstream.cpp, src/gdlxstream.cpp: removed superfluous tests

	* src/gdlgstream.cpp: corrected invalid useage of 'True'.

2014-09-08  alaingdl  <alaingdl@ubuntu>

	* src/gdlzstream.cpp:
	mandatory include to compiled without wxwidget ... not clear why it is OK when wxw is here ...

2014-09-06  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicez.hpp: finalized TV() for Z buffer

	* src/libinit.cpp:
	added a bunch of (unused by gdl yet) kw for device, with warning.

2014-09-05  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicez.hpp, src/gdlzstream.cpp, src/gdlzstream.hpp:
	Support of TV for Z-Buffer (almost OK)

	* src/image.cpp, src/image.hpp: removed unused functions

	* src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp:
	removed unused function

	* src/plotting_image.cpp:
	bug correction: dimension mismatch was possible in some cases if a truecolor image was given without the /TRUE switch.

2014-09-05  alaingdl  <alaingdl@ubuntu>

	* src/smooth.hpp, src/smooth.cpp, src/CMakeLists.txt, src/Makefile.am, src/libinit_ac.cpp:
	initial import of 2 codes for (future) SMOOTH, to be carefully test.

	* src/gsl_fun.cpp, src/libinit_gm.cpp, src/math_fun_gm.cpp:
	finishing METHOD= keyword in IGAMMA(); ITER, ITMAX, EPS moved as WarnKey;
	cleaning few KeywordPresent()/KeywordSet() in "gsl_fun.cpp".

2014-09-04  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlxstream.cpp:
	focus should stay on terminal when a X window is opened.

2014-09-04  m_schellens  <m_schellens@ubuntu>

	* src/envt.cpp: fixed EnvT::KeywordPresent( string)

2014-09-04  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicex.hpp: align GuiOpen with WOpen, commented unused code.

	* src/gdlwxstream.hpp, src/gdlwxstream.cpp:
	added method GetWindowDepth() to wxwidgets stream otherwise decomposed=1 does not work

2014-09-04  alaingdl  <alaingdl@ubuntu>

	* src/math_fun_gm.cpp:
	adding return values in METHOD keyword for IGAMMA()

2014-09-04  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicex.hpp, src/gdlsvgstream.cpp:
	better syntax thanks to clang compiler warnings

2014-09-03  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicex.hpp, src/gdlgstream.cpp:
	setting correct values for !D.N_COLORS and !P.COLOR provides better handling of colors in all outputs.

	* src/gdlpsstream.cpp, src/gdlsvgstream.cpp:
	commited Orion's patch proposed in bug 620

2014-09-02  gilles-duvert  <gilles-duvert@ubuntu>

	* src/libinit_jmg.cpp: updated a few KW for WIDGET_

	* testsuite/demo_graphics2.pro, testsuite/demo_graphics3.pro:
	removed initial setup of device X for easy use with other devices.

	* src/devicex.hpp, src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/plotting.cpp, src/plotting_contour.cpp, src/plotting_erase.cpp, src/plotting_misc.cpp, src/plotting_shade_surf.cpp, src/plotting_xyouts.cpp:
	Changed color handling. Should improve plotting speed on decomposed=0 displays by a large factor. Hardcopies (PS, SVG) color accurate. see testsuite/demo_graphics*.pro. Tests welcome.

	* src/gdlsvgstream.hpp: trick to perhaps circumvent a libpng 'feature'.

	* src/gdlsvgstream.cpp, src/gdlsvgstream.hpp:
	hopefully correct use of USE_PNGLIB and png.h include file.

	* src/devicex.hpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/graphicsdevice.hpp, src/plotting_device.cpp, src/plotting_windows.cpp:
	solves bug #618

2014-09-02  alaingdl  <alaingdl@ubuntu>

	* src/plotting_axis.cpp, src/plotting_plot.cpp:
	adding [xyz]TYPE keywords to PLOT and AXIS

	* src/plotting_plot.cpp:
	adding xtype and ytype to PLOT (and PLOT_IO/OI/OO).

	* src/plotting_contour.cpp:
	adding xtype and ytype (no ztype) to CONTOUR.

	* src/libinit.cpp, src/plotting_shade_surf.cpp, src/plotting_surface.cpp:
	[xyz]type keywords still exist in SURFACE and SHADE_SURF. They are "stronger" than [xyz]log keywords.
	Cleaning in "libinit.cpp" since now we used keywords names instead keyword number.

	* src/plotting_windows.cpp:
	in "plotting_windows.cpp", purging last keywords called by numbers (dangerous
	if order changed)

2014-09-01  alaingdl  <alaingdl@ubuntu>

	* src/libinit_gm.cpp:
	adding 2 undocumented functions : NR_GAMMA et IDL_IGAMMA.
	Some cleaning are still necessairy in IGAMMA keywords (e.g iter not return, method not set ...)

	* src/gdlsvgstream.cpp:
	I need to add this line to be able to compile on Debian & Ubuntu OS,
	following https://bugs.launchpad.net/ubuntu/+source/libpng/+bug/218409

	* CMakeLists.txt: patch 78 related to change in CMake 3.0

2014-09-01  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicesvg.hpp: svg device improvements

	* src/gdlgstream.hpp: corrected typo in definition of constant value.

2014-08-31  gilles-duvert  <gilles-duvert@ubuntu>

	* CMakeLists.txt: corrected typos for detection of libpng

2014-08-30  gilles-duvert  <gilles-duvert@ubuntu>

	* CMakeLists.txt, config.h.cmake:
	Should detect the presence of the libpng library (needed to activate the support of images (TV command) for SVG device.

	* src/gdlsvgstream.cpp, src/gdlsvgstream.hpp:
	Support of TV (images) in SVG device. Needs the presence of the libpng library to be activated.

	* src/plotting.cpp, src/plotting.hpp, src/plotting_axis.cpp, src/plotting_contour.cpp, src/plotting_plot.cpp, src/plotting_shade_surf.cpp, src/plotting_surface.cpp, src/plotting_xyouts.cpp:
	Use of Width(). Better support of CHARTHICK in graphic functions. Support of C_CHARTHICK in CONTOUR.

	* src/plotting_image.cpp, src/plotting_device.cpp: cosmetic changes

	* src/gdlpsstream.cpp: removed unused

	* src/gdlgstream.cpp, src/gdlgstream.hpp:
	introduce Width() that solves the problem of having to use either plwid(PLINT) or plwidth(PLFT) depending on plplot's version.

	* testsuite/demo_graphics1.pro, testsuite/demo_graphics2.pro, testsuite/demo_graphics3.pro:
	reset !P.MULTI when exiting these demo files

2014-08-30  m_schellens  <m_schellens@ubuntu>

	* src/prognodeexpr.cpp: fix problem with SAVE

	* README: added some info about ANTLR impact on sources

	* src/basic_fun_jmg.cpp, src/dcompiler.cpp, src/dpro.hpp, src/envt.hpp, src/prognodeexpr.cpp:
	fixed bug #613 (crash COMMON) and #614 (ROUTINE_NAMES with common block variable)

2014-08-29  alaingdl  <alaingdl@ubuntu>

	* src/FMTIn.cpp, src/FMTIn.hpp, src/format.in.g:
	should solved bug 617. The change is in "format.in.g", other files (here only "FMTIn.hpp" is chnaged)
	are regerenated running Antlr (version >= 2.7). See discussions in GDL Devel list !

2014-08-28  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_plots.cpp, src/plotting_xyouts.cpp:
	bug correction (uninitialized coordinates for plplot)

2014-08-26  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlwxstream.cpp, src/gdlwxstream.hpp:
	Support for TV in wxWidgets GUIs.

	* src/devicex.hpp:
	initialise colormap0 for wxWidgets (in relation with TV)

	* testsuite/demo_graphics2.pro: handles undecomposed displays too

2014-08-25  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/read_image.pro: corrected typo in the previous commit

2014-08-23  m_schellens  <m_schellens@ubuntu>

	* src/GDLParser.cpp, src/gdlc.g, src/GDLLexer.cpp:
	bug #615 (slow compilation): further speed up

2014-08-22  m_schellens  <m_schellens@ubuntu>

	* src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/GDLInterpreterTokenTypes.hpp, src/GDLInterpreterTokenTypes.txt, src/GDLTreeParser.cpp, src/GDLTreeParser.hpp, src/GDLTreeParserTokenTypes.hpp, src/GDLTreeParserTokenTypes.txt, src/GDLLexer.cpp, src/GDLLexer.hpp, src/GDLParser.cpp, src/GDLParser.hpp, src/GDLTokenTypes.hpp, src/GDLTokenTypes.txt, src/gdlc.g, src/magick_cl.hpp:
	fixed bug #615 (slow compilation)

2014-08-20  gilles-duvert  <gilles-duvert@ubuntu>

	* testsuite/test_tv_ps.pro: new tests for TV for PS output.

	* testsuite/test_tv.pro: new tests for TV (channels, position)

	* src/CMakeLists.txt, src/deviceps.hpp, src/devicesvg.hpp, src/devicex.hpp, src/gdlgstream.hpp, src/gdlpsstream.cpp, src/gdlpsstream.hpp, src/gdlsvgstream.cpp, src/gdlsvgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/libinit_jmg.cpp, src/plotting.hpp, src/plotting_image.cpp:
	Rewrote command "TV" in a more general way. Also for PS device (to be tested). Almost there for SVG (still needs png inline conversion).

2014-08-20  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_map.pro: continuing improving "test_map.pro"

	* src/gdlgstream.hpp: one renaming was not done ... (mm2ndx)

2014-08-19  m_schellens  <m_schellens@ubuntu>

	* src/convert2.cpp, src/default_io.cpp, src/getas.cpp, src/str.cpp, src/str.hpp:
	make GDL understand dD instead of eE for exponentials in data streams (e. g. 3.3D05)

2014-08-19  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_contour.cpp: better handling of contour values.

	* src/plotting_cursor.cpp: cosmetic changes

	* src/gdlgstream.hpp, src/plotting_xyouts.cpp:
	renamed some internal functions

	* src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp:
	removed duplicate code

	* src/plotting_shade_surf.cpp: changes for /SHADES

	* src/image.cpp: Use MAX_COLOR consistently in this source file

2014-08-18  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun_cl.cpp, src/basic_fun_cl.hpp, src/gshhs.cpp, src/gshhs.hpp, src/libinit_cl.cpp, src/libinit_jmg.cpp:
	Restoring being able to compile GDL without LibProj around.
	Moving GSHHG_EXISTS(), proj4_EXISTS(), proj4new_exists().

2014-08-17  alaingdl  <alaingdl@ubuntu>

	* src/plotting_windows.cpp:
	patch from GJ for better MSwin support : win or X11 ...

	* src/gshhs.cpp: conditionnal compil' for Map_Continents ...

2014-08-14  alaingdl  <alaingdl@ubuntu>

	* src/envt.hpp, src/libinit_jmg.cpp, src/matrix_cholesky.cpp, src/matrix_invert.cpp:
	in "envt.hpp", removing GDL_STRING in GetNumericParDefined;
	using it in INVERT() and Cholesky codes.
	Clarifying inputs params in Cholesky codes.

2014-08-13  alaingdl  <alaingdl@ubuntu>

	* src/matrix_invert.cpp: forgot to remove a comment :(

	* src/basic_pro.cpp: min/maj OK for keyword Names= in HELP;
	filtering on Names= should work for /func, /pro, /routines, /source

	* src/matrix_invert.cpp:
	fixing input checks in INVERT() : it was possible to pass a vector
	(e.g. findgen(10)) without Throw, then code crashes !

2014-08-12  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_map.pro:
	not downloading again a file if already existing !

	* testsuite/test_map.pro:
	continuing improving "test_map.pro" : mandatory files (if missing map routines
	and if missing GSHHS data) are downloaded "on demand".

2014-08-11  alaingdl  <alaingdl@ubuntu>

	* src/matrix_invert.cpp:
	We found that the Eigen Invert code is more sensitive to high dynamic range
	data in matrix to be inverted. If status is bad for the Invert Eigen (if GDL compiled
	with Eigen !), the Invert GSL way is run also.

	* src/basic_pro.cpp:
	various improvments in HELP keywords: HELP,/sys,/brief,
	HELP,/routine; HELP,/source; HELP,/source, name="*png" ...
	(it is not finished but much more convenient)

2014-08-10  m_schellens  <m_schellens@ubuntu>

	* src/dinterpreter.cpp:
	Fixed bug #604 (.continue not working at main level)

2014-08-10  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp: details for HELP,/help and HELP,/info

	* src/pro/loadct.pro, src/pro/read_bmp.pro, src/pro/read_gif.pro, src/pro/read_image.pro, src/pro/read_png.pro, src/pro/read_tiff.pro, src/pro/read_xwd.pro, src/pro/write_bmp.pro, src/pro/write_gif.pro, src/pro/write_image.pro, src/pro/write_jpeg.pro, src/pro/write_pict.pro, src/pro/write_png.pro:
	correcting a bug in LOADCT, rgb_table=rgb_table;
	fixing details in various READ/WRITE routines for image formats.

	* src/libinit.cpp, src/libinit_jmg.cpp:
	adding warn keywords: FONT in DEVICE, DEFAULT_FONT & CLEAR_EVENTS in WIDGET_CONTROL

2014-08-09  m_schellens  <m_schellens@ubuntu>

	* src/basic_pro.cpp: Fixed ticket #611 (free lun in case of OPEN fails)

	* src/typedefs.hpp: fixed bug in ArrayGuard

2014-08-08  alaingdl  <alaingdl@ubuntu>

	* src/libinit_jmg.cpp:
	adding non-effective DEFAULT_FONT to Widget to go ahead in tests of Chianti code

	* src/read.cpp:
	in input (e.g. READS), the character "$" is not useful : we can remove it.

2014-07-31  alaingdl  <alaingdl@ubuntu>

	* src/dinterpreter.cpp:
	interverting Compile and Continue in "dinterpreter.cpp" in order to ensure ".c"
	will give ".continue".

2014-07-30  alaingdl  <alaingdl@ubuntu>

	* src/gshhs.cpp: removing not useful "cout"

	* testsuite/test_map.pro:
	helping diagnotic when running "test_map.pro". Do we have the gshhg lib and files ?
	Is GSHHS_DATA_DIR ok ? Do we have at least one of the projection lib. around ?

	* CMakeLists.txt, src/gshhs.cpp, src/gshhs.hpp, src/libinit_jmg.cpp:
	changes related to GSHHG: check for "gshhs.h" in src/;
	adding GSHHG_EXISTS(), PROJ4_EXISTS(), PROJ4NEW_EXISTS() internal procedures,
	to be used in testsuite/test_map.pro

2014-07-22  slayoo  <slayoo@ubuntu>

	* src/ncdf_var_cl.cpp:
	commenting out a debug leftover in ncdf_var_cl.cpp

2014-07-21  alaingdl  <alaingdl@ubuntu>

	* src/dinterpreter.cpp, src/dpro.cpp, src/dpro.hpp:
	new command line first character : # : direct access to inline doc. (arg. number and list of keywords)
	ToString() method now avalaible for LibProLits, LibFunList, funList, proList.
	To be used also in HELP.

2014-07-18  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun_jmg.cpp:
	rank is known to be not OK for Objects, we turn it inside ISA() ...

	* src/basic_fun.cpp: typo when moving lines in PTR_NEW()

2014-07-17  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_isa.pro: continuing adding cases into "test_isa" ...

	* src/basic_fun.cpp:
	for PTR_NEW(), now multiple calls with PTR_NEW(!null) should work !

2014-07-16  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_isa.pro:
	continuing improving the coverage of "test_isa" for ISA()

	* src/basic_fun.cpp:
	PTR_NEW(input) should work when "input" is !null or undefined (with and without /no_copy).

	* testsuite/test_null.pro: more tests inside "test_null"

	* testsuite/test_isa.pro:
	adding tests into "test_isa": numbers types can be now scalar or array.

	* src/basic_fun_jmg.cpp, src/libinit_jmg.cpp:
	ISA() should now be complete.

2014-07-14  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun_jmg.cpp, src/basic_pro.cpp:
	improvments in ISA(), for Objects and Undefined/!null;
	in HELP, now we clearly distinguish !Null and Undefined variables.

2014-07-14  gilles-duvert  <gilles-duvert@ubuntu>

	* testsuite/demo_graphics1.pro, testsuite/demo_graphics2.pro, testsuite/demo_graphics3.pro:
	three demo files, 1D, 2D and 3D examples.

2014-07-13  gilles-duvert  <gilles-duvert@ubuntu>

	* testsuite/test_device.pro:
	test on X11 window position was giving error even with idl. passed that test as warning only.

	* src/devicex.hpp, src/gdlgstream.hpp, src/gdlwinstream.cpp, src/gdlwxstream.cpp, src/gdlxstream.cpp, src/gdlxstream.hpp:
	Final changes to separate realm of properties related to the DEVICE with those related to the WINDOWs and the STREAMs.  Accordingly, correct results for all currently supported DEVICE,GET_* and DEVICE,SET_* commands.

2014-07-12  slayoo  <slayoo@ubuntu>

	* testsuite/Makefile.am, testsuite/test_bug_n000608.pro:
	adding test_bug_n000608.pro

	* testsuite/Makefile.am, testsuite/test_bug_n000607.pro:
	adding test_bug_n000607.pro

2014-07-12  m_schellens  <m_schellens@ubuntu>

	* src/basic_fun_jmg.cpp: Fixed SIZE for HASH and LIST

2014-07-11  gilles-duvert  <gilles-duvert@ubuntu>

	* src/deviceps.hpp, src/devicex.hpp, src/devicez.hpp, src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlwxstream.cpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/graphicsdevice.hpp:
	nearly complete changes to separate realm of properties related to the DEVICE with those related to the WINDOWs and the STREAMs, i.e., better use of C++ objects. Support for some new DEVICE functions/keywords.
	Removed recent patches that did not maintain the aspect ratio of symbols and orientations after a redimensioning of windows.

	* src/initsysvar.cpp:
	removed recent patches that did not maintain the aspect ratio of symbols and orientations after a redimensioning of windows.

	* src/libinit.cpp:  Added a few DEVICE functions/keywords.

	* src/plotting_device.cpp:
	nearly complete changes to separate realm of properties related to the DEVICE with those related to the WINDOWs and the STREAMs, i.e., better use of C++ objects. Add some new DEVICE functions/keywords.

	* src/plotting_windows.cpp:
	nearly complete changes to separate realm of properties related to the DEVICE with those related to the WINDOWs and the STREAMs, i.e., better use of C++ objects.

	* src/plotting.hpp:
	removed recent patches that did not maintain the aspect ratio of symbols and orientations after a redimensioning of windows.

2014-07-11  m_schellens  <m_schellens@ubuntu>

	* src/basic_op.cpp, src/default_io.cpp, src/nullgdl.cpp, src/prognodeexpr.cpp:
	fixed bug 607 and 608: \!NULL EQ/NE for objects and HELP output for pointers

2014-07-11  alaingdl  <alaingdl@ubuntu>

	* README, src/basic_fun_jmg.cpp, testsuite/test_isa.pro:
	continuing ISA(); small bug in TYPENAME().

2014-07-07  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_list.pro:
	update of "test_list.pro" to check list::IsEmpty(). But where is "test_hash.pro" ?

	* NEWS: update (ISA() and TYPENAME(), removing of LA_CHOLDC/LA_CHOLSOL)

	* src/hash.cpp, src/hash.hpp, src/list.cpp, src/list.hpp, src/overload.cpp:
	initial import for methods hash::isempty() and list::isempty()

	* testsuite/Makefile.am, testsuite/test_isa.pro:
	initial import of "test_isa.pro" written by Levan L.

2014-07-05  gilles-duvert  <gilles-duvert@ubuntu>

	* src/magick_cl.cpp:
	Patch to prevent 16 bit depth PNGs that Magick does not read well to be opened at all (image dimensions zero!)

	* CMakeModules/FindImageMagick.cmake:
	ImageMagick comes now in different version with 16 or 8 "quantum depth" (bytes per pixel color, essentially). I've aligned the .cmake with current distro's cmake. Then, I've added a way to find the necessary CXX_FLAGS that are needed to compile accordingly to the distribution's setup (otherwise there are compile warnings, if not bugs).

	* CMakeLists.txt:
	warning abour dynamic drivers potential problem needs to be rechecked -- added a conditional 'may'.

2014-07-04  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun_jmg.cpp:
	initial import for ISA(). Object, List, hash are not ready. code by Levan L.

2014-07-03  alaingdl  <alaingdl@ubuntu>

	* MAP_INSTALL, testsuite/test_map.pro:
	one missing file in MAP_INSTALL, one new nice case for demo.

2014-07-03  gilles-duvert  <gilles-duvert@ubuntu>

	* src/magick_cl.cpp:
	added patch to save the day even in presence of magick's readIndexes() failure.

2014-07-03  alaingdl  <alaingdl@ubuntu>

	* MAP_INSTALL, src/file.cpp, src/file.hpp, src/initsysvar.cpp:
	Improving the way !GSHHS_DATA_DIR is managed in "initsysvar.cpp".
	Tests on the "gshhs.cpp" side are still not done.

	* CMakeLists.txt, src/gshhs.cpp, src/gshhs.h, src/initsysvar.cpp, src/initsysvar.hpp:
	1/ adding official "gshhs.h" to avoid complicating install.
	2/ change "CMakeList" to have GSHHS on by default
	3/ creating an internal !GSHHS_DATA_DIR variable to provide the path to shorelines data files

2014-07-02  alaingdl  <alaingdl@ubuntu>

	* doc/udg/chapters/credits.tex: adding 2 students

	* INSTALL, config.h.in:
	moving files related to the "configure" way into obsolete/

	* configure.in:
	In GDL, the "configure" is no more maintained (and some recent options are not available in), now we use CMake.
	We move "configure.in" into the new directory "obsolete/".

2014-07-01  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/findex.pro:
	corrects bug #601 following new version found on the web.

2014-06-30  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gshhs.cpp, src/libinit.cpp, src/libinit_jmg.cpp, src/math_fun_jmg.cpp, src/math_fun_jmg.hpp, src/math_utl.cpp, src/math_utl.hpp, src/ncdf_dim_cl.cpp, src/ncdf_var_cl.cpp, src/plotting.cpp, src/plotting.hpp, src/plotting_axis.cpp, src/plotting_contour.cpp, src/plotting_convert_coord.cpp, src/plotting_cursor.cpp, src/plotting_map_proj.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp, src/plotting_shade_surf.cpp, src/plotting_surface.cpp, src/plotting_xyouts.cpp:
	large rewrites in 21 files to support for all mapping-related commands and graphics. Projection include is now plotting.hpp, definition (actual call to proj.4 library) is in plotting_map_proj.cpp. conversions from and to projections are done mainly in plotting.cpp (gdlProjForward()). Most of the graphics commands have been updated to support projections and associated connectivity problems (how a polygon can be splitted by a proection effect, etc) in better supported althought neither complete nor accurate. both libproj4 and proj.4.8 are ok to link with gdl. See MAP_INSTALL for additional hints.

	* src/gdlgstream.hpp:
	removed usage of _HAVE_CONFIG (unnecessary and causes confusion in plplot in some cases)

	* NEWS, MAP_INSTALL, testsuite/test_map.pro, src/pro/map_clip_set.pro:
	complete (?) support for all mapping-related commands and graphics.

	* src/deviceps.hpp: removed last two patches (crash).

2014-06-30  pjb7687  <pjb7687@ubuntu>

	* src/deviceps.hpp: Initialize array after allocation,
	so that 'strlen' can properly find its length.

2014-06-30  alaingdl  <alaingdl@ubuntu>

	* src/libinit_jmg.cpp:
	suspending LA_CHOLDC and LA_CHOLSOL up we have a clean solution.

2014-06-29  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlxstream.cpp:
	casted (char*) some elements of structure to prevent complains by gcc 4.8.2

2014-06-28  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting.cpp: removed cause of warning by fussy compilers

2014-06-28  slayoo  <slayoo@ubuntu>

	* testsuite/Makefile.am, testsuite/test_bug_n000542.pro:
	adding test_bug_n000542.pro

2014-06-27  alaingdl  <alaingdl@ubuntu>

	* src/file.cpp: better version for FILE_EXPAND_PATH() ...

2014-06-27  pjb7687  <pjb7687@ubuntu>

	* src/deviceps.hpp, src/includefirst.hpp: Patch for MSVC:
	1. Resolve Windows.h Winsock.h header issue
	2. 'new' keyword is used for non-constant length of array allocation

2014-06-26  pjb7687  <pjb7687@ubuntu>

	* CMakeModules/FindNumpy.cmake: Patch for future python3 support

	* src/basic_pro.cpp: Win32 patch: fnmatch -> PathMatchSpec

	* CMakeLists.txt, CMakeModules/FindPdcurses.cmake, CMakeModules/Findlibps.cmake, src/deviceps.hpp, src/initsysvar.cpp, src/objects.cpp, src/semshm.cpp, src/basic_pro.cpp:
	Win32 Support for additional libraries: wxwidgets, pslib, eigen3, and graphicsmagick++

	Also includes correction of proper pslib header file path

2014-06-26  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun.cpp:
	fixing 2 details in ROUTINE_INFO: must return "$MAIN$" for calls like "routine_info()"
	with or without routines already complided. "subList.resize( n);" are not need !

	* src/basic_fun.cpp:
	details in ROUTINE_INFO: warning when no pro/fun already compiled, pro should return $MAIN$ first

2014-06-25  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp, src/libinit.cpp: draft for HELP, /system_variables

	* src/envt.cpp:
	When a keyword is passed 2 times, we must Throw(), not just Warming().

	* src/basic_pro.cpp, src/basic_pro.hpp, src/libinit.cpp:
	Preparing some rewriting in HELP. Internal help() renamed in help_pro().
	Various keywords added into WarmKey list. Preparing keyword names='*filter*'

2014-06-22  gilles-duvert  <gilles-duvert@ubuntu>

	* src/default_io.cpp:
	better printed representation of arrays of string (nothing printed until the first non-null string)

	* src/ofmt.hpp:
	this patch permits to get correct representation of values when printed in free-format (as many digits printed as possible)

2014-06-21  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_contour.cpp:
	contour with 1d x,y was crashing gdl when a projection was set.

2014-06-18  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_convert_coord.cpp:
	corrected bug when only one monodimensional array (such as [0.1,0.1])
	was passed to the function.

2014-06-17  slayoo  <slayoo@ubuntu>

	* doc/udg/gdl.tex:
	fixing mwbk/hyperref/tex4ht compatibility issue (thanks to Deimantas Galcius! - http://tug.org/pipermail/tex4ht/2014q2/000957.html)

2014-06-13  gilles-duvert  <gilles-duvert@ubuntu>

	* CMakeLists.txt: Applied Orion's patch #77

2014-06-13  pjb7687  <pjb7687@ubuntu>

	* src/devicewin.hpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp:
	Support for TV keyword on Windows platform

	* src/CMakeLists.txt: Hopefully it fixes the compilation on POSIX

	* src/datatypes.cpp, src/deviceps.hpp, src/devicewin.hpp, src/devicez.hpp, src/dinterpreter.cpp, src/dinterpreter.hpp, src/file.cpp, src/gdlwinstream.cpp, src/gdlwinstream.hpp, src/graphicsdevice.cpp, src/gtdhelper.hpp, src/initsysvar.cpp, src/io.cpp, src/io.hpp, src/libinit.cpp, src/math_fun_jmg.cpp, src/plotting_convert_coord.cpp, src/read.cpp, src/semshm.cpp, src/sigfpehandler.cpp, src/sigfpehandler.hpp, src/str.cpp, CMakeLists.txt, src/CMakeLists.txt, src/basegdl.hpp, src/basic_fun.cpp, src/basic_pro.cpp, src/basic_pro.hpp, src/basic_pro_jmg.cpp, src/basic_pro_jmg.hpp, src/convol.cpp:
	Support for MinGW - Almost the same one as Patch #76

2014-06-11  slayoo  <slayoo@ubuntu>

	* src/FMTOut.cpp, src/FMTOut.hpp, src/FMTOutTokenTypes.hpp, src/FMTOutTokenTypes.txt, src/default_io.cpp, src/format.out.g:
	adding yet more compatibility fixes for std::cout comparisons for win32

2014-06-11  alaingdl  <alaingdl@ubuntu>

	* src/libinit_gm.cpp:
	adding quiet keywords to IGAMMA (iter, itmax, eps, method)

2014-06-11  slayoo  <slayoo@ubuntu>

	* src/FMTOut.hpp, src/format.out.g:
	hopefully fixing win32 compatibility in format.out.g (when comparing a stream with std::cout)

2014-06-10  m_schellens  <m_schellens@ubuntu>

	* NEWS, src/basegdl.hpp: sync

2014-06-09  slayoo  <slayoo@ubuntu>

	* doc/udg/gdldoc.sty:
	fixing duplicate index entries in LaTeX documentation

2014-06-08  slayoo  <slayoo@ubuntu>

	* doc/udg/chapters/compile-cmake.tex, doc/udg/makeall, CMakeLists.txt, INSTALL.CMake:
	including CMake installation instructions in the docs

	* src/pro/online_help.pro:
	adding atril to the list of pdf viewers in online_help.pro

2014-06-05  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_convert_coord.cpp:
	corrected severe bug in convert_coord, same scaling was wrongly applied on X and Y axis.

2014-06-05  m_schellens  <m_schellens@ubuntu>

	* src/datatypesref.cpp, src/prognode.cpp:
	fixed object indexing (missing increment of ref counter)

2014-06-03  m_schellens  <m_schellens@ubuntu>

	* src/GDLInterpreter.cpp, src/dinterpreter.cpp, src/gdlc.i.g, src/prognode.cpp:
	fixed PCALLNode::Run() SetRetTree could be overwritten by CLEANUP method

	* src/envt.cpp, src/print.cpp: fixed: a=\!null & print, a

	* src/basic_fun_jmg.cpp:
	fixed ROUTINE_NAMES (wrong variable index, now use GetKW instead of GetPar)

2014-06-02  m_schellens  <m_schellens@ubuntu>

	* src/GDLInterpreter.hpp, src/basic_fun.cpp, src/basic_fun_jmg.cpp, src/basic_pro.cpp, src/envt.cpp, src/gdlc.i.g, src/prognode.cpp:
	Suppress MESSAGE in ROUTINE_NAMES when called from EXECUTE

2014-05-27  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gsl_fun.cpp:
	Finishing up the work started in previous version: correct behaviuor for /GRID and several last dims equal to 1.

2014-05-26  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gsl_fun.cpp:
	Corrected bug (see discussion SF#338692) that prevented interpolation on an array whose last dimension was 1.

2014-05-19  alaingdl  <alaingdl@ubuntu>

	* src/pro/value_locate.pro:
	better input type checks + warning if input vector is not monotonic ...

2014-05-17  alaingdl  <alaingdl@ubuntu>

	* src/file.cpp:
	un-finished but not that bad code for FILE_EXPAND_PATH()

2014-05-16  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/map_clip_set.pro:
	revised version. Splittings not yet fully accurate.

2014-05-15  alaingdl  <alaingdl@ubuntu>

	* src/file.cpp, src/file.hpp, src/libinit.cpp:
	interface for missing function FILE_EXPAND_PATH(). Code not finished.

	* src/file.cpp, testsuite/test_file_search.pro:
	in "file.cpp", correcting a bug in FileSearch() for FILE_SEARCH() with keyword /FULLY_QUALIFY_PATH.
	Preliminary associated test added.

2014-05-15  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_convert_coord.cpp:
	complete rewrite of convert_coord, all options supported

	* src/math_utl.hpp: removed commented code

	* src/plotting.cpp:
	projection limits support in axis range retrieving routine

	* src/devicex.hpp: Window positions are correct now.

	* src/datatypes.cpp:
	initied to zero arrays according to meaning of BaseGDL::ZERO. Was not enabled before (?)

2014-05-15  alaingdl  <alaingdl@ubuntu>

	* testsuite/banner_for_testsuite.pro, testsuite/test_modulo.pro, testsuite/test_routine_names.pro:
	small cleaning in testsuite

2014-05-11  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_contour.cpp, src/plotting_cursor.cpp:
	Corrected bug that crashed projections with libproj when they were OK with old libproj4. Needs to have different types depending which library is called. All this subtility will be displaced at a single place (plotting.cpp) in the future.

	* src/math_utl.hpp:
	Corrected bug that crashed projections with libproj when they were OK with old libproj4.

	* src/libinit_jmg.cpp: Added COASTS and CONTINENTS handling.

	* src/math_utl.cpp:
	Handles all historical projections, with all projection centers and most rotations. Goodes is goode's homolosine only with libproj not the good old libproj4. libproj may present new problems that libproj4 do not show.  Work in progress, we may support ALL libproj projections in the end.

	* src/gshhs.cpp: Added COASTS and CONTINENTS handling.
	Corrected bug that removed the first segment of a polygon.
	Unfinished: push all the projection and !MAP.PIPELINE treatment out of this code.

	* src/magick_cl.cpp: magick_cl does not need math_utl.hpp

	* src/libinit.cpp: Added CLIP to shade_surf.

	* src/graphicsdevice.hpp: Added comment

	* MAP_INSTALL: location of gshh has been renamed.

	* src/pro/map_clip_set.pro: Adding /SHOW option

2014-05-07  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun_jmg.cpp:
	small modification in "routine_names_value()" to avoid a Throw:
	with this change, "test_routine_names.pro" can run end-to-end
	and internal bugs visibles.

	* testsuite/test_routine_names.pro:
	adding "test_routine_names.pro" in testsuite

	* testsuite/Makefile.am: adding "test_routine_names.pro" in testsuite/

2014-05-04  slayoo  <slayoo@ubuntu>

	* testsuite/Makefile.am, testsuite/test_bug_n000587.pro:
	adding test for bug no. 587 (!stime)

	* testsuite/Makefile.am, testsuite/test_bug_n000597.pro:
	adding test for bug no. 597 (print,a eq !NULL)

	* testsuite/Makefile.am, testsuite/test_bug_n000599.pro:
	adding test for bug no. 599 (modulus issue)

2014-04-30  alaingdl  <alaingdl@ubuntu>

	* testsuite/Makefile.am, testsuite/test_obj_new.pro:
	this new test shows that we do have now a problem related to OBJ_NEW().

2014-04-29  alaingdl  <alaingdl@ubuntu>

	* src/initsysvar.cpp, src/initsysvar.hpp, src/math_fun_ng.cpp, testsuite/Makefile.am, testsuite/test_voigt.pro:
	We create a !GDL_WARNING flag to inform when the outputs in calculations
	are known to be different between IDL and GDL. Now used only in VOIGT(),
	to be extended to BeselIJKY functions. Switch !GDL_WARING to 0 to be quiet.

	* src/math_fun_ng.cpp, src/voigt.cpp:
	in VOIGT(), correcting the Dim for the cases: VOIGT([1],1) and VOIGT(1,[1]).

2014-04-28  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_modulo.pro:
	we may want to test the code with old GDL versions without TYPENAME() ...

	* src/basic_op_new.cpp:
	fixing Modulo() and DModulo() in "basic_op_new.cpp" (conflit with "basic_op.cpp" def.).
	This bug was found thanks to the test "test_modulo.pro".

2014-04-26  m_schellens  <m_schellens@ubuntu>

	* src/basic_op.cpp: use fmod(...) for modulo for DDouble and DFloat

2014-04-23  alaingdl  <alaingdl@ubuntu>

	* testsuite/Makefile.am: update

	* testsuite/test_bug_3147146.pro, testsuite/test_modulo.pro, testsuite/banner_for_testsuite.pro:
	*** empty log message ***

2014-04-07  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun_jmg.cpp:
	TYPENAME() should be complete now but code review welcome especially for Structure, Obj, List, Hash !

	* testsuite/test_typename.pro:
	few new test in "test_typename.pro" for Structures, Obj, List and Hash.

	* testsuite/test_structures.pro:
	few extra tests in "test_structures.pro" (using keywords in SIZE())

	* src/basic_fun_jmg.cpp: adding keyword /Sname for SIZE()

	* src/basic_fun_jmg.cpp, src/libinit_jmg.cpp:
	in SIZE(), keywords must be exclusive (/sname to be done); adding two missing types in TYPENAME()
	(just Obj, List and Hash not ready)

2014-04-04  alaingdl  <alaingdl@ubuntu>

	* src/gdlxstream.hpp, src/devicex.hpp, src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlxstream.cpp:
	correcting bug 595 (window, 1 & window, 2, xsize=123 & wdelete : crash !)

2014-03-29  m_schellens  <m_schellens@ubuntu>

	* src/convert2.cpp, src/hash.cpp, src/list.cpp:
	Added COUNT and WHERE member functions for LIST and HASH

2014-03-28  m_schellens  <m_schellens@ubuntu>

	* src/list.hpp, src/overload.cpp, src/envt.cpp, src/envt.hpp, src/hash.cpp, src/hash.hpp, src/list.cpp:
	Added COUNT and WHERE member functions for LIST and HASH

2014-03-28  alaingdl  <alaingdl@ubuntu>

	* src/list.cpp, src/list.hpp, src/overload.cpp:
	adding list::count() just for the very basic value (not the where())

	* testsuite/Makefile.am, testsuite/test_list.pro:
	initial import of "test_list.pro", just testing list.add() and list.count(), to be extended ...

2014-03-27  m_schellens  <m_schellens@ubuntu>

	* src/GDLTreeParser.cpp, src/gdlc.tree.g, src/ofmt.cpp:
	undo ticket #585: took back code changes.

2014-03-27  alaingdl  <alaingdl@ubuntu>

	* testsuite/Makefile.am, testsuite/test_device.pro, testsuite/test_typename.pro:
	Initial import for "test_typename.pro", 3 types missing. typos in "test_device.pro".

	* src/basic_fun_jmg.cpp, src/basic_fun_jmg.hpp, src/libinit_jmg.cpp:
	initial import for TYPENAME(), 3 types missing; preparing ISA() but not ready.

2014-03-25  alaingdl  <alaingdl@ubuntu>

	* src/pro/file_lines.pro:
	correcting FILE_LINE when first charactere is a "~" (HOME in Unix world)

2014-03-23  m_schellens  <m_schellens@ubuntu>

	* src/FMTLexer.cpp, src/FMTParser.cpp, src/FMTParser.hpp, src/fmtnode.hpp, src/format.g, src/ofmt.cpp:
	fixed ticket #583 string(90,'(I+3.2)') % Format parser: unexpected char: '+'

2014-03-22  m_schellens  <m_schellens@ubuntu>

	* src/nullgdl.cpp: fixed ticket #579 (NullGDL::GetTag(...) called)

	* src/ofmt.cpp: fixed ticket #584 (FORMAT="(A)" for BYTE)

	* src/GDLTreeParser.cpp, src/gdlc.tree.g:
	fixed ticket #585 (LIST as variable name)

2014-03-22  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicesvg.hpp, src/plotting_misc.cpp:
	SVG output is now color on white background.

2014-03-21  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting.cpp:
	patch hopefully fixing wrong rounding of plot limits (logarithmic axis case)

	* src/deviceps.hpp:
	reverted patch by AC to temporarily solve bug #530, see patch in plotting.c.
	Added preliminary support for implicit SIZE for TV command

	* src/plotting.cpp: better solution to temporarily solve bug #530

2014-03-20  alaingdl  <alaingdl@ubuntu>

	* src/deviceps.hpp:
	temporary solution for bug 520 and having the good colors in PS output

2014-03-19  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_device.pro:
	don't stop in test due to missing X11 device mode !

	* src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/initsysvar.cpp, src/plotting.hpp:
	correcting GetGeometry for X11: returning the x/y offsets.

	* testsuite/test_device.pro: extending "test_device" to X11 tests.

2014-03-18  alaingdl  <alaingdl@ubuntu>

	* testsuite/Makefile.am, testsuite/test_where.pro:
	adding a draft of "test_where.pro" to make very basic but useful tests on WHERE:
	when OpenMP was in use in WHERE code we had a no trivial bug, if OpenMP
	will come back in, we should be able to detect basic problems.

	* src/basic_pro.cpp, src/envt.cpp, src/envt.hpp, src/initsysvar.cpp, src/objects.cpp, src/objects.hpp, src/typedefs.hpp:
	Trying to fix CPU procedure (was crashing !). TPOOL_MIN_ELTS and TPOOL_MAX_ELTS
	are now fully managed in Long64.

	* src/datatypes.cpp:
	correcting bug 592 in WHERE just by removing the OpenMP directives.

2014-03-13  alaingdl  <alaingdl@ubuntu>

	* src/plotting_convert_coord.cpp:
	small improvments in consistency in CONVERT_COORD: if x or y or z in double, double computation.
	message that /T3D is not ready.

	* testsuite/Makefile.am, testsuite/test_convert_coord.pro:
	initial import of "test_convert_coord.pro", to be extended ...

2014-03-10  m_schellens  <m_schellens@ubuntu>

	* src/initsysvar.cpp, src/initsysvar.hpp, src/prognodeexpr.cpp:
	two points: (1) restoring \!stime; (2) in X mode, updating \!D.{x|y}_size (more elegant :-)

2014-03-10  alaingdl  <alaingdl@ubuntu>

	* src/initsysvar.cpp, src/initsysvar.hpp, src/prognodeexpr.cpp:
	two points: (1) restoring !stime; (2) in X mode, updating !D.{x|y}_size (not elegant but works !)

2014-02-28  gilles-duvert  <gilles-duvert@ubuntu>

	* src/basic_pro.cpp: Corrected bugs #591 and #590 (thanks to igor)

2014-02-27  alaingdl  <alaingdl@ubuntu>

	* src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/libinit.cpp:
	fixing details in code (std::string) because it was not compiling on
	some recent distros/gcc.

	* src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/plotting_device.cpp:
	Continuing adding keywords to DEVICE for X11 device type.
	To be add soon into HELP,/device ...

	* src/plotting_windows.cpp: re-introducing correction 1.19 :
	fix: WINDOW, WSET, WSHOW and WDELETE are defined only for device types X and WIN,
	should return "not defined" for other types of devices (set via SET_PLOT)

2014-02-26  alaingdl  <alaingdl@ubuntu>

	* src/plotting_windows.cpp:
	The procedure WINDOW should work when xsize or ysize keywords are negative.
	It is not a problem when keywords xpos or y pos are negative.

	* src/gdlgstream.cpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/libinit.cpp, src/plotting_device.cpp:
	adding few keywords to DEVICE, now values of GET_WINDOW_POSITION keywords should be OK

2014-02-24  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting.cpp, src/plotting_plots.cpp:
	Optimized use of color arrays (in PLOTS , COLOR=[...]) when array is only a 1 element vector.

	* src/dinterpreter.cpp, src/gdl.cpp:
	Reinstalled GDLEventHandler as default handler of readline events, even if it brings bug 562 back. The previous unfortunate patch removed completely the graphics event handling (window resizing, etc). Still not evident how to avoid bug 562 when editing the command line with keyboard arrows.

2014-02-24  alaingdl  <alaingdl@ubuntu>

	* src/plotting_windows.cpp:
	fix: WINDOW, WSET, WSHOW and WDELETE are defined only for device types X and WIN,
	should return "not defined" for other types of devices (set via SET_PLOT)

2014-02-21  alaingdl  <alaingdl@ubuntu>

	* NEWS: updating NEWS file (NULL device type added)

	* src/graphicsdevice.cpp, src/graphicsdevice.hpp, src/initsysvar.cpp, src/plotting_misc.cpp, src/basic_pro.cpp:
	Finishing (??) the case we are on a Unix like OS without X11 lib. Only 4 device types are then available.
	No more crash when trying to plot, or printing just !D. Default is then to be on NULL device.

2014-02-20  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp, src/libinit.cpp:
	initial import of HELP,/DEVICE, not fully finished.

	* src/devicenull.hpp, src/graphicsdevice.cpp, src/graphicsdevice.hpp, src/initsysvar.cpp, src/plotting.hpp, src/plotting_misc.cpp, src/Makefile.am:
	adding NULL Device type.

2014-02-18  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro_jmg.cpp:
	to have CALL_EXTERNAL working, we have to keep :  RTLD_NOW || RTLD_GLOBAL in dlopen().

	* src/basic_fun_jmg.cpp, src/objects.cpp:
	smarter return types (long64) for few fields in  SIZE( /L64,/Struct)

2014-02-14  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdl.cpp, src/dinterpreter.cpp:
	Removed GDLEventHandler as default handler of readline events. Was the cause of bug 562. AFAIK the default libreadline event handler is sufficient here.

	* src/pro/moment.pro:
	Removed protection against zero-dim x since even zero-dim x have a mean (x) and moments (Nan).

2014-02-08  gilles-duvert  <gilles-duvert@ubuntu>

	* src/gdlxstream.cpp, src/gdlxstream.hpp:
	modified GetGin for simpler and faster use. Added GetExtendedGin for further reference (traps ^C).

	* src/devicex.hpp, src/graphicsdevice.hpp:
	added (still unused) SetFocus()

	* src/plotting_cursor.cpp: simplified cursor function

	* src/pro/read_ascii.pro: added documentation

2014-02-06  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/strsplit.pro:
	strsplit now uses the ESCAPE and FOLD_CASE options available in strtok().

	* src/basic_fun.cpp, src/libinit_mes.cpp:
	added FOLD_CASE to strtok, hence to strsplit!

2014-02-05  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/read_ascii.pro:
	More robust tests of inconsistencies in definition of tags for output structure

	* src/pro/read_ascii.pro:
	Corrected improper behaviour where blanks and minus in tag names were not converted to underscores prior to creating the output structure. Also added check that tag names do not begin with a digit.

	* src/plotting_xyouts.cpp:
	Behaviour when coordinates of a XYOUTS are not arrays is now correct (value is repeated).

2014-01-25  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting.cpp:
	this optimization should speed up plotting lines and symbols.

2014-01-23  alaingdl  <alaingdl@ubuntu>

	* src/libinit_jmg.cpp:
	if GDL is compiled without GSHHG (former GSHHS), an external MAP_CONTINENT can be used.

2014-01-22  alaingdl  <alaingdl@ubuntu>

	* src/ncdf_cl.cpp:
	restoring normal behavior of NCDF_OPEN (with URL/OpenDAP support),
	adding few extra messages or errors (default messages are not clear
	if files do not exist or cannot be read).

	* src/gsl_fun.cpp: in HISTOGRAM, testing if input array is an array.

	* src/ncdf4_group.cpp:
	Adding the 2 last missing function for NetCDF-4 support: NCDF_VARIDSINQ and NCDF_UNLIMDIMSINQ.
	This is not fully tested.

	* src/pro/tic.pro: detail in TIC

2014-01-22  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/write_png.pro: transparency should work

	* src/magick_cl.cpp:
	support for transparent channels (works with write_png)

2014-01-21  gilles-duvert  <gilles-duvert@ubuntu>

	* src/magick_cl.cpp:
	added warning to inform about truncation of images by local implementation of Magick library.

	* src/plotting.hpp:
	updated comments and reset use of flush() that appear needed to finish all drawing sequences with X11.

2014-01-20  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/showfont.pro:
	this version of showfont is faster (avoids bug #576) and looks better...

	* src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/plotting.hpp:
	Return of double buffering for X11 plots, with safe use of nonstandard graphic context write modes such as XOR.

2014-01-19  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicex.hpp: TV now supports non-truecolor vectors as input.

	* src/plotting.hpp:
	Removed double buffering. Was not compatible with non-standard modes (eg: device,set_graphics=6) which are used in all cursor-driven drawings (ex: DEFROI).

	* src/gdlxstream.cpp, src/plotting_cursor.cpp:
	Corrected bug  #582 (/UP option not correctly working)

	* src/convol.sav.cpp, src/convol.opt.cpp: remove unwanted file

2014-01-18  slayoo  <slayoo@ubuntu>

	* testsuite/CMakeLists.txt:
	CMake: adding handling for the 77 SKIP return code (as used by autoconf); making the tests depend on building gdl binary

	* testsuite/Makefile.am, testsuite/test_bug_3426399.pro:
	adding test for bug 3426399

	* testsuite/Makefile.am, testsuite/test_bug_3394430.pro:
	adding test for bug 3394430

	* testsuite/test_same_name.pro, testsuite/Makefile.am:
	adding test_same_name.pro

2014-01-14  slayoo  <slayoo@ubuntu>

	* testsuite/test_bug_n000581.pro: adding test for bug 581

2014-01-14  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_stregex.pro:
	adding new test case from bug report 581 in "test_stregex.pro".

	* src/basic_fun.cpp:
	trying to correct bug 581 in STREGEX when lenght= is used.

2014-01-14  slayoo  <slayoo@ubuntu>

	* testsuite/Makefile.am, testsuite/test_bug_n000580.pro:
	test added for bug 580

2014-01-13  alaingdl  <alaingdl@ubuntu>

	* src/ncdf4_group.cpp:
	various fixes in NCDF_NCIDINQ for NetCDF-4 support.

2014-01-12  alaingdl  <alaingdl@ubuntu>

	* src/initsysvar.cpp: NewTag in SysVar must be in uper case to be OK.

2014-01-11  alaingdl  <alaingdl@ubuntu>

	* src/ncdf4_group.cpp: correcting typo in unfinished code, sorry.

	* src/ncdf_cl.cpp:
	details about NCDF_CREATE and NCDF_OPEN, testing also if lib. NetCDF-4 is available or not.

2014-01-10  alaingdl  <alaingdl@ubuntu>

	* src/ncdf4_group.cpp:
	the NetCDF code should remains compilable even old netcdf lib. only is available (before 4.1 is available)

	* src/libinit_cl.cpp, src/ncdf4_group.cpp, src/ncdf_att_cl.cpp, src/ncdf_cl.cpp, src/ncdf_cl.hpp, src/ncdf_dim_cl.cpp, src/ncdf_var_cl.cpp:
	continuing cleaning and improvments in NetCDF related codes (not finished)

2014-01-10  slayoo  <slayoo@ubuntu>

	* testsuite/Makefile.am, testsuite/test_bug_3595172.pro:
	adding test for bug 3595172

2014-01-09  slayoo  <slayoo@ubuntu>

	* testsuite/Makefile.am, testsuite/test_bug_2949487.pro:
	adding test fo bug 2949487

2014-01-09  alaingdl  <alaingdl@ubuntu>

	* src/libinit_cl.cpp: typo in ifdef/endif for new netcdf-4 functions

	* src/libinit_cl.cpp:
	some new netCDF-4 functions should not be visible without NetCDF-4 !

	* NEWS, src/CMakeLists.txt, src/Makefile.am, src/libinit_cl.cpp, src/ncdf4_group.cpp, src/ncdf_cl.cpp, src/ncdf_cl.hpp, src/ncdf_var_cl.cpp:
	initial import of new NetCDF-4 capabilities (groups related)

	* CMakeLists.txt, config.h.cmake:
	preparing extension to some NetCDF-4 finctionnalities.

2014-01-08  gilles-duvert  <gilles-duvert@ubuntu>

	* src/convol.cpp, src/datatypes.cpp:
	specialization of convol() for ULONG and ULONG64

2014-01-08  alaingdl  <alaingdl@ubuntu>

	* src/libinit_jmg.cpp, src/widget.cpp:
	attempt adding EVENT_FUNC keyword into WIDGET_CONTROL (preparing GDL Widgets for ATV !)

	* NEWS, src/initsysvar.cpp: adding !Const

	* src/gdlwidget.cpp:
	change needed on CentOS (GCC 4.1.2, wx-2.8) for using wxTreeItemId::wxTreeItemId(long int)

2014-01-05  gilles-duvert  <gilles-duvert@ubuntu>

	* CMakeLists.txt: corrected typo in message about gshhs.

2014-01-04  slayoo  <slayoo@ubuntu>

	* testsuite/Makefile.am: updating testsuite/Makefile.am

	* testsuite/test_bug_3285659.pro: adding test_bug_3285659.pro

2014-01-04  gilles-duvert  <gilles-duvert@ubuntu>

	* testsuite/test_convol.pro:
	convol() now correctly behaves for all combinations of options and data types. this is a sample test file.

	* src/CMakeLists.txt, src/convol.cpp, src/convol_inc0.cpp, src/convol_inc1.cpp, src/convol_inc2.cpp, src/datatypes.cpp:
	convol() now correctly behaves for all combinations of options and data types.

2014-01-02  slayoo  <slayoo@ubuntu>

	* testsuite/test_bug_2892631.pro: adding test_bug_2892631.pro

	* testsuite/test_bug_2876372.pro: adding test_bug_2876372.pro

2013-12-30  slayoo  <slayoo@ubuntu>

	* testsuite/test_bug_3572473.pro: adding test_bug_3572473.pro

2013-11-26  alaingdl  <alaingdl@ubuntu>

	* src/pro/tic.pro, src/pro/toc.pro: fixing details in TIC and TOC.

2013-11-26  m_schellens  <m_schellens@ubuntu>

	* src/basic_fun.cpp, src/datatypes.cpp, src/initsysvar.cpp, src/prognodeexpr.cpp, testsuite/test_suite.pro:
	fixed NE and EQ with \!NULL

2013-11-26  alaingdl  <alaingdl@ubuntu>

	* NEWS: updating NEWS

	* src/pro/tic.pro, src/pro/toc.pro, src/pro/Makefile.am:
	initial import of TIC and TOC (both as pro and func), currently not working due to issue on !null EQ/NE

	* testsuite/test_null.pro, testsuite/Makefile.am:
	initial import of test cases on logical operatios (NE and EQ) with !null

2013-11-25  slayoo  <slayoo@ubuntu>

	* src/gsl_fun.cpp:
	fixing OSX Mavericks clang compilation issue (tracker bug no. 577)

2013-11-22  m_schellens  <m_schellens@ubuntu>

	* src/datatypes.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp:
	OpemMP for CatInsert

	* src/basic_pro.cpp, src/datatypes.cpp, src/gdlarray.hpp: fixed CPU

2013-11-21  gilles-duvert  <gilles-duvert@ubuntu>

	* testsuite/test_widgets.pro:
	added a commented text that generates a crash if uncommented. Patch welcome.

	* src/initsysvar.cpp:
	reverted passing TPOOL_MIN_ELTS and TPOOL_MAX_ELTS to Long64 since it will need some careful editing in basic_pro.cpp and envt.cpp to prevent the commabd 'CPU' to crash.

	* src/convol_inc0.cpp: put back a missing line

2013-11-20  m_schellens  <m_schellens@ubuntu>

	* src/datatypes.cpp: OMP for WHERE

2013-11-18  gilles-duvert  <gilles-duvert@ubuntu>

	* src/plotting_misc.cpp: tentative patch for bug #530.

	* src/deviceps.hpp:
	reverted code to prevent crash when writing eps color files.

2013-11-18  m_schellens  <m_schellens@ubuntu>

	* src/default_io.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/widget.cpp, src/widget.hpp:
	WIDGET_TREE and WIDGET_TABLE preparations

2013-11-18  alaingdl  <alaingdl@ubuntu>

	* src/basic_fun.cpp:
	GDL_TMPDIR/IDL_TMPDIR now by default in /var/tmp, using <paths.h> available on Linux and OSX.
	MSwin way not ready.

	* src/initsysvar.cpp: in !cpu, two fields now in Long64

2013-11-15  m_schellens  <m_schellens@ubuntu>

	* src/pro/xmanager.pro: initial import (xmanager.pro)

2013-11-15  slayoo  <slayoo@ubuntu>

	* doc/udg/makeall:
	updating doc/udg/makeall with checks for missing executables (thanks Alain!)

	* doc/udg/README.txt: updating doc/udg/README.txt

	* doc/udg/gdl.tex: getting rid of copernicus.bst dependency

2013-11-12  slayoo  <slayoo@ubuntu>

	* doc/udg/gdl.tex: old-mwcls+natbib workaround

2013-11-07  gilles-duvert  <gilles-duvert@ubuntu>

	* src/basegdl.cpp, src/convol_inc1.cpp, src/nullgdl.cpp, src/CMakeLists.txt, src/basegdl.hpp, src/basic_fun.cpp, src/convol.cpp, src/convol_inc0.cpp, src/datatypes.cpp, src/datatypes.hpp, src/libinit.cpp, src/nullgdl.hpp:
	Support for /NAN, MISSING=, INVALID=, /EDGE_NULL in CONVOL. To be improved, EDGE_NULL is not fully functional.  Possible other features. Scaling for BYTEs was and is still wrong. Removed use of convol_inc2.cpp to simplify maintainance at the expanse of readability...

2013-11-05  m_schellens  <m_schellens@ubuntu>

	* config.h.in: update test

2013-11-04  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/libinit_jmg.cpp, src/widget.cpp:
	GDLWidgetTree preparations

2013-11-04  alaingdl  <alaingdl@ubuntu>

	* src/pro/Makefile.am: configure checked for missing files

2013-11-04  m_schellens  <m_schellens@ubuntu>

	* src/widget.cpp: GDLWidgetTable preparations

2013-11-03  m_schellens  <m_schellens@ubuntu>

	* src/GDLInterpreter.cpp, src/gdlc.i.g, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/libinit_jmg.cpp, src/prognodeexpr.cpp, src/widget.cpp, testsuite/test_widgets.pro:
	GDLWidgetTable preparations

2013-11-02  m_schellens  <m_schellens@ubuntu>

	* src/GDLInterpreter.cpp, src/basic_fun.cpp, src/prognode.cpp, src/prognodeexpr.cpp:
	fixed return of local parmeter in UD functions

2013-10-30  m_schellens  <m_schellens@ubuntu>

	* src/libinit_jmg.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/widget.cpp, testsuite/test_widgets.pro:
	WIDGET_CONTROL,SET_BUTTON working. Update test.

2013-10-30  alaingdl  <alaingdl@ubuntu>

	* src/gdlwidget.cpp: being able to compile CVS even without WxWidgets

2013-10-30  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/pro/cw_bgroup.pro:
	CW_BGROUP

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp, src/objects.cpp, src/widget.cpp:
	widget system ok

2013-10-29  alaingdl  <alaingdl@ubuntu>

	* src/pro/interpol.pro:
	tricky bug in INTERPOL, found thanks to another bug in external code !

2013-10-29  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgeteventhandler.cpp:
	corrected wxWidgets comments (2.8 compatibility)

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwidgeteventhandler.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/widget.cpp, src/widget.hpp:
	two phase initialization of widgets

	* src/gdlwidgeteventhandler.cpp, src/objects.cpp, src/plotting.hpp, src/typedefs.hpp, src/widget.cpp, src/widget.hpp, src/gdleventhandler.cpp, src/gdleventhandler.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp:
	introduced OnShow() for GDLWidgets

2013-10-28  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidgeteventhandler.cpp, src/plotting.hpp, src/widget.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp:
	wxWidgets 2.8 compatibility

	* src/gdlwidget.hpp, src/plotting.hpp, src/gdlwidget.cpp:
	corrected thread handling

2013-10-27  m_schellens  <m_schellens@ubuntu>

	* src/plotting.hpp, src/gdlwidget.hpp, src/gdlwidget.cpp, src/gdlwidgetdraw.cpp, src/gdlwidgeteventhandler.cpp, src/widget.cpp, src/libinit_jmg.cpp, src/objects.cpp, src/CMakeLists.txt, src/Makefile.am:
	WIDGET_SLIDER. All widgets working.

2013-10-26  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/libinit_jmg.cpp, src/plotting_contour.cpp, src/widget.cpp, src/widget.hpp:
	changed widget thread handling

	* src/gdleventhandler.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/objects.cpp, src/plotting.hpp, src/widget.cpp:
	tab widget (incomplete)

2013-10-25  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/objects.cpp, src/widget.cpp:
	text event handling

2013-10-25  alaingdl  <alaingdl@ubuntu>

	* src/libinit.cpp, src/plotting.hpp, src/plotting_plot.cpp:
	adding PLOT_IO, PLOT_OO, PLOT_OI.

2013-10-24  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/objects.cpp, src/plotting.hpp, src/widget.cpp:
	WIDGET_LABEL and WIDGET_TEXT update

2013-10-24  slayoo  <slayoo@ubuntu>

	* CMakeLists.txt: updated package hints in CMakeLists.txt

2013-10-24  alaingdl  <alaingdl@ubuntu>

	* testsuite/test_bug_3244840.pro, testsuite/test_format.pro, testsuite/test_readf.pro, testsuite/Makefile.am:
	moving "test_bug_3244840.pro" test into a new file "test_format.pro" dedicated to
	various tests on Formating issues. To be extended.

2013-10-24  slayoo  <slayoo@ubuntu>

	* doc/www/_news.inc.php, doc/www/downloads.php: updating news and urls

2013-10-24  alaingdl  <alaingdl@ubuntu>

	* src/widget.cpp: continuing being able to compile without WxWidget

	* src/plotting.hpp:
	removing #define HAVE_PLPLOT_WIDTH, this is managed outside and depend on plplot version

2013-10-24  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.hpp: WIDGET_DROPLIST and WIDGET_COMBOBOX (incomplete)

2013-10-23  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/libinit_jmg.cpp, src/objects.cpp, src/plotting.hpp, src/widget.cpp, src/widget.hpp:
	WIDGET_DROPLIST and WIDGET_COMBOBOX (incomplete)

	* src/read.cpp: Fixed bug #573 'readf errors'

	* src/basic_pro.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/widget.cpp:
	Radio button and check box events

2013-10-23  alaingdl  <alaingdl@ubuntu>

	* src/plotting.hpp:
	removing #define HAVE_PLPLOT_WIDTH, this is managed outside and depend on plplot version

2013-10-23  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.hpp, src/gdlwidget.cpp, src/gdlwxstream.cpp, src/libinit_jmg.cpp, src/plotting.hpp, src/widget.cpp:
	prepared [NON]EXCLUSIVE bases.

2013-10-22  alaingdl  <alaingdl@ubuntu>

	* src/libinit_jmg.cpp:
	now, the two versions of INVERT() are stored in "matrix_invert.hpp" (GSL and Eigen3)

	* src/gsl_fun.cpp, src/gsl_fun.hpp:
	removing "invert_fun" from "gsl_fun.cpp/hpp"

	* src/CMakeLists.txt, src/Makefile.am, src/matrix_invert.cpp, src/matrix_invert.hpp:
	initial import of revised version of INVERT() with Eigen3,
	allowing usage of /GSL or /EIGEN (Eigen is the default when compiled with,
	GSL always available since GSL is a mandatory dependance)
	(INVERT() with Eigen is about 4 times faster than GSL (1600^2 on 8cores))

2013-10-22  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidgetdraw.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/libinit_jmg.cpp, src/widget.cpp, src/widget.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp:
	WIDGET_DRAW: resize parent

2013-10-22  alaingdl  <alaingdl@ubuntu>

	* src/plotting.hpp, src/devicex.hpp, src/gdlwidget.hpp, src/gdlwxstream.cpp:
	being able to compile without WxWidget and with older plplot versions (< 5.9.10)

2013-10-21  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/devicex.hpp, src/gdlwidget.hpp, src/plotting.hpp, src/plotting_windows.cpp:
	GUI cleanup

2013-10-21  alaingdl  <alaingdl@ubuntu>

	* src/gdleventhandler.cpp, src/devicex.hpp, src/gdlwxstream.hpp, src/gdlwidget.cpp:
	being able to compile without WxWidget

2013-10-21  m_schellens  <m_schellens@ubuntu>

	* src/plotting.hpp, src/plotting.cpp, src/plotting_contour.cpp, src/plotting_convert_coord.cpp, src/plotting_cursor.cpp, src/plotting_device.cpp, src/plotting_misc.cpp, src/plotting_windows.cpp, src/plotting_xyouts.cpp, src/CMakeLists.txt, src/Makefile.am, src/deviceps.hpp, src/devicesvg.hpp, src/devicex.hpp, src/devicez.hpp, src/gdleventhandler.cpp, src/gdlgstream.cpp, src/gdlpsstream.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/gdlxstream.cpp, src/gdlzstream.cpp, src/gdlzstream.hpp, src/graphics.cpp, src/graphics.hpp, src/graphicsdevice.cpp, src/graphicsdevice.hpp, src/image.cpp, src/initct.cpp, src/initsysvar.cpp, src/math_fun_jmg.cpp, src/objects.cpp:
	some rearragement for WIDGET_DRAW

2013-10-21  alaingdl  <alaingdl@ubuntu>

	* src/plotting.hpp:
	conflicting #define HAVE_PLPLOT_WIDTH for old plplot versions (< 5.9.10)

2013-10-21  m_schellens  <m_schellens@ubuntu>

	* src/plotting_contour.cpp, src/plotting_xyouts.cpp, src/widget.cpp, src/devicex.hpp, src/gdlgstream.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/graphics.cpp, src/graphics.hpp, src/plotting.cpp, src/plotting.hpp:
	WIDGET_DRAW working (initial version - not complete)

2013-10-20  gilles-duvert  <gilles-duvert@ubuntu>

	* testsuite/test_zip.pro:
	added tests to check that readf() works well after a stat() or (equivalent) a point_lun of nonzero argument. Removed unnecessary calls to specific linux external spawn commands.

2013-10-18  m_schellens  <m_schellens@ubuntu>

	* src/gdlwxstream.cpp, src/gdlgstream.hpp: WIDGET_DRAW almost working

2013-10-17  m_schellens  <m_schellens@ubuntu>

	* src/devicex.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/widget.cpp:
	WIDGET_DRAW (not working)

	* src/gdlgstream.hpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp, src/devicex.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp:
	WIDGET_DRAW implementation (not yet working)

2013-10-16  m_schellens  <m_schellens@ubuntu>

	* src/libinit_jmg.cpp, src/widget.cpp, src/widget.hpp, src/CMakeLists.txt, src/Makefile.am, src/gdlgstream.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gdlwidgetdraw.cpp, src/gdlwxstream.cpp, src/gdlwxstream.hpp:
	WIDGET_DRAW function (not yet working)

	* src/devicex.hpp, src/dstructgdl.cpp: sync

2013-10-15  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/objects.cpp:
	widets working.

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/widget.cpp:
	fixes for widgets

2013-10-14  m_schellens  <m_schellens@ubuntu>

	* src/gdlwidget.hpp, src/gdlwidget.cpp, src/widget.cpp:
	widgets update. Not yet working.

2013-10-13  m_schellens  <m_schellens@ubuntu>

	* src/gdleventhandler.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/widget.cpp:
	correct widget event handling

2013-10-12  gilles-duvert  <gilles-duvert@ubuntu>

	* src/io.cpp:
	This patch seems to fix the 'seek position' problem encountered when reading compressed streams.

2013-10-12  m_schellens  <m_schellens@ubuntu>

	* src/basic_pro.cpp, src/gdleventhandler.cpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/widget.cpp:
	fixes for widget system

2013-10-11  gilles-duvert  <gilles-duvert@ubuntu>

	* src/base64.hpp, src/basic_fun.cpp:
	changes to avoid warnigs by xcode under  Mac OS X 10.9 (Mavericks). (Reported by M.S., HMUG packager).

2013-10-11  alaingdl  <alaingdl@ubuntu>

	* doc/www/_news.inc.php, doc/www/resources.php:
	continuing adding news (link to adass paper)

	* doc/www/_news.inc.php: few extra links

2013-10-10  m_schellens  <m_schellens@ubuntu>

	* src/widget.cpp: fix problem when building w/o wxWidgets

	* src/CMakeLists.txt, src/gdlwidget.cpp, src/gdlwidget.hpp, src/nullgdl.cpp, src/widget.cpp, src/widget.hpp:
	reorganize widget handling (not ok yet - but better than before)

2013-10-10  gilles-duvert  <gilles-duvert@ubuntu>

	* CMakeLists.txt, config.h.cmake:
	check for HAVE_EXT_STDIO_FILEBUF_H would fail for many platforms because the include file is hidden in the gcc directories. This patch hopefully helps finding this useful addition, that permits to read/ (write?) compressed files.

2013-10-08  gilles-duvert  <gilles-duvert@ubuntu>

	* src/pro/read_jpeg2000.pro:
	new: READ_JPEG2000  (needs **Magick with libjasper). Reads JP2 and the rare JPC flavor.

	* src/pro/read_jpeg.pro:
	added support for JNG style JPEG (needs **Magick with libjasper)

	* src/pro/read_jpeg.pro, src/pro/read_png.pro:
	Reverted to previous version --- !ORDER should not be checked in read_* files. Only /ORDER is relevant.

	* src/pro/read_jpeg.pro, src/pro/read_png.pro:
	Added support for !ORDER system variable

	* src/pro/read_gif.pro:
	removed commented part about "order" (kw not used)

	* src/devicex.hpp:
	Rewritten TV and TVRD to support ORDER kw and cured some bugs (truecolor, orientation).

	* src/initsysvar.cpp, src/initsysvar.hpp:
	Added TV_ORDER(), support for !ORDER system variable

2013-10-08  alaingdl  <alaingdl@ubuntu>

	* src/gdljournal.cpp, src/math_fun_jmg.cpp:
	continuing correcting errors found by "cppcheck", here a bad delete.

2013-10-07  m_schellens  <m_schellens@ubuntu>

	* src/GDLInterpreter.cpp, src/GDLInterpreter.hpp: cleanup

	* src/gdlc.i.g: applied patch #35

	* src/GDLInterpreter.hpp, src/gdlc.i.g, src/prognode.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp, src/GDLInterpreter.cpp:
	some cleanup

	* HACKING: applied patch #35

	* src/gshhs.cpp, src/plotting_map_proj.cpp: applied patch #72

2013-10-06  m_schellens  <m_schellens@ubuntu>

	* src/datatypes.cpp: for windows

2013-10-06  gilles-duvert  <gilles-duvert@ubuntu>

	* src/devicex.hpp: correct for bug #572

	* src/libinit.cpp, src/plotting_device.cpp:
	added GET_WINDOW_POSITION kw and function

	* src/plotting_windows.cpp, src/gdlxstream.cpp: added comments

2013-10-06  m_schellens  <m_schellens@ubuntu>

	* CMakeLists.txt, CMakeModules/FindLibproj4.cmake, CMakeModules/FindLibproj4new.cmake:
	use 1st http://home.comcast.net/~gevenden56/proj/ then http://trac.osgeo.org/proj/ for projections

	* src/math_utl.cpp, src/math_utl.hpp, src/plotting.cpp, src/plotting_contour.cpp, src/plotting_convert_coord.cpp, src/plotting_cursor.cpp, src/plotting_map_proj.cpp, src/plotting_xyouts.cpp, CMakeLists.txt, CMakeModules/FindLibproj4.cmake, src/math_fun_jmg.cpp:
	use http://trac.osgeo.org/proj/ for projections

	* CMakeLists.txt: removed patch #42

	* CMakeLists.txt: applied patch #42

	* CMakeLists.txt, testsuite/Makefile.am, testsuite/try:
	applied patch #44

	* src/plotting.cpp, src/plotting_contour.cpp, src/plotting_xyouts.cpp:
	some changes for new plplot::width

	* CMakeLists.txt, config.h.cmake, src/allix.hpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/deviceps.hpp, src/dnode.cpp, src/dpro.cpp, src/envt.cpp, src/envt.hpp, src/gdlexception.cpp, src/gdlexception.hpp, src/plotting.cpp, src/plotting_contour.cpp, src/plotting_xyouts.cpp, src/prognode.cpp, src/prognodeexpr.cpp:
	applied reorder and plwidth patches

	* src/basic_pro.cpp, src/objects.cpp: for windows

	* src/file.cpp, src/objects.cpp:
	linux after windows compatibility, all tests ok

2013-10-05  m_schellens  <m_schellens@ubuntu>

	* src/dirent.c, src/dirent.h, src/file.cpp, src/gdlgstream.hpp, src/gshhs.cpp, src/gshhs.hpp, src/io.cpp, src/math_fun_gm.hpp, src/new.cpp, src/new.hpp, src/objects.cpp, src/plotting_axis.cpp, src/plotting_convert_coord.cpp, src/plotting_cursor.cpp, src/plotting_erase.cpp, src/plotting_map_proj.cpp, src/plotting_misc.cpp, src/plotting_polyfill.cpp, src/plotting_windows.cpp, src/plotting_xyouts.cpp, src/basic_pro.cpp:
	linux compatibility

2013-10-04  m_schellens  <m_schellens@ubuntu>

	* src/dirent.h, src/basic_fun_cl.cpp, src/deviceps.hpp, src/devicewin.hpp, src/dimension.hpp, src/dinterpreter.cpp, src/dirent.c, src/file.cpp, src/gdlgstream.hpp, src/gdlwidget.cpp, src/gdlwidget.hpp, src/gsl_fun.cpp, src/math_fun_ac.cpp, src/math_fun_gm.cpp, src/math_fun_jmg.cpp, src/matrix_cholesky.cpp, src/objects.cpp, src/plotting.cpp, src/plotting_plot.cpp:
	Windows VS2010 compatibility

2013-10-03  alaingdl  <alaingdl@ubuntu>

	* src/basic_pro.cpp:
	missing closedir, as detected by "cppchecker" (line 339: (error) Resource leak: dirp)

2013-10-02  m_schellens  <m_schellens@ubuntu>

	* src/gsl_matrix.cpp, src/prognode.cpp, src/prognode_lexpr.cpp, src/GDLInterpreter.cpp:
	avoid some unnecessary copying in WHILE/REPEAT/CASE/IF statements

	* src/gsl_matrix.cpp: moved GDLGuard

2013-10-02  alaingdl  <alaingdl@ubuntu>

	* src/gsl_matrix.cpp:
	correcting gsl_permutation_* issue for LUDC/LUSOL (bug #570), patch by Orion P.

	* src/pythongdl.cpp:
	correcting issue in Python binding, patch by Orion P.

2013-10-01  m_schellens  <m_schellens@ubuntu>

	* src/gdlc.i.g: a bit cleanup

	* src/GDLInterpreter.hpp, src/gdlc.i.g: some comments

	* src/GDLInterpreter.cpp, src/arrayindexlistt.hpp, src/basic_fun.cpp, src/basic_fun_jmg.cpp, src/basic_pro.cpp, src/convert2.cpp, src/datalistt.hpp, src/devicex.hpp, src/envt.cpp, src/envt.hpp, src/gdlc.i.g, src/gsl_fun.cpp, src/ncdf_var_cl.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	correction for DEREFNode to extend lifetime of ptr till end of function

2013-09-29  gilles-duvert  <gilles-duvert@ubuntu>

	* NEWS:
	updated the description to match the graphic status at the time of 0.9.4

	* src/gsl_fun.cpp: interpolate now accepts COMPLEX and DCOMPLEX types.

2013-09-29  slayoo  <slayoo@ubuntu>

	* doc/www/_news.inc.php: doc/www/_news: 0.9.4 release

2013-09-29  m_schellens  <m_schellens@ubuntu>

	* src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/assocdata.hpp, src/dinterpreter.cpp, src/gdlc.i.g, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	ASSOC fix for structs. Use no assoc array index where possible.

2013-09-28  m_schellens  <m_schellens@ubuntu>

	* CMakeLists.txt, configure.in: 0.9.4 CVS

	* src/prognode.cpp, src/prognode_lexpr.cpp:
	optimized reference parameter passing with ++/--

2013-09-27  m_schellens  <m_schellens@ubuntu>

	* testsuite/test_suite.pro, src/FMTOut.hpp, src/FMTOutTokenTypes.hpp, src/FMTOutTokenTypes.txt, src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/GDLInterpreterTokenTypes.hpp, src/GDLInterpreterTokenTypes.txt, src/GDLLexer.cpp, src/GDLParser.cpp, src/GDLParser.hpp, src/GDLTokenTypes.hpp, src/GDLTokenTypes.txt, src/GDLTreeParser.cpp, src/GDLTreeParser.hpp, src/GDLTreeParserTokenTypes.hpp, src/GDLTreeParserTokenTypes.txt, src/gdlc.g, src/gdlc.i.g, src/prognode.cpp:
	DEC/INC EvalRefCheck optimization (no temporary anymore)

	* src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/GDLTreeParser.cpp, src/GDLTreeParser.hpp, src/dcompiler.cpp, src/gdlc.i.g, src/gdlc.tree.g, src/prognode.cpp, src/prognode.hpp:
	corrected reference parameter passing with ++/--


GDL 0.9.4:
2013-09-26  m_schellens  <m_schellens@ubuntu>

	* ChangeLog, README: gdl 0.9.4

	* src/prognode.cpp, src/prognodeexpr.cpp, src/basic_fun.cpp, src/envt.hpp:
	fixed return by reference for return of local variables

	* src/basic_fun.cpp, src/dcompiler.cpp, src/newprognode.cpp, src/prognode.cpp, src/prognode.hpp:
	fixed reference parameters with ++ -- r+

2013-09-26  m_schellens  <m_schellens@sf.net>

	* src/prognode.cpp, src/prognodeexpr.cpp, src/basic_fun.cpp, src/envt.hpp:
	fixed return by reference for return of local variables

	* src/basic_fun.cpp, src/dcompiler.cpp, src/newprognode.cpp, src/prognode.cpp, src/prognode.hpp:
	fixed reference parameters with ++ -- r+

2013-09-25  m_schellens  <m_schellens@sf.net>

	* src/prognode.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp:
	trinary operator optimizations

	* src/pro/str_sep.pro: working STR_SEP

	* src/pro/factorial.pro, src/GDLInterpreter.hpp, src/envt.cpp, src/envt.hpp, src/gdlarray.hpp, src/gdlc.i.g, src/prognode.cpp:
	ref check function return value

	* src/basic_fun.cpp, src/prognode.cpp:
	fixed ParameterDirect (wrong return reference set)

	* testsuite/test_suite.pro, src/GDLTreeParser.cpp, src/gdlc.i.g, src/gdlc.tree.g, src/prognode.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/GDLInterpreter.cpp:
	fixed pass by reference for functions as parameters

2013-09-24  slayoo  <slayoo@sf.net>

	* doc/www/faq.php: updating FAQ entry on CATCH

2013-09-24  gilles-duvert  <gilles-duvert@sf.net>

	* src/math_utl.cpp:
	functions machar_[s,d] must not be optimized by clever compilers such as icc -- will then loop forever... Perhaps should be revised...

	* src/math_fun_jmg.cpp: permits to compile with icc

2013-09-24  m_schellens  <m_schellens@sf.net>

	* src/envt.cpp, src/gsl_fun.cpp, src/prognode.cpp, src/widget.cpp:
	fixed widget.cpp

	* src/GDLTreeParser.cpp, src/envt.cpp, src/envt.hpp, src/gdlc.i.g, src/gdlc.tree.g, src/overload.cpp, src/prognode.cpp, src/prognodeexpr.cpp, src/GDLInterpreter.cpp:
	sync

2013-09-23  m_schellens  <m_schellens@sf.net>

	* src/envt.hpp, src/gdlc.i.g, src/gsl_fun.cpp, src/list.cpp, src/math_fun_gm.cpp, src/overload.cpp, src/prognode.cpp, src/typedefs.hpp, src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/basic_fun.cpp, src/basic_fun_cl.cpp, src/basic_fun_jmg.cpp, src/basic_pro.cpp, src/datalistt.hpp, src/dvar.cpp:
	small optimizations

2013-09-23  alaingdl  <alaingdl@sf.net>

	* src/initsysvar.cpp: correcting typo in "initsysvar.cpp"

	* src/initsysvar.cpp, src/objects.cpp:
	removing a comment; adding a "bluid_date" in !GDL

2013-09-23  m_schellens  <m_schellens@sf.net>

	* src/dstructdesc.hpp, src/envt.cpp, src/envt.hpp, src/list.cpp, src/list.hpp, src/overload.cpp:
	Made LIST HEAP_GC friendly

2013-09-22  m_schellens  <m_schellens@sf.net>

	* src/basic_fun_jmg.cpp: small changes relating to OVERWRITE keywords

	* src/basic_fun.cpp, src/basic_fun_jmg.cpp, src/gsl_fun.cpp, src/libinit.cpp:
	Fixes for changed API for library functions: left-return values must be explicitely set

	* src/fftw.cpp, src/gsl_fun.cpp, src/libinit_jmg.cpp, src/basic_fun.cpp, src/envt.cpp, src/prognodeexpr.cpp:
	fixed regression test_bug_3152899

	* src/default_io.cpp, src/devicex.hpp, src/dinterpreter.cpp, src/dstructgdl.hpp, src/envt.cpp, src/envt.hpp, src/gdlarray.hpp, src/gdlc.i.g, src/gsl_fun.cpp, src/hdf5_fun.cpp, src/io.cpp, src/libinit.cpp, src/libinit_ac.cpp, src/libinit_cl.cpp, src/libinit_gm.cpp, src/libinit_jmg.cpp, src/libinit_mes.cpp, src/libinit_ng.cpp, src/list.cpp, src/math_fun_gm.cpp, src/math_fun_jmg.cpp, src/math_fun_ng.cpp, src/math_utl.cpp, src/ncdf_var_cl.cpp, src/overload.cpp, src/plotting.cpp, src/plotting_map_proj.cpp, src/prognode.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp, src/widget.cpp, src/GDLInterpreter.hpp, src/assocdata.cpp, src/assocdata.hpp, src/basic_fun.cpp, src/basic_fun_cl.cpp, src/basic_fun_jmg.cpp, src/basic_op.cpp, src/basic_pro.cpp, src/basic_pro_jmg.cpp, src/GDLInterpreter.cpp:
	Changed API for library functions: left-return values must be explicitely set

2013-09-20  gilles-duvert  <gilles-duvert@sf.net>

	* src/gsl_matrix.cpp:
	apparently the permutation order 's' is not used here.

	* src/plotting_cursor.cpp:
	variable "idata" was used before its value was set...

2013-09-19  alaingdl  <alaingdl@sf.net>

	* testsuite/test_bug_3104326.pro:
	revisiting this test to check 3 important points when Execution is halted
	(line number in file, path to the file, name of the pro/func)

	* src/basic_pro.cpp, src/libinit.cpp:
	adding (obsolete) keyword /All_Keys to HELP procedure, with few useful examples.

2013-09-17  gilles-duvert  <gilles-duvert@sf.net>

	* src/getas.cpp, src/hash.cpp, src/hash.hpp, src/list.hpp, src/matrix_cholesky.cpp, src/overload.cpp:
	added linefeed at end of file -- was generating warnings for some compilers.

	* src/gsl_fun.cpp: patch to stop ekopath's 'pathcc' compiler error.

	* src/math_fun_gm.cpp, src/plotting_contour.cpp, src/plotting_shade_surf.cpp, src/plotting_surface.cpp, src/antlr/ASTFactory.hpp:
	support for ekopath's 'pathcc' compiler

	* src/plotting.cpp, src/plotting_convert_coord.cpp, src/plotting_plots.cpp, src/plotting_xyouts.cpp:
	removed simple nan-test that apparently is 'optimized' by compilers

2013-09-17  m_schellens  <m_schellens@sf.net>

	* src/assocdata.cpp, src/assocdata.hpp, src/basic_pro.cpp:
	fixed bug #557

	* src/arrayindex.hpp, src/arrayindexlistt.hpp, src/basic_fun.cpp, src/list.cpp, src/GDLInterpreter.cpp:
	fixed bug emerging from test_bug_3300626

2013-09-17  alaingdl  <alaingdl@sf.net>

	* src/gdlgstream.hpp: fixing warning format in a "fprintf"

	* src/dstructgdl.cpp, src/envt.cpp:
	continuing cleaning code using CLang options (here dangling Else)

	* src/file.cpp:
	continuing cleaning code using CLang options (here 2x dangling Else)

	* src/dpro.cpp:
	continuing cleaning code using CLang options (here dangling Else)

	* src/datatypesref.cpp:
	continuing cleaning code using CLang options (here 2x dangling Else)

	* src/basic_fun_jmg.cpp, src/arrayindex.cpp:
	continuing cleaning code using CLang options (here dangling Else)

	* src/datatypes.cpp:
	continuing cleaning code using CLang options (here 2x dangling Else)

	* src/gdlgstream.hpp:
	CLang complains here due to [-Wlogical-op-parentheses]

	* src/list.cpp, src/str.cpp, src/read.cpp:
	continuing cleaning code using CLang options (here dangling Else)

2013-09-16  alaingdl  <alaingdl@sf.net>

	* src/gsl_fun.cpp: "dangling else", thanks to CLang warnings.

	* src/gsl_fun.cpp:
	fixing trivial warning coming from CLang default compilation.

	* src/GDLInterpreter.hpp, src/devicex.hpp, src/plotting_windows.cpp, src/widget.cpp:
	starting fixing obvious bugs (= instead ==) or "dangling else", thanks to CLang warnings.

2013-09-16  m_schellens  <m_schellens@sf.net>

	* src/list.cpp: fixed LIST with negative LENGTH KW

2013-09-10  gilles-duvert  <gilles-duvert@sf.net>

	* src/basic_pro.cpp:
	option LAST_MESSAGE  for HELP now correctly supports the presence of the OUTPUT keyword

2013-09-07  gilles-duvert  <gilles-duvert@sf.net>

	* src/basic_pro.cpp:
	Corrected positive year dates that were wrong by 1 day. Note that Julian date does not vary between 5 and 15 October 1582 (correct behaviour).

2013-09-04  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp: solves bug #565

2013-08-30  alaingdl  <alaingdl@sf.net>

	* src/pro/calendar.pro:
	fixing a (old) input conversion error (bug #218) in CALENDAR.

	* testsuite/Makefile.am, testsuite/test_array_equal.pro, testsuite/test_netcdf.pro:
	initial import of "test_array_equal.pro" (some basic test cases for ARRAY_EQUAL were wrong)
	and "test_netcdf.pro", a to-be-finished merging of various tests cases for NetCDF format.

	* src/basic_fun.cpp:
	correction a bug in ARRAY_EQUAL when one of the inputs arrays is
	an array with only one element: ARRAY_EQUAL(1,[1,1]) is True, ARRAY_EQUAL([1],[1,1]) is False !!
	Test cases to be put in the testsuite.

	* src/envt.cpp:
	in "envt.cpp", GetParDefined() should throw when the variable is undefined OR explicitly equal to !Null

	* testsuite/test_strsplit.pro:
	Adding few tests cases in TEST_STRSPLIT related to Length= keyword.
	A bug related to ARRAY_EQUAL() was also corrected.

	* src/ncdf_var_cl.cpp:
	Correcting bug #524 NCDF_VARGET fails for string array, thanks to Harald.
	(test case to be add in testsuite/)

2013-08-29  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_windows.cpp, src/devicex.hpp:
	Adds support for preference values GDL_GR_[WIN or X]_WIDTH, HEIGHT and QSCREEN. To be used as their *DL equivalents in the environment.

2013-08-26  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_contour.cpp:
	solves bug #561 ( contour desperately stuck )

2013-08-26  alaingdl  <alaingdl@sf.net>

	* src/plotting_contour.cpp:
	clarifying logic in CONTOUR inputs to avoid crashing without x/y and /irregular

2013-08-22  alaingdl  <alaingdl@sf.net>

	* src/datatypes.cpp:
	I revert this change in CONVOL input types, because it is not compilable with "old" GCC (4.3, 4.4).
	Looking for a more partable version.

2013-08-11  alaingdl  <alaingdl@sf.net>

	* testsuite/test_idl_validname.pro:
	new test cases in "test_idl_validname.pro"

	* src/pro/idl_validname.pro:
	three improvments in pro IDL_VALIDNAME: 1/ input as list of string OK,
	2/ thanks to patch 66, better management of 3 special chars: $, ! and \,
	3/ "!" at first place and /convert_all is well managed.

2013-08-05  alaingdl  <alaingdl@sf.net>

	* src/datatypes.cpp:
	in CONVOL(), allowing Ulong and Ulong64 (work by Nodar K.).

2013-08-04  alaingdl  <alaingdl@sf.net>

	* src/basic_pro_jmg.cpp:
	In CALL_EXTERNAL C code, removing fixed defaultAlign = 16 (Eigen Case).
	This is problematic for structures on 32b linux.

	* src/basic_pro_jmg.cpp:
	for CALL_EXTERNAL, pbs running "test_ce.pro" : applying patch 69 from Orion,
	plus an extra test for string. Now all tests but "struct" OK !

2013-08-03  gilles-duvert  <gilles-duvert@sf.net>

	* src/ofmt.cpp:
	c++ code ready for C() format. Needs separate work on antlr code...

2013-08-02  gilles-duvert  <gilles-duvert@sf.net>

	* src/gdlgstream.hpp:
	corrected wrong orientation of XOUTS characters when axes are inverted

	* src/plotting.cpp:
	corrected wrong orientation of symbols when axes are inverted

	* src/plotting_xyouts.cpp:
	corrected wrong orientation of XOUTS characters when axes are inverted

2013-08-01  gilles-duvert  <gilles-duvert@sf.net>

	* src/basic_pro_jmg.cpp:
	solves bug #559 however reason why the string pointer was corrupted to begin with is unclear for me.

2013-07-31  gilles-duvert  <gilles-duvert@sf.net>

	* testsuite/test_strsplit.pro:
	test for bug #554 and others related to use of LENGTH Keyword

	* src/pro/strsplit.pro:
	should solve bug #554 and other related to use of LENGTH Keyword

	* src/matrix_cholesky.cpp: should solve bug #555

2013-07-26  m_schellens  <m_schellens@sf.net>

	* src/basic_op.cpp, src/datatypes.cpp, src/hash.cpp, src/hash.hpp, src/list.cpp, src/list.hpp, src/overload.cpp, src/prognode.cpp:
	IsTrue for LIST and HASH

2013-07-26  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp: cosmetic changes after patch #68

	* src/plotting_contour.cpp, src/plotting_shade_surf.cpp, src/plotting_surface.cpp, src/plotting_plot.cpp:
	applied patch #68

	* src/pro/oploterr.pro:
	behaviour of oploterr should be to clip errorbars...

2013-07-26  m_schellens  <m_schellens@sf.net>

	* src/math_fun.cpp, src/pythongdl.cpp: fix for python module

2013-07-25  gilles-duvert  <gilles-duvert@sf.net>

	* src/pro/delvar.pro:
	implements delvar as a procedure using code from old version of delvarx.pro (under BSD license)

2013-07-25  m_schellens  <m_schellens@sf.net>

	* src/math_fun.cpp, src/basic_fun.cpp, src/datatypes.hpp, src/dpro.cpp, src/dpro.hpp, src/dstructgdl.hpp, src/typedefs.hpp:
	sync

	* src/envt.hpp, src/extrat.cpp, src/hash.cpp, src/math_fun_jmg.cpp, src/typedefs.hpp, src/basic_fun.cpp, src/basic_fun_jmg.cpp, src/basic_pro.cpp, src/dcommon.hpp, src/dpro.hpp, src/dstructdesc.hpp, src/dstructgdl.cpp, src/dstructgdl.hpp, src/dvar.hpp, src/envt.cpp:
	replaced deque by vector where possible

2013-07-24  gilles-duvert  <gilles-duvert@sf.net>

	* src/pro/ploterr.pro:
	trick to plot errorbars waaay faster using nan-separated values in arrays.

	* src/pro/oploterr.pro: introduced simple oploterr version as in idl.

2013-07-24  m_schellens  <m_schellens@sf.net>

	* src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/pro/strsplit.pro:
	fixed STRSPLIT

	* src/basic_fun.cpp, src/datatypesref.cpp, src/hash.cpp:
	some fixed for HASH

	* src/dinterpreter.cpp, src/hash.cpp: sync

2013-07-23  m_schellens  <m_schellens@sf.net>

	* src/hash.cpp, src/list.cpp, NEWS, src/dinterpreter.cpp, src/prognode.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	dot access for GDL_OBJECTs (left and right-side)

2013-07-22  alaingdl  <alaingdl@sf.net>

	* src/basic_pro.cpp:
	adding working TRANSFER_COUNT keyword for READU/WRITEU, this is used in a procedure
	(BLKSHIFT) in the AstroLib (work by Nodar K.)

	* src/libinit.cpp:
	in RESTORE, we need to have obsolete keyword (without effect) for CMSVlib.

2013-07-21  m_schellens  <m_schellens@sf.net>

	* NEWS, src/GDLInterpreter.hpp, src/basic_op.cpp, src/hash.cpp, src/overload.cpp:
	HASH complete

2013-07-19  m_schellens  <m_schellens@sf.net>

	* src/hash.cpp, src/hash.hpp, src/overload.cpp: sync

2013-07-18  m_schellens  <m_schellens@sf.net>

	* NEWS, src/basic_pro.cpp, src/hash.cpp, src/list.cpp, src/list.hpp:
	HASH::HASH___OverloadPlus (no structs yet)

2013-07-18  alaingdl  <alaingdl@sf.net>

	* NEWS:
	initial import of CHOLSOL/CHOLDC and LA_CHOLSOL/LA_CHOLDC using Eigen3 (Work by Nodar K.)

	* src/matrix_cholesky.hpp, src/CMakeLists.txt, src/Makefile.am, src/datatypes.cpp, src/gsl_fun.hpp, src/libinit_jmg.cpp, src/matrix_cholesky.cpp:
	Initial import of CHOLSOL/CHOLDC and LA_CHOLSOL/LA_CHOLDC using Eigen3.
	This is not optimal because Eigen3 does not separate the steps, then computations
	are done 2 times. Work by Nodar K.
	Also temporary change in CONVOL to help compiling on older GCC compilers.

2013-07-18  m_schellens  <m_schellens@sf.net>

	* src/gdlc.i.g, src/hash.cpp, src/hash.hpp, src/list.cpp, src/objects.cpp, src/objects.hpp, src/overload.cpp, src/prognode.cpp, src/GDLInterpreter.hpp, src/basegdl.hpp, src/datatypesref.cpp:
	HASH: ToStruct, Keys, Values, HasKey

2013-07-18  alaingdl  <alaingdl@sf.net>

	* src/basic_fun.cpp, src/basic_fun.hpp, src/libinit.cpp:
	back to a working version for the CVS, due to files related to changes in CONVOL

2013-07-17  m_schellens  <m_schellens@sf.net>

	* src/basegdl.hpp, src/basic_fun.cpp, src/datatypes.hpp, src/hash.cpp, src/hash.hpp, src/libinit.cpp, src/list.cpp, src/overload.cpp:
	HASH::REMOVE (pre-alpha)

2013-07-17  alaingdl  <alaingdl@sf.net>

	* src/convol.hpp, src/libinit.cpp:
	CONVOL: one file forgotten, one typo in new calling name

	* src/basegdl.cpp, src/basegdl.hpp, src/basic_fun.cpp, src/convol.cpp, src/datatypes.cpp, src/libinit.cpp, src/nullgdl.cpp, src/nullgdl.hpp:
	two new keywords managed inside CONVOL(): BIAS and NORMALIZE
	(see request in bug report 542). Work by Nodar K.

2013-07-17  m_schellens  <m_schellens@sf.net>

	* src/gdlarray.hpp, src/hash.cpp, src/hash.hpp, src/list.cpp, src/objects.cpp, src/overload.cpp:
	HASH::_OverloadBracketsRightSide

2013-07-17  alaingdl  <alaingdl@sf.net>

	* src/pro/write_png.pro:
	correcting bug 553 (good order for 2D image and R,G,B keywords)

2013-07-16  m_schellens  <m_schellens@sf.net>

	* src/basic_pro.cpp, src/hash.cpp: fixed HELP output for arrays

	* src/basic_fun.hpp, src/basic_pro.cpp, src/datatypes.cpp, src/datatypesref.cpp, src/default_io.cpp, src/hash.cpp, src/hash.hpp, src/libinit.cpp, src/list.hpp:
	HASH (still alpha)

2013-07-15  m_schellens  <m_schellens@sf.net>

	* src/nullgdl.hpp, src/objects.cpp, src/overload.cpp, src/prognode.cpp, src/basegdl.cpp, src/basegdl.hpp, src/basic_pro.cpp, src/datatypes.cpp, src/datatypes.hpp, src/hash.cpp, src/nullgdl.cpp:
	hash (pre-alpha)

	* src/prognodeexpr.cpp: fixed test_bug_3152829

2013-07-15  alaingdl  <alaingdl@sf.net>

	* testsuite/CMakeLists.txt:
	including Orion' patch to catch when the test case fully crashes GDL.

2013-07-15  m_schellens  <m_schellens@sf.net>

	* src/hash.cpp: sync

	* src/CMakeLists.txt, src/Makefile.am, src/hash.cpp, src/hash.hpp:
	add files for HASH

2013-07-13  m_schellens  <m_schellens@sf.net>

	* NEWS: Full support of LIST

	* src/datatypesref.cpp: Fixed LIST::NewIx

	* src/GDLInterpreter.cpp, src/basic_pro.cpp, src/default_io.cpp, src/gdlc.i.g, src/list.cpp, src/list.hpp, src/prognode_lexpr.cpp:
	HELP and PRINT support for LIST

	* src/list.cpp, src/list.hpp, src/overload.cpp:
	full support for LIST except for PRINT and HELP

	* src/basic_fun.cpp, src/basic_op.cpp, src/basic_op_add.cpp, src/basic_op_sub.cpp, src/basic_pro.cpp, src/datatypes.cpp, src/envt.cpp, src/envt.hpp, src/list.cpp, src/list.hpp, src/overload.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	added operations for LIST

2013-07-12  m_schellens  <m_schellens@sf.net>

	* src/list.cpp, src/list.hpp, src/overload.cpp:
	LIST::REMOVE and LIST::REVERSE procedures

2013-07-12  alaingdl  <alaingdl@sf.net>

	* src/Makefile.am:
	4 missing files in "Makefile.am" for the "configure" way (OK on Debian stable)

2013-07-11  m_schellens  <m_schellens@sf.net>

	* src/envt.cpp, src/envt.hpp, src/list.cpp, src/objects.hpp:
	Correct cleanup for LIST

2013-07-10  m_schellens  <m_schellens@sf.net>

	* src/list.cpp, src/overload.cpp: ADD::REMOVE (still alpha)

	* src/basic_fun.cpp, src/list.cpp, src/list.hpp, src/overload.cpp:
	LIST::REMOVE (alpha version)

2013-07-09  m_schellens  <m_schellens@sf.net>

	* src/list.cpp, src/list.hpp: add

	* src/CMakeLists.txt, src/GDLInterpreter.hpp, src/basic_fun.cpp, src/basic_pro.hpp, src/gdlc.i.g, src/overload.cpp, src/dpro.hpp, src/envt.cpp, src/envt.hpp, src/overload.hpp, src/specializations.hpp, src/datalistt.hpp, src/datatypes.cpp, src/datatypes.hpp, src/datatypesref.cpp, src/dpro.cpp:
	LIST::ADD

2013-07-08  alaingdl  <alaingdl@sf.net>

	* src/dinterpreter.cpp:
	switching back the default history to 200: convenient, and similar behavior on the other side ;-)

	* src/gsl_fun.cpp:
	In QROMB and QROMO, better management of keyword EPS=, thanks to patch 67.
	At the same time, correcting a long living bug in the order of parameters
	when calling GSL function : gsl_integration_qag(). Please report pbs !!

2013-07-05  alaingdl  <alaingdl@sf.net>

	* testsuite/test_bug_3057520.pro, testsuite/test_bug_3275334.pro:
	just giving a message before exiting.

2013-07-04  m_schellens  <m_schellens@sf.net>

	* src/envt.cpp, src/gdlarray.hpp, src/gdlc.i.g, src/objects.cpp, src/overload.cpp, src/GDLInterpreter.cpp, src/arrayindex.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/basic_fun.cpp, src/basic_pro_jmg.cpp:
	LIST (function and right[])

2013-07-03  m_schellens  <m_schellens@sf.net>

	* src/envt.hpp, src/gdlc.i.g, src/libinit.cpp, src/prognode.cpp, src/prognodeexpr.cpp, src/typedefs.hpp, src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/basic_fun.cpp, src/basic_pro.cpp, src/deviceps.hpp, src/envt.cpp:
	fixed TEST_PS_DECOMPOSED

2013-07-02  alaingdl  <alaingdl@sf.net>

	* testsuite/test_ce.pro, testsuite/test_python_module_0.pro, testsuite/test_python_module_1.pro:
	the field "!system.os_name" is now always in Lower Case.

2013-07-01  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/arrayindex.cpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/basic_fun.cpp, src/basic_fun.hpp, src/envt.hpp, src/gdlc.i.g, src/libinit.cpp, src/objects.cpp, src/overload.cpp, src/prognode.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	fixed a = ptr_new(1) & *a= reform(*a, /over) & *a= reform(*a, /over) bug

2013-07-01  alaingdl  <alaingdl@sf.net>

	* src/str.cpp: Work by Nodar K.
	One more attempt to better processing of space(s) within WordExp().
	This time, names with multi consecutives spaces should be well managed.

	* src/file.cpp, src/file.hpp, src/libinit.cpp:
	import of internal C++ versions of FILE_BASENAME() and FILE_DIRNAME(),
	with a better management of (some) special chars. (e.g. see bug 550).

	* src/basic_pro.cpp: removing useless comment !

	* src/pro/Makefile.am, src/pro/file_basename.pro, src/pro/file_basename_old.pro, src/pro/file_dirname.pro, src/pro/file_dirname_old.pro:
	moving into obsoleting names the two functions file_basename.pro file_dirname.pro
	to be substitute to C++ versions.

2013-06-29  m_schellens  <m_schellens@sf.net>

	* src/datalistt.hpp, src/envt.hpp, src/libinit_cl.cpp, src/libinit_jmg.cpp, src/prognode.cpp:
	some more small optimizations

	* src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/gdlc.i.g, src/prognode_lexpr.cpp, src/GDLInterpreter.cpp:
	some optimizations

	* src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/dpro.hpp, src/envt.hpp, src/gdlc.g, src/gdlc.i.g, src/prognode.cpp, src/prognode.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp:
	several optimizations

2013-06-26  gilles-duvert  <gilles-duvert@sf.net>

	* src/FMTOut.cpp, src/FMTOut.hpp, src/FMTOutTokenTypes.hpp, src/FMTOutTokenTypes.txt, src/assocdata.hpp, src/basegdl.cpp, src/basegdl.hpp, src/datatypes.hpp, src/format.out.g, src/nullgdl.cpp, src/nullgdl.hpp, src/ofmt.cpp, src/specializations.hpp:
	first steps to support calendar format C().

	* src/libinit.cpp:
	added CHANNEL as unsupported option for plot routines (was not present). Needs however to be fully supported.

2013-06-26  m_schellens  <m_schellens@sf.net>

	* src/FMTTokenTypes.txt, src/basic_fun_jmg.cpp, src/cformat.g, src/libinit_mes.cpp, src/print.cpp, src/pro/str_sep.pro, src/CFMTLexer.cpp, src/CFMTLexer.hpp, src/CFMTTokenTypes.hpp, src/CFMTTokenTypes.txt, src/FMTIn.cpp, src/FMTIn.hpp, src/FMTInTokenTypes.hpp, src/FMTInTokenTypes.txt, src/FMTLexer.cpp, src/FMTOut.cpp, src/FMTOut.hpp, src/FMTOutTokenTypes.hpp, src/FMTOutTokenTypes.txt, src/FMTParser.cpp, src/FMTParser.hpp, src/FMTTokenTypes.hpp:
	fixed cformat issue (uncommented 'ALL')

2013-06-26  alaingdl  <alaingdl@sf.net>

	* src/libinit.cpp:
	forgot to update helpKeys (re-ordered and also /path_cache and /help added)

	* src/basic_pro.cpp: in HELP, adding keywords /Path_cache and /help
	in JULDAY, full management of 3 to 6 inputs params.

	* src/envt.cpp, src/envt.hpp: /bin/bash: q: command not found
	(only available now in HELP pro and Besel functions !)

2013-06-24  m_schellens  <m_schellens@sf.net>

	* src/envt.cpp, src/envt.hpp: FreeListT for EnvUDT

	* src/envt.cpp, src/envt.hpp, src/extrat.cpp, src/gsl_fun.cpp, src/math_fun.cpp, src/read.cpp, src/basic_fun.cpp, src/basic_pro.cpp, src/datatypes.cpp, src/datatypesref.cpp, src/dstructdesc.cpp:
	removed dynamic_cast<>s

	* src/gsl_fun.cpp: fixed bug #548 (HISTOGRAM,OMAX=value with BYTE)

2013-06-23  m_schellens  <m_schellens@sf.net>

	* src/arrayindexlistnoassoct.hpp, src/gdlexception.cpp, src/gdlexception.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	made ARRAYEXPR node distinugish between indexee and index error. Needed for ARRAYEXPR_FCALL resolving.

2013-06-22  m_schellens  <m_schellens@sf.net>

	* src/prognodeexpr.cpp: changed order to try in ARRAYEXPR_FCALL nodes

2013-06-21  m_schellens  <m_schellens@sf.net>

	* src/basic_fun.cpp, src/datatypes.cpp, src/datatypes.hpp, src/pro/smooth.pro, src/typedefs.hpp:
	memory management optimization

2013-06-18  gilles-duvert  <gilles-duvert@sf.net>

	* src/basic_pro.cpp, src/basic_pro.hpp, src/libinit.cpp: Added JULDAY!

2013-06-17  m_schellens  <m_schellens@sf.net>

	* src/assocdata.cpp, src/assocdata.hpp, src/datatypes.cpp, src/datatypes.hpp:
	sync

	* src/basic_pro.cpp, src/typedefs.hpp: cleanup

	* src/basic_pro_jmg.cpp, src/dstructdesc.hpp, src/gsl_fun.cpp, src/typedefs.hpp:
	fixed memeory leak in call_external

2013-06-14  alaingdl  <alaingdl@sf.net>

	* src/file.cpp, src/str.cpp:
	trying to improve WordExp(), work by Nodar K.

2013-06-13  m_schellens  <m_schellens@sf.net>

	* src/math_fun.cpp, src/ncdf_att_cl.cpp, src/fftw.cpp, src/gsl_matrix.cpp:
	fixed bug with wrong sizeof(long - should be Dlong)

	* src/basic_fun_cl.cpp:
	fixed mismatched new[] delete (removed the allocation)

2013-06-12  m_schellens  <m_schellens@sf.net>

	* src/CFMTTokenTypes.hpp, src/CFMTTokenTypes.txt, src/FMTIn.cpp, src/FMTIn.hpp, src/FMTInTokenTypes.hpp, src/FMTInTokenTypes.txt, src/FMTLexer.cpp, src/FMTLexer.hpp, src/FMTOut.cpp, src/FMTOut.hpp, src/FMTOutTokenTypes.hpp, src/FMTOutTokenTypes.txt, src/FMTParser.cpp, src/FMTParser.hpp, src/FMTTokenTypes.hpp, src/FMTTokenTypes.txt, src/cformat.g, src/format.g, NEWS, src/CFMTLexer.cpp, src/CFMTLexer.hpp:
	fixed C string grammar (still not implemented)

2013-06-12  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp, src/plotting.hpp:
	handle X11 window resizes better, writes [XYZ].REGION, uses !P.REGION etc.

	* src/plotting_plot.cpp: plot knows about !P.NSUM

2013-06-12  alaingdl  <alaingdl@sf.net>

	* src/plotting.cpp:
	trying to manage !P.region when !P.position is equivalent to unset.

2013-06-11  m_schellens  <m_schellens@sf.net>

	* NEWS, src/GDLInterpreter.hpp, src/arrayindex.hpp, src/dinterpreter.cpp, src/dinterpreter.hpp, src/gdl.cpp, src/gdlc.i.g, src/gdlexception.cpp, src/objects.cpp:
	Added .RESET_SESSION and .FULL_RESET_SESSION commands

	* src/dinterpreter.cpp, src/dinterpreter.hpp, src/gdlc.g, src/gdlc.i.g, src/graphics.cpp, src/objects.cpp, src/objects.hpp, src/GDLInterpreter.hpp, src/GDLLexer.cpp, src/GDLParser.cpp, src/arrayindex.hpp, src/dcommon.cpp:
	.RESET command (not complete yet); Fixed bug with ARRAYEXPR_FCALL and more than 8 parameters

2013-06-11  alaingdl  <alaingdl@sf.net>

	* src/basic_fun_cl.cpp: fixing a small memory leak in SYSTIME() (Nodar)

2013-06-10  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp: oops, small ticks were not small anymore...

2013-06-10  alaingdl  <alaingdl@sf.net>

	* configure.in:
	updating the Configure way with new capabilities ralted to plplot.

2013-06-09  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp: removed a memory loss

	* src/gdlgstream.hpp, src/gdlgstream.cpp:
	change in TranslateFormatCodes to avoid Valgrind complaining. previous version would return the c_str() of a std::string created in the function. Apparently the std::string is deleted on return, and the c_str() was pointing to a deallocated memory. Current version manages the string on the caller side.

2013-06-08  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_shade_surf.cpp:
	better defaults for shading lightsource. plplot's shading is definitely not very efficient, alas.

	* src/devicex.hpp: should solve bug 535

2013-06-07  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp, src/plotting_axis.cpp:
	variant of gdlAxis to handle special case of AXIS command (to have correct ticklengths)

	* src/plotting_plots.cpp: bug in use of !P.T3D and 3 parameters

	* src/plotting.hpp, src/plotting_contour.cpp, src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_polyfill.cpp, src/plotting_shade_surf.cpp, src/plotting_surface.cpp, src/plotting_xyouts.cpp:
	support for use of !P.T3D

	* src/gshhs.cpp:
	temporarily solves ticket 474. A severe rewriting is needed to handle all the special projection cases especially for contour filling (poles, projection limits but also map levels: ponds in inslands in lakes in continents...)

2013-06-07  alaingdl  <alaingdl@sf.net>

	* CMakeLists.txt:
	Better management of GM and IM: when GM available, using it. If GM not available, if IM available, using IM.
	The selection of IM or GM if both presents should still be possible (-DGRAPHICSMAGICK=off).
	Tested on CentOS and OSX. Patch by Nodar K. with Alain C.

	* CMakeModules/FindImageMagick.cmake:
	change in the file provided by CMake to support local install of IM
	(tested on CentOs and OSX)

2013-06-06  alaingdl  <alaingdl@sf.net>

	* src/objects.cpp: fixing warning when computing Thread Numbers (NK)

2013-06-03  m_schellens  <m_schellens@sf.net>

	* src/magick_cl.cpp: fixed memory leak in magick_write

2013-06-03  alaingdl  <alaingdl@sf.net>

	* src/gdl.cpp, src/objects.cpp:
	when not compiled with Eigen3, must add <omp.h> in these 2 files.

	* src/plotting.cpp: needed on OSX with gcc 4.2.1

2013-06-01  m_schellens  <m_schellens@sf.net>

	* src/basic_fun.cpp, src/gdlgstream.hpp:
	bugfix: replaced Guard with ArrayGuard

2013-05-31  gilles-duvert  <gilles-duvert@sf.net>

	* src/math_fun_jmg.cpp, src/math_fun_jmg.hpp:
	solves last bug on poly_2d #3613920

2013-05-30  alaingdl  <alaingdl@sf.net>

	* src/basic_pro.cpp, src/gdl.cpp, src/objects.cpp, src/objects.hpp:
	On muticores with non null load, performances are strongly dependant to a pertinent choice of OMP_NUM_THREADS value.
	A mechanism is proposed to estimate a optimal value for the number of Threads,
	is applied at startup time and propagated into !cpu.TPOOL_NTHREADS (work by Nodar K.)

2013-05-30  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_windows.cpp: annotations

	* src/plotting_cursor.cpp: correct warping of pointer (command tvcrs)

	* src/gdlxstream.cpp:
	erase was not properly erasing window when subpages were present.
	Also, correct warping of pointer (command tvcrs)

	* src/gdlxstream.cpp, src/gdlgstream.hpp, src/gdlxstream.hpp, src/plotting.hpp:
	uses pixmap double-buffering provided by plplot to speed up operations with X11 windows. to be tested. could solve bug  3612116, also.

2013-05-29  alaingdl  <alaingdl@sf.net>

	* src/basic_pro.cpp: in pro CPU, restore= and /reset are exclusive.

2013-05-26  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_shade_surf.cpp, src/plotting_surface.cpp, src/plotting_contour.cpp:
	solves bug #3613926 by removing unfortunate optimization

2013-05-25  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_surface.cpp, src/plotting_shade_surf.cpp:
	handles correctly combinations of min/max_values and zrange.

2013-05-24  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_contour.cpp:
	better handling of 1 contour and associated c_color vector

	* src/gsl_fun.cpp, src/interp_multid.h, testsuite/test_congrid.pro:
	solves bug  #3612274!

2013-05-21  gilles-duvert  <gilles-duvert@sf.net>

	* src/basic_pro.cpp, src/libinit.cpp:
	Support for MESSAGE, /REISSUE_LAST and corresponding HELP, /LAST_MESSAGE (used in, e.g., CoyoteGraphics library)

	* src/gdlgstream.hpp:
	change to enable compiling gdl on old plplot versions while a new feature depending on the presence of the 'pllegend' function has been added.

2013-05-18  cokhavim  <cokhavim@sf.net>

	* src/gdlgstream.hpp:
	In gdlGetmmStringLength moved legend position to avoid showing up in postscripts

	* src/deviceps.hpp: Added improvements for encapsulated postscripts

	* src/gdlgstream.cpp:
	GetGeometry outpus incorrect dimensions for PS device

	* src/plotting.cpp:
	Increased default top margin slightly to accomodate subscripts and superscripts

2013-05-17  alaingdl  <alaingdl@sf.net>

	* src/Makefile.am:
	Missing new filename "plotting_shade_surf.cpp" in src/Makefile.am

2013-05-16  gilles-duvert  <gilles-duvert@sf.net>

	* config.h.cmake, CMakeLists.txt:
	change to enable compiling gdl on old plplot versions while a new feature depending on the presence of the 'pllegend' function has been added.

	* src/deviceps.hpp, src/devicesvg.hpp, src/devicex.hpp:
	due to popluar demand ;^), reinstalled colormap initialisation for colormap#1 in device[ps,x,svg].

	* src/plotting.cpp: Patch for Bug item #3613383,

2013-05-16  alaingdl  <alaingdl@sf.net>

	* src/basic_fun.cpp: removing extra "cout <<"

	* src/basic_fun.cpp, src/libinit.cpp:
	Initial management of /source keyword in ROUTINE_INFO() [bug report 3612842].
	Not ready when no parameter provided (in that case, all compiled procedures or functions
	name/path informations must returned)

2013-05-16  gilles-duvert  <gilles-duvert@sf.net>

	* src/devicex.hpp, src/plotting_windows.cpp:
	when opening several windows whose position are not given, dispatch them at the 4 corners of display in sequence. handy and mimics the (default) 'Tile'  of IDL_GR_WIN_LAYOUT preference (such external preferences not being part of gdl yet)

	* src/plotting_xyouts.cpp: removed unnecessary warning

2013-05-16  alaingdl  <alaingdl@sf.net>

	* src/gsl_fun.cpp:
	managing /Double keyword for INVERT() (patch by Nodar K.)

2013-05-15  gilles-duvert  <gilles-duvert@sf.net>

	* CMakeLists.txt, config.h.cmake, src/gdlgstream.hpp, src/plotting_xyouts.cpp:
	Solves problems related to variable string lengths in XYOUTS (Hersey chars are not monospaced): if the plplot shared library  contains the private function plstrl(), it is used. If not, (Ubuntu, debian) implemented a workaround by using a feature of pllegend(). Needs a full recompilation (after removing  CMakeCache.txt and config.h).

	* doc/udg/README.txt:
	added infos about absent style files seemingly needed on my distro.

2013-05-14  alaingdl  <alaingdl@sf.net>

	* src/pro/dialog_pickfile.pro:
	in gnome3, we need to tell to Zenity the current path :(

2013-05-13  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_xyouts.cpp:
	returned string width in option width= of xyouts is inexact since glyphs have a variable spacing. Added a warning about this. Since using plplot's private headers is not permitted (use of plstrl()) , one could consider adding the functionality to plplot (i.e., that plstrl() be public) or get access to  a copy of the current PLStream structure and use its information.

2013-05-12  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp:
	test patch: changed axis labelling to be clearer and more similar to original layout (exponents no more at end of axis etc).

	* src/plotting.hpp:
	removed some private structs from plotting.hpp to plotting.cpp

2013-05-10  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_polyfill.cpp, src/CMakeLists.txt, src/libinit.cpp, src/plotting.cpp, src/plotting.hpp, src/plotting_axis.cpp, src/plotting_contour.cpp, src/plotting_convert_coord.cpp, src/plotting_erase.cpp, src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_plots.cpp, src/plotting_surface.cpp, src/plotting_xyouts.cpp:
	Added almost full support for 3D plots in CONTOUR,PLOT,PLOTS,OPLOT,XYOUTS,SURFACE,SHADE_SURF,CONVERT_COORD,T3D,SCALE3,POLYFILL,SET_SHADING,AXIS(not complete).
	Still lacking 3D support:TV,TVSCL
	enabled /IRREGULAR for CONTOUR.

	* src/deviceps.hpp, src/devicesvg.hpp, src/devicex.hpp:
	removed colormap initialisation in device[ps,x,svg] since it seems to slow the display and does not appear to be needed.

	* src/plotting_windows.cpp:
	give window creation in "wset,0" same properties as a normal window (except backingStore)

	* src/plotting_shade_surf.cpp: adding shade_surf

2013-05-08  gilles-duvert  <gilles-duvert@sf.net>

	* testsuite/CMakeLists.txt:
	Applied Orion's patch #3606092. Solves indeed the hangups of 'make check' when using CMake.

2013-05-07  m_schellens  <m_schellens@sf.net>

	* CMakeLists.txt, CMakeModules/FindNetCDF.cmake, configure.in, src/ncdf_att_cl.cpp, src/ncdf_cl.hpp, src/ncdf_dim_cl.cpp, src/ncdf_var_cl.cpp:
	applied patch ID: 3608649

	* src/basic_fun.cpp, src/datatypes.cpp, src/gsl_fun.cpp, src/math_fun_ac.cpp, src/math_fun_gm.cpp, src/math_fun_jmg.cpp, src/plotting.cpp, src/plotting_plot.cpp, src/plotting_polyfill.cpp:
	applied patch ID: 3612678 (with some mods)

	* src/antlr/LLkParser.cpp, src/gdlc.g: added some comments

	* src/GDLLexer.cpp, src/GDLParser.cpp, src/GDLParser.hpp, src/antlr/LLkParser.cpp, src/gdlc.g, testsuite/test_suite.pro:
	fixed deref for arrayexpr_mfcall (bug tracker ID: 3612104)

2013-05-06  gilles-duvert  <gilles-duvert@sf.net>

	* src/deviceps.hpp:
	Added Joanna's patches #3612688 while reverting some code back to before rev.1.37 ( since forcing background erase in gdlpsstream.cpp rev. 1.7 was not a good solution to bug #361189) -- now we seem to have both PS and EPS color/bw landscape/portrait outputs generally quite good,

	* src/plotting_misc.cpp:
	Previous patch (inverting !P.COLOR and !P.BACKGROUND values when device=PS) had side effects.

	* src/gdlgstream.hpp, src/gdlpsstream.cpp, src/gdlpsstream.hpp:
	Reverted last patch (1.6) -- forcing background erase was not a good solution.

2013-05-06  m_schellens  <m_schellens@sf.net>

	* src/pro/read_ascii.pro: fixed DATA_START for READ_ASCII

	* src/libinit_cl.cpp: added missing KLISTEND

2013-04-30  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_misc.cpp: Joanna Patch item #3611949. thanks.

	* src/deviceps.hpp, src/gdlpsstream.cpp, src/gdlpsstream.hpp, src/gdlgstream.hpp:
	Should solve Bug #3611897. By forcing background to erase the PS plot, one can have the correct background even on the first page.
	Note that now PS behave exactly as X, i.e., PS has also the option DECOMPOSED and color tables varies accordingly.

2013-04-29  alaingdl  <alaingdl@sf.net>

	* src/deviceps.hpp:
	patch 3611949 by Joanna to restore Horizontal/Vertical placements in PostScript.

	* src/deviceps.hpp:
	better version for bug 3611898. I suspect we can play directly with Lun ...

	* src/deviceps.hpp:
	first attempt to solve bug report 3611898. But it is not enough

2013-04-26  alaingdl  <alaingdl@sf.net>

	* src/deviceps.hpp:
	patch 3611864: two corrections: orientation (value for "sdiori" should be in expressed related to !pi/2) and color.

2013-04-24  alaingdl  <alaingdl@sf.net>

	* CMakeLists.txt:
	in CMake way, if both packets present, we prefer to use GraphicsMagick than ImageMagick

2013-04-23  alaingdl  <alaingdl@sf.net>

	* CMakeModules/FindGraphicsMagick.cmake, CMakeLists.txt:
	initial import of patch 3611651 to activate GraphicsMagick instead of ImageMagick in the CMake way.

2013-04-18  alaingdl  <alaingdl@sf.net>

	* src/pro/online_help.pro:
	in ONLINE_HELP, activating book= and /full_path keywords, used inside HEALPix lib.

2013-04-11  gilles-duvert  <gilles-duvert@sf.net>

	* src/libinit.cpp:
	changes related to options accepted now by plotting_surface.

	* src/plotting_surface.cpp:
	intermediate version before tackling the T3D transforms.

2013-04-11  alaingdl  <alaingdl@sf.net>

	* testsuite/test_matrix_multiply.pro, testsuite/Makefile.am:
	new test for matrix multiplication, using matrix with rotation property.
	Types 14 and 15 are not ready on the GDL side due to INVERT().
	May be INVERT has to be rewrite using Eigen3 ?

2013-04-11  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp: solves bug #3610459

2013-04-11  alaingdl  <alaingdl@sf.net>

	* src/pro/diag_matrix.pro:
	in DIAG_MATRIX(), type for output should be derived from the type of the input vector !

2013-04-09  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_cursor.cpp: solves bug #3608752

2013-04-07  m_schellens  <m_schellens@sf.net>

	* src/basic_op.cpp, src/datatypes.hpp, src/specializations.hpp:
	took change of Data_ template back (too early)

2013-04-04  m_schellens  <m_schellens@sf.net>

	* src/dinterpreter.cpp: fixed usage of Guard

	* src/datatypes.hpp, src/math_fun_ac.cpp: added some clarifiying macros

2013-04-02  m_schellens  <m_schellens@sf.net>

	* src/basegdl.hpp, src/math_fun_ac.cpp, src/prognodeexpr.cpp:
	refactored complex-double type promotion

2013-03-28  alaingdl  <alaingdl@sf.net>

	* src/pro/matrix_multiply.pro: removing usage of MATMUL()

2013-03-27  m_schellens  <m_schellens@sf.net>

	* src/datatypes.hpp, src/test_template_grouping.cpp:
	enabled default template parameters

2013-03-26  m_schellens  <m_schellens@sf.net>

	* src/basegdl.hpp, src/basic_op.cpp, src/datatypes.cpp, src/math_fun_ac.cpp, src/prognodeexpr.cpp:
	eigen3 with matrix operator working

	* src/assocdata.hpp, src/basegdl.cpp, src/basegdl.hpp, src/basic_op.cpp, src/datatypes.cpp, src/datatypes.hpp, src/dstructgdl.cpp, src/dstructgdl.hpp, src/libinit_ac.cpp, src/math_fun_ac.cpp, src/math_fun_ac.hpp, src/nullgdl.cpp, src/nullgdl.hpp, src/specializations.hpp:
	depoyed eigen3 for matrix operator (still buggy)

2013-03-25  m_schellens  <m_schellens@sf.net>

	* src/GDLTreeParserTokenTypes.txt, src/arrayindex.hpp, src/assocdata.hpp, src/basegdl.cpp, src/basegdl.hpp, src/basic_fun.cpp, src/basic_pro.cpp, src/datatypes.cpp, src/datatypes.hpp, src/dstructgdl.cpp, src/dstructgdl.hpp, src/gdlc.i.g, src/nullgdl.cpp, src/nullgdl.hpp, src/specializations.hpp, src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/GDLInterpreterTokenTypes.hpp, src/GDLInterpreterTokenTypes.txt, src/GDLLexer.cpp, src/GDLLexer.hpp, src/GDLParser.cpp, src/GDLParser.hpp, src/GDLTokenTypes.hpp, src/GDLTokenTypes.txt, src/GDLTreeParser.cpp, src/GDLTreeParser.hpp, src/GDLTreeParserTokenTypes.hpp:
	test overload funtion with template

2013-03-25  opoplawski  <opoplawski@sf.net>

	* CMakeLists.txt:
	Make cmake look for python 2 or PYTHONVERSION if specified

	* testsuite/test_ce.pro:
	Make test_ce.pro look in current directory for libtest_ce.so for cmake builds

2013-03-25  m_schellens  <m_schellens@sf.net>

	* src/datatypes.cpp, src/datatypes.hpp, src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_surface.cpp, src/prognode.cpp, src/typedefs.hpp, src/typetraits.hpp:
	fixed usage of Guard (replaced usage of operator=)

2013-03-25  alaingdl  <alaingdl@sf.net>

	* src/datatypes.hpp: commenting c++11 line apparently not need/used now

2013-03-22  m_schellens  <m_schellens@sf.net>

	* src/datatypes.hpp: commented out c++11 stuff

	* src/deviceps.hpp, src/devicex.hpp, src/dinterpreter.cpp, src/envt.cpp, src/envt.hpp, src/fftw.cpp, src/gdlarray.hpp, src/gdlc.i.g, src/gdlwidget.cpp, src/gsl_fun.cpp, src/gsl_matrix.cpp, src/magick_cl.cpp, src/math_fun.cpp, src/math_fun_ac.cpp, src/math_fun_gm.cpp, src/math_fun_jmg.cpp, src/ncdf_cl.cpp, src/ncdf_var_cl.cpp, src/newprognode.cpp, src/plotting.cpp, src/plotting_contour.cpp, src/plotting_convert_coord.cpp, src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp, src/plotting_surface.cpp, src/plotting_xyouts.cpp, src/print.cpp, src/prognode.cpp, src/prognode.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp, src/pythongdl.cpp, src/read.cpp, src/typedefs.hpp, src/widget.cpp, CMakeLists.txt, src/GDLInterpreter.cpp, src/accessdesc.hpp, src/arrayindex.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/basic_fun.cpp, src/basic_fun_cl.cpp, src/basic_fun_jmg.cpp, src/basic_pro.cpp, src/datatypes.cpp, src/datatypes.hpp, src/datatypesref.cpp, src/dcompiler.cpp:
	replaced obsoleted std::auto_ptr with Guard

2013-03-21  m_schellens  <m_schellens@sf.net>

	* src/basic_op.cpp, src/basic_op_add.cpp, src/basic_op_div.cpp, src/basic_op_mult.cpp, src/basic_op_new.cpp, src/basic_op_sub.cpp, src/datatypes.cpp, src/dstructgdl.cpp:
	moved DStructGDL invalid functions

2013-03-21  alaingdl  <alaingdl@sf.net>

	* testsuite/test_bytscl.pro:
	initial of "test_bytscl.pro", not finished and not included in automatic test suite.
	We do have a problem when using /nan in BYTSCL() ...

2013-03-20  gilles-duvert  <gilles-duvert@sf.net>

	* src/libinit_jmg.cpp, src/math_fun_jmg.cpp, src/math_fun_jmg.hpp:
	Preparation for all (?) gridding-related functions that can (easily?) be added using QHULL Library which is also a dependency (optional) of plplot.

	* src/basic_fun.cpp:
	patched incorrect behaviour for TOP > 255. Possibly caused problems in (related) tvscl, hist_equal.

2013-03-19  m_schellens  <m_schellens@sf.net>

	* src/basegdl.hpp, src/basic_op.cpp, src/datatypes.cpp, src/dpro.hpp, src/typedefs.hpp, src/typetraits.hpp:
	added new type trait IS_FLOAT

	* src/gdlarray.hpp, src/libinit_ac.cpp, src/math_fun_ac.cpp:
	un-uncommented some GDLArray members

	* src/gdlarray.hpp: fixed bug in GDLArray's allocation logic

2013-03-18  m_schellens  <m_schellens@sf.net>

	* src/gdlarray.hpp, src/typedefs.hpp, src/typetraits.hpp:
	restructure and refactoring for easier addition of new types

2013-03-16  m_schellens  <m_schellens@sf.net>

	* src/basic_op_add.cpp, src/basic_pro_jmg.cpp, src/datatypes.cpp, src/datatypes.hpp, src/specializations.hpp, src/typedefs.hpp, src/typetraits.cpp, src/typetraits.hpp, src/basegdl.hpp:
	refactoring, preparation for new types

2013-03-16  gilles-duvert  <gilles-duvert@sf.net>

	* src/gdlgstream.cpp:
	patch should cure bug reported by AC (incorrect behaviour for !P.MULTI=[2,0,0])

2013-03-14  alaingdl  <alaingdl@sf.net>

	* src/math_fun_ac.cpp: continue being able to compile without Eigen3

2013-03-13  m_schellens  <m_schellens@sf.net>

	* src/math_fun.cpp: deployed eigen3 for SQRT

2013-03-12  m_schellens  <m_schellens@sf.net>

	* src/basic_op_add.cpp:
	own specialization adding a scalar string to avoid eigen usage

	* src/envt.hpp: added some const specifiers to ForLoopInfo

	* src/basic_op_add.cpp: fixed bug with string addition

	* src/CFMTLexer.cpp, src/cformat.g:
	applied change suggested by patch tracker ID: 3465879

	* src/math_fun.cpp, src/overload.cpp, src/typedefs.hpp, src/basic_fun.cpp, src/basic_op.cpp, src/basic_op_add.cpp, src/basic_op_div.cpp, src/basic_op_mult.cpp, src/basic_op_new.cpp, src/basic_op_sub.cpp, src/basic_pro.cpp, src/convert2.cpp, src/datatypesref.cpp, src/fftw.cpp:
	introduced OMPInt for OpenMP loop variables

	* src/basic_op.cpp, src/basic_op_add.cpp, src/basic_op_div.cpp, src/basic_op_mult.cpp, src/basic_op_sub.cpp, src/ncdf_var_cl.cpp:
	updated some int to string conversions

2013-03-11  m_schellens  <m_schellens@sf.net>

	* src/magick_cl.cpp, src/ncdf_cl.cpp, src/ncdf_var_cl.cpp:
	updated some int to string conversions

2013-03-10  m_schellens  <m_schellens@sf.net>

	* src/basic_op.cpp, src/basic_op_new.cpp, src/math_fun.cpp:
	use eigen3 for + - and *

	* src/basic_op.cpp, src/basic_op_new.cpp, src/math_fun.cpp:
	use eigen3 for + - and * (incomplete)

	* src/libinit_ac.cpp, src/math_fun_ac.cpp, src/math_fun_ac.hpp, src/typedefs.hpp:
	deploy eigen3 noalias()

2013-03-09  gilles-duvert  <gilles-duvert@sf.net>

	* src/libinit.cpp, src/plotting_device.cpp, src/plotting_windows.cpp:
	support for "RETAIN" in DEVICE. Will not really do anything useful, though, until some other patch informs plplot of the necessity to redraw the plot.

2013-03-08  m_schellens  <m_schellens@sf.net>

	* src/ofmt.cpp: Fixed binary output format

	* src/plotting_oplot.cpp, src/arrayindex.hpp, src/basic_op.cpp, src/deviceps.hpp, src/gdlgstream.hpp, src/math_utl.hpp, src/ofmt.cpp, src/overload.cpp, src/plotting.cpp, src/plotting_contour.cpp:
	applied patch ID: 3606722

	* src/math_fun_ac.cpp: sync

2013-03-08  alaingdl  <alaingdl@sf.net>

	* src/math_fun_ac.cpp:
	in "math_fun_ac.cpp" being able to compile without Eigen3;

2013-03-08  m_schellens  <m_schellens@sf.net>

	* src/math_fun_ac.cpp: refactoring for matmul_fun

	* src/math_fun_ac.cpp: correct output type for matmul_fun

	* src/math_fun_ac.cpp: optimization for matmul_fun

	* src/math_fun_ac.cpp: fix error message

2013-03-07  m_schellens  <m_schellens@sf.net>

	* src/math_fun_ac.cpp: Aligned access in malmul_fun

	* src/dstructgdl.hpp, src/datatypes.cpp, src/datatypes.hpp, src/typedefs.hpp, src/dstructdesc.hpp, src/includefirst.hpp:
	alignment for eigne3 (also for structs)

	* src/datatypes.cpp, src/includefirst.hpp, src/math_fun_ac.cpp, src/math_fun_ac.hpp, src/typedefs.hpp:
	eigen3 alignment for GDLArray

2013-03-06  gilles-duvert  <gilles-duvert@sf.net>

	* src/math_fun_ac.cpp:
	Last and final optimizations: directly address memory location using Map<> object instead of MatrixXX, added GDL_FLOAT case to speed up this last case.

2013-03-06  m_schellens  <m_schellens@sf.net>

	* src/math_fun_ac.cpp: optimizations for MATMUL

2013-03-05  gilles-duvert  <gilles-duvert@sf.net>

	* src/pro/matrix_multiply.pro:
	Modified matmul_fun to accept also complex and dcomplex matrices.
	Modified matrix_multiply accordingly.

	* src/math_fun_ac.cpp:
	Modified matmul_fun to accept also complex and dcomplex matrices.
	Behaviour is now idem idl for Vectors (implicit transposition)
	Acceleration even better due to Eigen's use of .transpose() and direct copy of arrays with  memcpy().

2013-03-05  alaingdl  <alaingdl@sf.net>

	* src/pro/online_help.pro:
	is ONLINE_HELP, better management of default browser

	* src/pro/online_help.pro:
	details for ONLINE_HELP: trying to use default browser if any; "open" for OSX ...

2013-03-04  m_schellens  <m_schellens@sf.net>

	* src/dinterpreter.cpp: removed: return CC_OK; for ? command :-)

	* src/dinterpreter.cpp: added: return CC_OK; for ? command

2013-03-04  alaingdl  <alaingdl@sf.net>

	* src/pro/online_help.pro:
	ONLINE_HELP: correct help header; testing if computing node; managing void "name" input

	* src/pro/online_help.pro:
	limited changes in ONLINE_HELP, more to come.

	* src/dinterpreter.cpp: removing useless comments.

	* src/dinterpreter.cpp:
	activating "?" command, calling ONLINE_HELP (e.g.: ?fft)

	* src/pro/Makefile.am: I forgot to add these 2 files names here ...

2013-03-01  alaingdl  <alaingdl@sf.net>

	* src/pro/doc_library.pro, src/pro/online_help.pro:
	initial import of DOC_LIBRARY (Feature request 3606434) and ONLINE_HELP procedures.

2013-02-28  m_schellens  <m_schellens@sf.net>

	* src/arrayindexlistnoassoct.hpp, src/basic_fun.cpp, src/basic_op_new.cpp, src/envt.hpp:
	fixed extra allocation in Data_<SpDDouble>::PowIntNew. bug tracker ID: 3605947

2013-02-26  alaingdl  <alaingdl@sf.net>

	* src/gsl_fun.cpp:
	temporary solution for bug report 3602623 related to inaccurary in bins computations for histograms in the GSL, sensitive on 64b versions ...

2013-02-25  alaingdl  <alaingdl@sf.net>

	* src/ncdf_var_cl.cpp:
	correcting bug 3605899: creating big NetCDF files (> 4 GB). Tested OK on CentOS 5.8 64b by AC.

2013-02-20  alaingdl  <alaingdl@sf.net>

	* testsuite/test_histo.pro:
	adding "TEST_UNITY_BIN_HISTO" procedure into "test_histo.pro" to trace bug 3602623.
	Up to now, this bug occurs only on 64b computers, not on 32b, GSL versions chenged nothing.

	* src/pro/interpol.pro:
	correcting small regression when testing size of inputs for INTERPOL(/spline)

2013-02-19  alaingdl  <alaingdl@sf.net>

	* CMakeLists.txt, configure.in:
	for CMake, now default is trying to use Eigen3 if found in default place (/usr/include/eigen3)
	or if path provided (-DEIGEN3DIR= then checked and found)
	then same for Configure (--with-eigen3=). Both ways checked with success on U 12.04 with libeigen3-dev.

2013-02-18  alaingdl  <alaingdl@sf.net>

	* src/pro/interpol.pro:
	correcting INTERPOL() when we have NaN or Inf values in third vector (bug 3602770)

	* CMakeModules/FindEigen3.cmake:
	initial input of this file for patch 3603806 (Eigen3 support in CMake)

	* CMakeLists.txt, config.h.cmake:
	applying patch 3603806 to have Eigen3 choice in CMake

2013-02-06  gilles-duvert  <gilles-duvert@sf.net>

	* NEWS: update for summary of GD's recent changes

	* src/plotting_contour.cpp, src/plotting_plot.cpp:
	corrected regression: plot,findgen(4),color=0,background=255 would not change background correctly since it is changed only at subpage change, which was called before setting background value. To be checked for the other plotting functions on which i have not yet worked.

2013-02-05  alaingdl  <alaingdl@sf.net>

	* INSTALL, NEWS, README:
	updating informative files about Eigen lib. usage.

	* src/libinit_ac.cpp, src/math_fun_ac.cpp, src/pro/matrix_multiply.pro:
	extension of MATMUL, to exploit /atranspose and /btranspose.
	Change into z=MATRIX_MULTIPLY() to switch with or without Eigen disponibility.

2013-02-05  m_schellens  <m_schellens@sf.net>

	* src/basic_pro.cpp, src/libinit.cpp:
	started SOURCE_FILES keyword for HELP

2013-02-04  alaingdl  <alaingdl@sf.net>

	* configure.in:
	managing Include Path for Eigen is still a work in progress, sorry ...

	* src/libinit_ac.cpp, src/math_fun_ac.cpp, src/math_fun_ac.hpp, configure.in:
	initial import of fast matrix multiplication code res=MATMUL(a,b) based on external library Eigen

2013-01-29  alaingdl  <alaingdl@sf.net>

	* testsuite/Makefile.am: new "test_structures.pro" file for test suite

2013-01-29  gilles-duvert  <gilles-duvert@sf.net>

	* src/devicex.hpp, src/graphics.hpp, src/plotting_windows.cpp:
	First pass to implement support for RETAIN=0,1,2  in window.
	Should be revised to fully mimic IDL's behaviour.
	Difficulty: backing store is noticeably device and OS dependent...

2013-01-29  m_schellens  <m_schellens@sf.net>

	* testsuite/test_structures.pro, src/prognodeexpr.cpp:
	fixed indexed structure access. Bug tracker ID: 3601949

2013-01-28  alaingdl  <alaingdl@sf.net>

	* testsuite/test_structures.pro:
	adding a test for internal indexing in structures, to avoid any future regression ...
	(was bug 3601949)

2013-01-26  gilles-duvert  <gilles-duvert@sf.net>

	* CMakeLists.txt, config.h.cmake:
	should permit, through the use of HAS_PLPLOT_SLABELFUNC, to disable the user-format option for labels of axis in plplot, functionality which is at the basis of the support of [XYZ]TICKFORMAT, [XYZ]TICKNAME etc but which has only been introduced in plplot after 5.9.6 (as far as I can guess).

2013-01-25  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp:
	severe regression corrected: 'x' modifier for plbox() is in plplot > 5.9.7 and does not replace the 't' option, only modifies it. I restore the 't' option (draw labels) and labels should reappear for older plplot versions.

2013-01-23  gilles-duvert  <gilles-duvert@sf.net>

	* src/gdlxstream.cpp, src/devicex.hpp, src/gdlgstream.hpp, src/gdlxstream.hpp, src/graphics.hpp, src/libinit.cpp, src/plotting.hpp, src/plotting_cursor.cpp, src/plotting_device.cpp, src/plotting_windows.cpp:
	Added full support for CURSOR command, which is interruptible by control-c (rewrote the plplot's cursor function. Note that cursor as in plplot can be moved by the arrow keys with the modifiers keys as accelerators, useful for fine positioning and absent from idl). Now RDPIX procedure works.
	Added cursor-related functions TVCRS (for completeness: since PlPlot's X11 window is not fully event-driven the cursor positioning has no visible effect---help welcome), EMPTY (idem), DEVICE options CURSOR_CROSSHAIR, CURSOR_STANDARD, CURSOR_ORIGINAL and GET/SET_GRAPHICS_FUNCTION (GXoR, GXand, etc). Disabled by default the focus in the X11 graphics windows as idl does.

	* CMakeLists.txt, src/plotting.cpp:
	Modified plotting.cpp and CMakelists.txt to fix problem of absence of 'plslabelfunc()' in old plplot versions.

	* src/devicez.hpp: uncommented useful lines!

2013-01-14  m_schellens  <m_schellens@sf.net>

	* src/envt.hpp: made call to member expilcit

	* src/basic_op.cpp: changed loop var to SizeT in MatrixOp

2013-01-13  alaingdl  <alaingdl@sf.net>

	* src/pro/wmenu.pro, src/pro/zenity_check.pro:
	typos when improving ZENITY_CHECK()

	* src/pro/dialog_pickfile.pro, src/pro/wmenu.pro, src/pro/zenity_check.pro:
	fixing details in DIALOG_PICKFILE, WMENU and ZENITY_CHECK

2013-01-11  m_schellens  <m_schellens@sf.net>

	* src/new.cpp: sync

2013-01-10  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp, src/plotting.hpp:
	Support for [XYZ]Tickformat with format='an external function' or format='(a valid GDL format)'. The C() time format code and LABEL_DATE() functions have yet to be written for this part to be complete, however.

2013-01-09  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/gdlc.i.g:
	optimization setting \!ERROR_STATE

	* src/basic_pro.cpp, src/GDLInterpreter.cpp, src/gdlc.i.g, src/initsysvar.cpp, src/initsysvar.hpp, src/io.cpp:
	set \!ERROR_STATE

2013-01-08  m_schellens  <m_schellens@sf.net>

	* src/basic_pro.cpp, src/gdlexception.hpp, src/io.cpp, src/gdlc.i.g, src/gdlexception.cpp, src/gdlxstream.cpp, src/GDLInterpreter.cpp, src/accessdesc.hpp, src/allix.cpp, src/arrayindex.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/datatypes.cpp:
	infrastructure for error codes

2013-01-08  alaingdl  <alaingdl@sf.net>

	* doc/www/_news.inc.php: updating last builds (Gentoo, Debian); links.

2013-01-08  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp:
	oops, DeviceToNorm should not be used, only DeviceTo NormedDevice is consistent with the rest of coordinates transforms unless special cases.

2013-01-08  m_schellens  <m_schellens@sf.net>

	* src/basic_pro.cpp, src/GDLInterpreter.cpp, src/dinterpreter.cpp, src/envt.hpp, src/gdlc.i.g, src/gdlgstream.cpp, src/prognode.cpp:
	working CATCH

2013-01-08  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp:
	solves bug 2880540 (plots the non-zero values of a dataset in logscale).

2013-01-07  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.hpp, src/dinterpreter.cpp, src/gdlc.i.g, src/plotting_contour.cpp:
	refactoring

2013-01-05  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_plot.cpp:
	solves bug 2880540 (2nd part, plot,[-1,1],/ylog)

	* src/plotting.cpp:
	In view of bug 2880540 (solved), it is better for the time to avoid plplot getting loose on crazy coordinates.

2013-01-04  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.hpp, src/accessdesc.hpp, src/dinterpreter.cpp, src/envt.cpp, src/gdlc.i.g, src/prognodeexpr.cpp:
	refactoring for GDL_OBJECT::Get/SetProperty

2013-01-04  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp:
	plslabelfunc() and associated "o" option for custom axis labelling is not present until plplot v.5.9.5
	I remove the few lines associated with the use of custom labeling with  HAVE_PLPLOT_BEFORE_5994, but the labeling will be bad! Users should update their plplot version to the last one.

	* src/plotting_contour.cpp:
	removed attempt to record path, should solve problems arising from changes in fill() definition which varies with plplot versions.

	* src/plotting.cpp:
	supports request #3389025 in that  !P.LINESTYLE works with CONTOUR. (not described in the IDL documentation, but the case nevertheless)

2013-01-03  gilles-duvert  <gilles-duvert@sf.net>

	* src/gshhs.cpp, src/libinit.cpp, src/libinit_jmg.cpp, src/plotting_cursor.cpp, src/plotting_map_proj.cpp, src/plotting_surface.cpp:
	miminum set of changes to be compatible with new plotting routines etc.

	* src/plotting_misc.cpp:
	code layout changed as in NetBeans for readability.

	* src/plotting_device.cpp:
	gets /XSIZE etc options correctly to pass to, e.g., PS device.

	* src/plotting_plots.cpp: All keywords supported except Z and T3D
	Provides /CONTINUE
	Correct handling of log/DATA/NORMAL/DEVICE coordinates
	CLIP ok.

	* src/plotting_oplot.cpp: All keywords supported.
	Correct handling of log/DATA/NORMAL/DEVICE overplots
	CLIP ok.

	* src/plotting_polyfill.cpp:
	miminum changes to be compatible with new plotting.cpp version.
	Still lacking: IMAGE_COORD, IMAGE_INTERp, PATTERN, TRANSPARENT,T3D,Z.

	* src/plotting_xyouts.cpp:
	Support of all options except TEXT_AXES and T3D
	Better than IDL:
	ORIENTATION, ALIGNMENT, CHARSIZE, CHARTHICK and COLOR may be vectors.

	* src/plotting.cpp, src/plotting.hpp:
	large changes to provide new functionalities and use our overloading of several plplot functions.
	All symbols now exactly as IDL.

	* src/plotting_contour.cpp:
	Support of all options except ZVALUE, ZAXIS,CELL_FILL, C_ANNOTATIONS, CLOSED, DOWNHILL, IRREGULAR, TRIANGULATION,PATH_***
	Correct implementation of Z, [X,Y], i.e., contours may be skewed, rotated, etc depending on X and Y.
	Better than IDL:
	- a new ZLOG option makes log contours as well.
	- C_ORIENTATION, C_SPACING are also vectors.
	- log axes give better results
	- good contouring of Not-A-Number values in Z and MIN_VALUE/MAX_VALUE
	- CLIP ok.

	Automatic limits in some cases still different from idl.

	* src/plotting_axis.cpp:
	Support of all 2D options (i.e., all X*** and Y***)
	Formatting of strings by XTICKFORMAT not yet working.
	TICKLAYOUT=2 not implemented

	* src/plotting_plot.cpp:
	Support of all 2D options except 'FONT' and 'T3D'.
	All symbols exactly as IDL.
	Formatting of strings by XTICKFORMAT not yet working.
	TICKLAYOUT=2 not implemented
	Automatic limits in some cases still different from idl.

	* src/graphics.hpp: SetColor() has now 1 arg.

	* src/gdlgstream.cpp, src/gdlgstream.hpp:
	overloading of many useful plplot functions to keep track of positions, sizes, etc. Possibly overkill.

	* src/gdlxstream.cpp:
	instrumented according to our overloading of several plplot functions.

	* src/gdlpsstream.hpp: better plplot options management

	* src/devicesvg.hpp:
	setup of initial values to satisfy our overloading of several plplot functions.

	* src/deviceps.hpp:
	setup of initial values to satisfy our overloading of several plplot functions.
	workaround for bugs in plplot+pslib drivers. Not entirely convincing though.

	* src/devicewin.hpp:
	setup of initial values to satisfy our overloading of several plplot functions. Not tested on windows.

	* src/devicez.hpp:
	setup of initial values to satisfy our overloading of several plplot functions.

	* src/devicex.hpp: defaulted initial position top right of screen.
	setup of initial values to satisfy our overloading of several plplot functions.

	* src/initsysvar.cpp: updated clip box values

	* src/pro/loadct.pro, src/image.cpp, src/image.hpp:
	command LOADCT supports BOTTOM, NCOLORS, RGB_TABLE, SILENT

	* src/gdlwidget.cpp:
	change needed to compile with my g++ 4.4.3 x86_64-manbo-linux-gnu (?)

	* src/envt.cpp, src/envt.hpp:
	added KeywordPresent with string instead of id.

2013-01-02  gilles-duvert  <gilles-duvert@sf.net>

	* CMakeModules/Findlibps.cmake:
	needed to find libps on some 64 bits architectures

2013-01-02  alaingdl  <alaingdl@sf.net>

	* doc/www/contribute.html, doc/www/credits.html, doc/www/download.html, doc/www/feedback.html, doc/www/home.html, doc/www/index.html, doc/www/menu.html, doc/www/require.html, doc/www/resources.html, doc/www/screenshot.html, doc/www/support.html, doc/www/tdl.html:
	small changes to be OK with http://validator.w3.org/

	* doc/www/_news.inc.php, doc/www/credits.php, doc/www/faq.php, doc/www/menu.html:
	updating informations: 0.9.3 delivered (news), MSwin version, credit (JBPark)

2012-12-30  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/accessdesc.hpp, src/gdlc.i.g, src/prognodeexpr.cpp:
	refactorizations



GDL 0.9.3:
2012-12-27  m_schellens  <m_schellens@sf.net>

	* CMakeLists.txt, configure.in, src/GDLInterpreter.cpp, src/accessdesc.hpp, src/dstructgdl.cpp, src/gdlc.i.g, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	GDL 0.9.3

2012-12-21  m_schellens  <m_schellens@sf.net>

	* src/gdlc.i.g, src/GDLInterpreter.cpp: replaced dynamic_cast

	* src/basic_op.cpp, src/basic_op_new.cpp, src/datatypes.hpp, src/overload.cpp, src/prognodeexpr.cpp, src/specializations.hpp:
	Added _overloadMinus for GDL_OBJECT

2012-12-20  m_schellens  <m_schellens@sf.net>

	* src/math_fun_jmg.cpp: slight improvements for check_math_fun

	* src/math_fun_jmg.cpp: Fixed CHECK_MATH; bug tracker ID: 3597463

2012-12-19  m_schellens  <m_schellens@sf.net>

	* src/basic_op.cpp, src/basic_op_new.cpp, src/datatypes.hpp, src/dinterpreter.cpp, src/overload.cpp, src/prognodeexpr.cpp, NEWS:
	completed _overloadPlus

	* src/datatypes.hpp, src/objects.hpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp, src/specializations.hpp, src/typedefs.hpp, ChangeLog, NEWS, src/basegdl.hpp, src/basic_op.cpp:
	preparations for _overloadPlus

2012-12-18  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/gdlc.i.g, src/dinterpreter.cpp, src/dinterpreter.hpp, src/objects.hpp:
	implemented .SKIP command

	* src/prognodeexpr.cpp, src/GDLTreeParser.cpp, src/gdlc.tree.g, src/prognode_lexpr.cpp:
	ARRAYEXPR_FCALL ambiguity some minor improvements

2012-12-18  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/gdlc.i.g, src/dinterpreter.cpp, src/dinterpreter.hpp, src/objects.hpp:
	implemented .SKIP command

	* src/prognodeexpr.cpp, src/GDLTreeParser.cpp, src/gdlc.tree.g, src/prognode_lexpr.cpp:
	ARRAYEXPR_FCALL ambiguity some minor improvements

2012-12-17  m_schellens  <m_schellens@sf.net>

	* src/GDLTreeParser.cpp, src/gdlc.tree.g, src/newprognode.cpp, src/prognode.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp:
	Fixed ARRAYEXPR_FCALL ambiguity

	* src/GDLTokenTypes.hpp, src/GDLTokenTypes.txt, src/GDLTreeParser.cpp, src/GDLTreeParserTokenTypes.hpp, src/GDLTreeParserTokenTypes.txt, src/gdlc.g, src/gdlc.tree.g, src/newprognode.cpp, src/prognodeexpr.hpp, src/GDLInterpreter.cpp, src/GDLInterpreterTokenTypes.hpp, src/GDLInterpreterTokenTypes.txt, src/GDLParser.cpp:
	in progress: ARRAYEXPR_FCALL ambiguity

2012-12-17  alaingdl  <alaingdl@sf.net>

	* src/plotting_plot.cpp:
	Being able managning Log. plots with negative values only (bug report 3595172).
	Please notice PLplot is not able to manage "xtick/ytick" in plbox() when "l" option activated.

2012-12-13  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.hpp, src/GDLParser.cpp, src/assocdata.hpp, src/basegdl.hpp, src/basic_op.cpp, src/datatypes.cpp, src/datatypes.hpp, src/dstructgdl.hpp, src/gdlc.g, src/gdlc.i.g, src/overload.cpp, src/prognode.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp, src/specializations.hpp, src/typedefs.hpp:
	Added _overloadEQ and _overloadNE

2012-12-11  m_schellens  <m_schellens@sf.net>

	* src/overload.cpp: A bit cleanup

	* src/allix.hpp, src/arrayindex.cpp, src/arrayindex.hpp, src/arrayindexlistt.hpp, src/basic_pro.cpp, src/dimension.hpp, src/envt.hpp, src/overload.cpp:
	Completed GDL_OBJECT::_overloadBracketsRightSide

2012-12-10  m_schellens  <m_schellens@sf.net>

	* src/nullgdl.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp:
	Changed some warning messages

	* src/arrayindexlistt.hpp, src/overload.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/typedefs.hpp:
	Corrections for bracketsLeftSideOverload. Prepared bracketsRightSideOverload.

	* src/dpro.cpp, src/dpro.hpp, src/overload.cpp:
	Changed DPro::AddPar(...) for prettier definition of internal UD subroutines

	* src/basic_fun.cpp, src/default_io.cpp, src/dpro.hpp, src/envt.cpp, src/envt.hpp, src/overload.cpp, src/prognode_lexpr.cpp:
	Added internal GDL_OBJECT::_overloadBracketsLeftSide procedure.

	* src/GDLInterpreter.cpp, src/gdlc.i.g, src/prognode.hpp, src/prognode_lexpr.cpp:
	avoid copy or rvalue for call of internal GDL_Object::_overloadBracketsLeftSide

2012-12-09  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/gdlc.i.g, src/prognode_lexpr.cpp:
	Completed implementation of GDL_Object::_overloadBracketsLeftSide

	* src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/GDLTreeParser.cpp, src/datatypes.cpp, src/dcompiler.cpp, src/dnode.hpp, src/envt.cpp, src/gdlc.i.g, src/gdlc.tree.g, src/newprognode.cpp, src/print_tree.cpp, src/prognode_lexpr.cpp, src/prognodeexpr.hpp:
	fixed constant array generation for array indices (compiled already from GDLTreeParser)

	* src/arrayindex.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp:
	InitAsOverloadIndex member functions for ArrayIndexList... classes

2012-12-08  m_schellens  <m_schellens@sf.net>

	* testsuite/test_stregex.pro, src/arrayindex.cpp, src/arrayindex.hpp:
	OverloadIndexNew member functions for [C]ArrayIndex... classes

	* src/GDLTreeParser.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/dcompiler.cpp, src/gdlc.i.g, src/gdlc.tree.g, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, testsuite/test_suite.pro, src/GDLInterpreter.cpp:
	fixed (recently changed (for overload)) array indexing

	* src/dnode.hpp, src/gdlc.i.g, src/gdlc.tree.g, src/prognode.cpp, src/prognode.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.hpp, src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/GDLTreeParser.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/basic_pro.cpp, src/datatypes.cpp, src/datatypesref.cpp, src/dcompiler.cpp, src/dcompiler.hpp, src/dinterpreter.cpp:
	Preparation of array indices (CArrayIndex...) for object overload indexing (keep original types of indices accessible)

2012-12-07  alaingdl  <alaingdl@sf.net>

	* src/basic_fun.cpp:
	revisited MEDIAN code for dim= keyword. (TEST_NANS_IN_SORT_AND_MEDIAN and TEST_MINMAX both OK)

2012-12-06  m_schellens  <m_schellens@sf.net>

	* src/ofmt.cpp, src/overload.cpp: fixed binary output for LONG64

	* src/overload.cpp, src/GDLInterpreter.cpp, src/dpro.hpp, src/dstructdesc.hpp, src/gdlc.i.g, src/objects.cpp, src/overload.hpp, src/prognode.cpp, src/prognode.hpp:
	full implementation of GDL_OBJECT::_overloadIsTrue function

2012-12-05  m_schellens  <m_schellens@sf.net>

	* src/typedefs.hpp: removed debug setting

	* src/gsl_fun.cpp, src/typedefs.hpp:
	proper return value conversion for GDL function used by QROMB

	* src/dpro.cpp, src/gsl_fun.cpp:
	fixed memory leak in QROMB function. Bug tracker ID: 3592762

	* src/GDLInterpreter.hpp, src/dpro.cpp, src/dpro.hpp, src/gdlc.i.g, src/overload.cpp, src/prognode.cpp, src/prognode.hpp:
	Implemented WRAPPED_FUN/PRONode (call c++ functions as GDL subroutines)

2012-12-04  m_schellens  <m_schellens@sf.net>

	* src/print_tree.cpp, src/basic_pro.cpp, src/dpro.cpp, src/dpro.hpp, src/libinit.cpp, src/print_tree.hpp:
	fixed print_tree for circular ProgNodeP trees

	* src/dinterpreter.cpp, src/dpro.cpp: disabled debug output for CVS

	* src/dinterpreter.cpp, src/dpro.cpp, src/prognode.hpp:
	Fixed: BREAK when loop is last statement in subroutine

2012-12-02  m_schellens  <m_schellens@sf.net>

	* src/datatypes.cpp, src/nullgdl.hpp: rename IsNULL function

	* src/GDLInterpreter.hpp, src/basic_pro_jmg.cpp, src/datatypes.cpp, src/dinterpreter.cpp, src/envt.cpp, src/envt.hpp, src/gdlc.i.g, src/gsl_fun.cpp, src/math_fun_ng.cpp, src/nullgdl.cpp, src/nullgdl.hpp, src/specializations.hpp, src/widget.cpp:
	implemented _overloadIsTrue

2012-12-01  m_schellens  <m_schellens@sf.net>

	* src/GDLParser.cpp, src/gdlc.g, src/objects.cpp, src/objects.hpp, src/prognode.cpp:
	made GDL_OBJECT's name a constant

2012-11-30  m_schellens  <m_schellens@sf.net>

	* src/prognode.cpp, src/GDLLexer.cpp, src/GDLParser.cpp, src/GDLParser.hpp, src/dcompiler.cpp, src/dstructdesc.cpp, src/dstructdesc.hpp, src/gdlc.g, src/gdlexception.cpp, src/objects.cpp, src/overload.cpp, src/overload.hpp:
	full infrastructure for operator overloading (not depoyed yet)

2012-11-29  m_schellens  <m_schellens@sf.net>

	* src/prognodeexpr.cpp, src/topython.cpp, src/typetraits.cpp, src/CMakeLists.txt, src/Makefile.am, src/accessdesc.hpp, src/assocdata.cpp, src/basegdl.hpp, src/basic_fun.cpp, src/basic_fun_cl.cpp, src/basic_fun_jmg.cpp, src/basic_pro.cpp, src/basic_pro_jmg.cpp, src/convert2.cpp, src/datatypes.cpp, src/dstructdesc.cpp, src/dstructdesc.hpp, src/envt.cpp, src/envt.hpp, src/gdlexception.cpp, src/libinit.cpp, src/math_fun.cpp, src/math_fun_jmg.cpp, src/ncdf_var_cl.cpp, src/nullgdl.cpp, src/objects.cpp, src/overload.cpp, src/overload.hpp:
	operator overloading (only basic definitions - not supported yet)

2012-11-28  alaingdl  <alaingdl@sf.net>

	* src/basic_pro.cpp, src/libinit.cpp, src/objects.cpp:
	Initial (unfinished) import of keyword /pref in HELP

	* src/preferences.hpp, src/Makefile.am, src/preferences.cpp:
	very preliminary (and not working) import of a way to process external text files
	for setting variables like GDL_GR_X_HEIGHT (ToDo: SET_PREF/GET_PREF)

2012-11-27  alaingdl  <alaingdl@sf.net>

	* src/gdl.cpp, doc/gdl.1:
	preparing ingesting external preference file (gdl -pref=/path/to/PrefFile)

2012-11-26  alaingdl  <alaingdl@sf.net>

	* src/pro/zenity_check.pro:
	setting !zenity.version to -1 when no Zenity found. Used in WMENU()

2012-11-25  alaingdl  <alaingdl@sf.net>

	* src/pro/save.pro:
	extending SAVE from 30 params to 100. Only limited tests done ...

2012-11-21  alaingdl  <alaingdl@sf.net>

	* configure.in: applying patch from Debian (0.9.2-4 fix-muldefs)

	* doc/gdl.1:
	applying patch from Debian 0.9.2-4 (hyphen-used-as-minus-sign and one typo)

2012-11-21  m_schellens  <m_schellens@sf.net>

	* src/io.cpp, src/io.hpp, src/objects.cpp:
	Fixed GET_LUN bug (TEST_GET_LUN)

2012-11-20  m_schellens  <m_schellens@sf.net>

	* src/objects.cpp: added some struct descriptors (commented out)

2012-11-20  alaingdl  <alaingdl@sf.net>

	* src/libinit.cpp:
	in DEVICE, warning keyword TRUE_COLOR (for compatibility with Pluto 4.0 code)

	* src/devicex.hpp: typo: removing double declaration

	* src/devicex.hpp: desactivating useless debuging "cout << "

	* src/plotting_device.cpp:
	missing WordExp() when writing SVG or PS files.

	* src/magick_cl.cpp:
	missing WordExp() in MagickPing and MagickWrite; now we can query and write in ~/ directory !

2012-11-19  alaingdl  <alaingdl@sf.net>

	* src/pro/Makefile.am, src/pro/wmenu.pro:
	initial import of WMENU(), with a Zenity based version (working)
	and a text-based version (to be verified ASAP)

2012-11-16  alaingdl  <alaingdl@sf.net>

	* src/pro/dialog_message.pro:
	correcting compatibility issues with old zenity versions in DIALOG_MESSAGE

2012-11-15  alaingdl  <alaingdl@sf.net>

	* src/pro/dialog_message.pro, testsuite/test_dialog_message.pro:
	finishing refinements in DIALOG_MESSAGE and related test cases in TEST_DIALOG_MESSAGE

2012-11-15  m_schellens  <m_schellens@sf.net>

	* src/basic_fun.cpp, src/basic_fun_jmg.cpp, src/basic_fun_jmg.hpp, src/libinit_jmg.cpp, src/prognodeexpr.cpp:
	fixed ROUTINE_NAMES,/FETCH (lead to crash in cmsvlib)

2012-11-15  alaingdl  <alaingdl@sf.net>

	* src/pro/dialog_message.pro, src/pro/zenity_check.pro:
	revised DIALOG_MESSAGE but not fully finished; new !zenity structure to be faster
	and with less redundant messages when using obsolete zenity code

	* testsuite/test_dialog_message.pro:
	initial import of TEST_DIALOG_MESSAGE, interactive tests case for revisited DIALOG_MESSAG.

2012-11-14  alaingdl  <alaingdl@sf.net>

	* src/pro/Makefile.am: stupid typo in new function name :(

	* src/pro/dialog_pickfile.pro:
	updating DIALOG_PICKFILE: large part of code moved into ZENITY_CHECK()

	* src/pro/dialog_message.pro:
	updating DIALOG_MESSAGE: large part of code moved into ZENITY_CHECK()

	* src/pro/Makefile.am, src/pro/zenity_check.pro:
	creating ZENITY_CHECK(), a function checking the availability of "zenity" in the path
	and also checks the version. This code was common in DIALOG_PICKFILE and DIALOG_MESSAGE
	and this should help for future maintenance and extensions

2012-11-13  alaingdl  <alaingdl@sf.net>

	* src/pro/restore.pro:
	in RESTORE, fixing feature request 3581835 and various tricks around filename

2012-11-13  m_schellens  <m_schellens@sf.net>

	* src/antlr/LLkParser.cpp, src/antlr/Parser.cpp, src/antlr/Parser.hpp:
	sync

2012-11-12  alaingdl  <alaingdl@sf.net>

	* config.h.cmake:
	tuning HAVE_PLPLOT_BEFORE_5994 to have success on more than Debian ;-)

	* configure.in, src/plotting_xyouts.cpp:
	tuning HAVE_PLPLOT_BEFORE_5994 to have success on latest Debian too ;-)

2012-11-12  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/gdlc.i.g:
	Line numbers in IF statements; bug tracker ID: 3579702

	* testsuite/test_suite.pro, src/GDLParser.cpp, src/gdlc.g:
	parser error with: tmp=cos(str.data(0).value); bug tracker ID: 3579499

	* src/prognodeexpr.cpp, src/typedefs.hpp:
	Fixed segfault with undefined variable; bug tracker ID: 3585392

2012-11-10  alaingdl  <alaingdl@sf.net>

	* CMakeLists.txt:
	first attempt managing recent plplot lib. with CMake ...

	* src/plotting_xyouts.cpp: typo in  plotting_xyouts.cpp

2012-11-09  alaingdl  <alaingdl@sf.net>

	* src/plotting_xyouts.cpp, configure.in:
	trying to manage hidden symbols in recent Debian plplot 5.9.9-4 in XYOUTS;
	patch 3575295 from Joanna

2012-11-07  slayoo  <slayoo@sf.net>

	* configure.in:
	removing color-tests from configure.in - it causes problems, and the autotools-based install is anyhow going to be obsoleted soon...

2012-11-07  alaingdl  <alaingdl@sf.net>

	* doc/www/resources.php: updating ADASS refs

	* doc/www/credits.php: adding my 2 students this summer 2012

	* src/antlr/LLkParser.cpp:
	desactiviating verbose mode in interpretor "trace" !

2012-11-07  slayoo  <slayoo@sf.net>

	* gsl.m4: removing the gsl.m4 file

	* src/antlr/Makefile.in, src/pro/Makefile.in, src/pro/dicom/Makefile.in, testsuite/Makefile.in, depcomp, doc/Makefile.in, install-sh, ltmain.sh, missing, mkinstalldirs, src/Makefile.in, INSTALL, Makefile.cvs, Makefile.in, aclocal.m4, config.guess, config.h.in, config.sub, configure:
	removing autotools-generated files from the repository

	* AUTHORS, doc/udg/chapters/credits.tex, doc/www/credits.php:
	adding Gilles to the author lists

2012-11-06  m_schellens  <m_schellens@sf.net>

	* src/antlr/LLkParser.cpp, src/GDLParser.cpp, src/gdlc.g: nicer tracing

2012-10-29  gilles-duvert  <gilles-duvert@sf.net>

	* src/interp_multid.h:
	Solved bug keyword "Missing" not working for upper side in 1D INTERPOLATE. The range for interpolation was deemed valid including the upper boundary, when in IDL thid is not the case.

2012-10-18  alaingdl  <alaingdl@sf.net>

	* src/pro/str_sep.pro, testsuite/test_str_sep.pro:
	improvment of STR_SEP, should be OK for Separator with more than one element.
	Unfinished for pecular cases with one element.

	* testsuite/test_str_sep.pro:
	adding news cases failing with current STR_SEP code (to be updated soon ;-)

	* testsuite/Makefile.am, testsuite/Makefile.in, testsuite/test_get_lun.pro:
	inclusion of "test_get_lun.pro" in the "make check" test suite. Currently, this test fails.

2012-10-12  m_schellens  <m_schellens@sf.net>

	* src/basic_pro.cpp, src/basic_pro.hpp, src/libinit.cpp:
	HEAP_FREE initial version

2012-10-10  alaingdl  <alaingdl@sf.net>

	* testsuite/test_deriv.pro, src/pro/deriv.pro:
	continuing cleaning DERIV()

2012-10-09  m_schellens  <m_schellens@sf.net>

	* HACKING, src/deviceps.hpp, src/gshhs.cpp, src/typedefs.hpp:
	renamed GSLGuard to GDLGuard; redefined FILEGuard

2012-10-09  alaingdl  <alaingdl@sf.net>

	* testsuite/test_qromo.pro, src/gsl_fun.cpp:
	improving QROMO when diverging at one of the boundaries: switch from QAG to QAGS. General
	case not ready, but testsuite improved ...

	* src/pro/deriv.pro: better behavior, we desactivate extra checks ...

2012-10-08  alaingdl  <alaingdl@sf.net>

	* src/typedefs.hpp: missing <cstdio> for Ubuntu OS ...

	* src/gsl_fun.cpp:
	in QROMO, allowing paired sizes for inputs [1][N] or [N][1] should give [N]

2012-10-05  m_schellens  <m_schellens@sf.net>

	* src/gsl_fun.cpp, src/typedefs.hpp: Fixed several memory leaks

2012-10-04  m_schellens  <m_schellens@sf.net>

	* src/deviceps.hpp, src/gshhs.cpp, src/gsl_fun.cpp, src/gsl_matrix.cpp, src/math_fun.cpp, src/typedefs.hpp, CMakeModules/Findlibps.cmake:
	removed LIBPS_LIBRARY_DIRS from CMake pslib stuff; added exception savety

2012-10-03  alaingdl  <alaingdl@sf.net>

	* testsuite/Makefile.am, testsuite/Makefile.in, testsuite/test_nans_in_sort_and_median.pro:
	Why this important test on MEDIAN() and SORT() with NaN wasn't in the automatic test suite ?
	We do have a serious problem !

	* testsuite/test_random.pro, testsuite/test_wait.pro:
	typos: STOP forgot in "test_random"; wait is unaccurate on Suse :(

2012-10-02  m_schellens  <m_schellens@sf.net>

	* src/CFMTLexer.cpp, src/CFMTLexer.hpp, src/CFMTTokenTypes.hpp, src/CFMTTokenTypes.txt, src/FMTIn.cpp, src/FMTIn.hpp, src/FMTInTokenTypes.hpp, src/FMTInTokenTypes.txt, src/FMTLexer.cpp, src/FMTLexer.hpp, src/FMTParser.cpp, src/FMTParser.hpp, src/FMTTokenTypes.hpp, src/FMTTokenTypes.txt, src/FMTOut.cpp, src/FMTOut.hpp, src/FMTOutTokenTypes.hpp, src/FMTOutTokenTypes.txt, src/format.out.g:
	Fixed : format code; Bug ID: 3572473

	* src/basic_fun.cpp, src/envt.cpp, src/envt.hpp, src/typedefs.hpp:
	Fixed SCOPE_VARFETCH; Bug tracker ID: 3573558

	* src/basegdl.hpp: include xdr.h for windows, rpc.h otherwise

	* src/read.cpp: fixed READ; bug tracker ID: 3573790

2012-10-02  alaingdl  <alaingdl@sf.net>

	* src/basegdl.hpp:
	reverting change in "basegdl.hpp" (bug 3573468) for #include <rpc/rpc.h>
	(we cannot compile on OSX with #include <rpc/xdr.h>)

	* src/gsl_fun.cpp:
	two problems in RANDOM: checking when amplitude for Binonial is below 1; removing
	regression introduced mid-july when "seed" is not set outside.

	* testsuite/test_random.pro:
	improvment in "test_random.pro": being less sensitive for small amp. in Binomial;
	introducing new basic tests to check very basic regressions ...

	* testsuite/test_wait.pro: relaxing tol. error for TEST_WAIT

2012-10-01  alaingdl  <alaingdl@sf.net>

	* testsuite/test_scope_varfetch.pro:
	following bug report 3573558: extended test cases for SCOPE_VARFETCH

	* testsuite/Makefile.am, testsuite/Makefile.in, testsuite/test_ptrarr.pro:
	initial import of "test_ptrarr.pro", related to bug report 3573202

2012-10-01  m_schellens  <m_schellens@sf.net>

	* src/arrayindexlistnoassoct.hpp:
	Fixed salar array indexing (return scalar if all indices are scalar); bug tracker ID: 3573202

2012-09-28  alaingdl  <alaingdl@sf.net>

	* src/gtdhelper.cpp, src/gtdhelper.hpp:
	initial import of 2 missing files for compilation under MSwin.

	* CMakeModules/FindPCRE.cmake, CMakeModules/FindXdr.cmake:
	initial import of 2 missing CMake-related files for compilation under MSwin:
	FindPCRE.cmake FindXdr.cmake

2012-09-20  alaingdl  <alaingdl@sf.net>

	* testsuite/test_fft_dim.pro: deeper test cases for DIM keyword in FFT

	* testsuite/Makefile.am, testsuite/Makefile.in, testsuite/test_systime.pro, testsuite/test_wait.pro:
	3 new tests in automatic "make check".

	* testsuite/test_call_function.pro, testsuite/test_call_procedure.pro:
	following idea in bug report 3569697, improved tests (on keyword values too) for CALL_FUNCTION and CALL_PROCEDURE

2012-09-19  m_schellens  <m_schellens@sf.net>

	* testsuite/test_call_function.pro, testsuite/test_call_procedure.pro, configure:
	sync

	* src/GDLInterpreter.cpp, src/gdlc.i.g:
	New GDL_... type codes for ANTLR files

	* src/GDLInterpreter.cpp, src/GDLInterpreterTokenTypes.hpp, src/GDLLexer.cpp, src/GDLTokenTypes.hpp, src/GDLTreeParserTokenTypes.hpp, src/envt.cpp, src/extrat.cpp, src/extrat.hpp:
	Fixed keyword handling for CALL_FUNCTION and CALL_PROCEDURE (when calling user defined subroutines)

	* src/extrat.cpp: Fixed behaviour of _EXTRA (bug tracker ID: 3568388)

2012-09-18  alaingdl  <alaingdl@sf.net>

	* src/basic_op.cpp: better accuracy in Modulo with Double

	* src/file.cpp, src/file.hpp, src/libinit.cpp:
	recovering FILE_SEARCH for non MSwin OS

	* src/basic_pro.cpp, src/basic_pro.hpp, src/libinit.cpp:
	recovering SPAWN capability under non-MSwin OS

2012-09-18  m_schellens  <m_schellens@sf.net>

	* src/math_fun_gm.cpp, src/math_fun_jmg.cpp, src/math_fun_ng.cpp, src/nullgdl.cpp, src/ofmt.cpp, src/plotting.cpp, src/plotting_contour.cpp, src/plotting_map_proj.cpp, src/plotting_plot.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp, src/plotting_windows.cpp, src/read.cpp, src/semshm.cpp, src/sigfpehandler.cpp, src/sigfpehandler.hpp, src/str.cpp, CMakeLists.txt, src/CMakeLists.txt, src/arrayindex.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp, src/basegdl.cpp, src/basegdl.hpp, src/basic_fun.cpp, src/basic_fun_cl.cpp, src/basic_pro.cpp, src/basic_pro.hpp, src/basic_pro_jmg.cpp, src/basic_pro_jmg.hpp, src/color.cpp, src/convert2.cpp, src/datatypes.cpp, src/datatypes.hpp, src/default_io.cpp, src/deviceps.hpp, src/devicewin.hpp, src/devicez.hpp, src/dinterpreter.cpp, src/dinterpreter.hpp, src/dnode.cpp, src/file.cpp, src/file.hpp, src/gdl.cpp, src/gdlgstream.hpp, src/gdljournal.cpp, src/gdlpsstream.hpp, src/gdlwidget.hpp, src/gdlwinstream.hpp, src/graphics.cpp, src/grib.cpp, src/gsl_fun.cpp, src/includefirst.hpp, src/initsysvar.cpp, src/io.cpp, src/io.hpp, src/libinit.cpp, src/math_fun.cpp, src/math_fun_ac.cpp:
	applied patches 2 and 3 from tracker ID 3568748 (windows compatibility)

	* HACKING: remarks on exception save programming

	* src/math_fun_ng.cpp, src/prognode_lexpr.cpp, src/allix.cpp: sync

2012-09-18  alaingdl  <alaingdl@sf.net>

	* testsuite/test_extra_keywords.pro:
	new file TEST_EXTRA_KEYWORD to test whether the _extra keywords are well managed.

2012-09-18  m_schellens  <m_schellens@sf.net>

	* src/dll/two.cpp, src/arrayindexlistt.hpp, src/assocdata.cpp, src/basegdl.cpp, src/basegdl.hpp, src/basic_fun.cpp, src/basic_fun_cl.cpp, src/basic_fun_jmg.cpp, src/basic_op.cpp, src/basic_op_new.cpp, src/basic_pro.cpp, src/basic_pro_jmg.cpp, src/convert2.cpp, src/datatypes.cpp, src/datatypesref.cpp, src/default_io.cpp, src/devicex.hpp, src/dstructdesc.cpp, src/dstructgdl.cpp, src/dstructgdl.hpp, src/envt.cpp, src/envt.hpp, src/extrat.cpp, src/extrat.hpp, src/fftw.cpp, src/gdlpython.cpp, src/gdlxstream.cpp, src/gsl_fun.cpp, src/gsl_matrix.cpp, src/hdf_fun.cpp, src/magick_cl.cpp, src/math_fun.cpp, src/math_fun_ac.cpp, src/math_fun_gm.cpp, src/math_fun_jmg.cpp, src/math_fun_ng.cpp, src/math_utl.cpp, src/math_utl.hpp, src/ncdf_att_cl.cpp, src/ncdf_cl.cpp, src/ncdf_dim_cl.cpp, src/ncdf_var_cl.cpp, src/nullgdl.cpp, src/ofmt.cpp, src/plotting.cpp, src/plotting_contour.cpp, src/plotting_convert_coord.cpp, src/plotting_map_proj.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp, src/plotting_surface.cpp, src/plotting_windows.cpp, src/plotting_xyouts.cpp, src/print.cpp, src/prognode.cpp, src/prognode.hpp, src/prognodeexpr.cpp, src/pythongdl.cpp, src/read.cpp, src/strassenmatrix.hpp, src/topython.cpp, src/typedefs.hpp, src/typetraits.cpp, src/widget.cpp, src/FMTIn.cpp, src/FMTInTokenTypes.hpp, src/FMTLexer.cpp, src/FMTOut.cpp, src/FMTOutTokenTypes.hpp, src/FMTParser.cpp, src/FMTTokenTypes.hpp, src/GDLInterpreter.cpp, src/GDLInterpreterTokenTypes.hpp, src/GDLLexer.cpp, src/GDLTokenTypes.hpp, src/GDLTreeParserTokenTypes.hpp, src/accessdesc.hpp, src/arrayindex.cpp, src/arrayindex.hpp, src/arrayindexlistnoassoct.hpp:
	applied patch 1 from tracker ID: 3568748 (rename GDL types to GDL_...)

2012-09-18  alaingdl  <alaingdl@sf.net>

	* testsuite/test_call_function.pro, testsuite/test_call_procedure.pro:
	adding more explicit messages when problems encoutered runnning TEST_CALL_FUNCTION and TEST_CALL_PROCEDURE

	* testsuite/test_call_procedure.pro:
	adding explicit messages when problems encoutered

2012-09-16  alaingdl  <alaingdl@sf.net>

	* src/plotting.cpp:
	applying patch 3567803 by S. Hony for histogram plot.

2012-09-14  alaingdl  <alaingdl@sf.net>

	* CMakeModules/FindNetCDF.cmake, CMakeModules/Findlibps.cmake, CMakeLists.txt:
	including patch 3538449 for CMake way (better way to find external libs. NetCDF and LibPS)

	* src/gdlwidget.cpp, src/gdlwidget.hpp, src/libinit_jmg.cpp, src/objects.cpp, src/widget.cpp, src/widget.hpp, NEWS:
	applying patch 3567344: new widgets WIDGET_LIST and CW_GROUP

2012-09-13  m_schellens  <m_schellens@sf.net>

	* src/read.cpp:
	skip till end of line when reading multiple parameters with READF

2012-09-13  alaingdl  <alaingdl@sf.net>

	* src/gsl_fun.cpp: fixing general case in FFT() when using GSL way only

2012-09-12  m_schellens  <m_schellens@sf.net>

	* src/gsl_fun.cpp: fixed memeory leak in random_template

2012-09-12  alaingdl  <alaingdl@sf.net>

	* testsuite/test_fft.pro, testsuite/test_fft_dim.pro:
	test cases for FFT, unfinished :(

2012-09-11  m_schellens  <m_schellens@sf.net>

	* src/basegdl.hpp, src/basic_fun.cpp, src/envt.cpp, src/extrat.cpp, src/gsl_fun.cpp, src/nullgdl.cpp, src/nullgdl.hpp:
	fixed several memory leaks in fft_template (gsl fft version)

2012-09-09  alaingdl  <alaingdl@sf.net>

	* testsuite/test_fft.pro, src/gsl_fun.cpp:
	FFT in the GSL way was not OK when input was in double

	* NEWS, src/gsl_fun.cpp:
	sorry, I put the wrong version for corrected FFT using GSL ...

2012-09-07  slayoo  <slayoo@sf.net>

	* src/convert2.cpp:
	fixing overzealous error-reporting in convert2.cpp version 1.30 - see bug no. 3565657 (thanks Gilles)

2012-09-07  alaingdl  <alaingdl@sf.net>

	* src/gsl_fun.cpp:
	various changes for FFT(): should work for DIMENSION keyword and when FFTw is not used. More test cases especially when DIM is used are needed.

	* src/envt.cpp:
	EnvT::KeywordSet() (in "envt.cpp") must behave as KEYWORD_SET() in "basic_fun.cpp".

2012-09-07  gilles-duvert  <gilles-duvert@sf.net>

	* testsuite/test_bug_3483402.pro:
	add 	test_bug_3483402.pro , closes the corresponding ticket.

	* testsuite/Makefile.am: added testsuite/test_bug_3483402.pro

2012-09-05  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp: box aspect correct with /ISOTROPIC and /[X|Y]LOG

	* src/plotting_oplot.cpp: Should solve bug #3563928.

2012-09-04  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp:
	Modified support for '/ISOTROPIC' in graphic commands to align boxes more in the IDL style.

	* src/libinit.cpp, src/plotting.cpp, src/plotting.hpp, src/plotting_contour.cpp, src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_surface.cpp:
	Support for '/ISOTROPIC' in graphic commands.

2012-08-30  alaingdl  <alaingdl@sf.net>

	* src/basic_fun.cpp, src/libinit.cpp:
	adding keyword /Double in function COMPLEX()

2012-08-18  slayoo  <slayoo@sf.net>

	* src/convert2.cpp, src/dnode.cpp, testsuite/Makefile.am, testsuite/test_bug_3559291.pro:
	fixing bug no. 3559291 (float('1.5D-1') != 0.15)

2012-08-17  alaingdl  <alaingdl@sf.net>

	* configure.in:
	sorry for not updated the main "configure.in" including src/pro/envi/Makefile

2012-08-16  alaingdl  <alaingdl@sf.net>

	* src/devicex.hpp, src/gdlgstream.hpp, src/gdlxstream.cpp, src/gdlxstream.hpp, src/libinit.cpp, src/plotting_windows.cpp, NEWS:
	Initial import of keyword ICONIC in WSHOW. The SHOW param. is not efficient ?
	Help welcome to fix the sub-window value when iconifying.

2012-08-14  alaingdl  <alaingdl@sf.net>

	* src/pro/read_bmp.pro, src/pro/read_gif.pro, src/pro/read_image.pro, src/pro/read_jpeg.pro, src/pro/read_pict.pro, src/pro/read_png.pro, src/pro/read_tiff.pro, src/pro/read_xwd.pro, src/pro/strmatch.pro, src/pro/strsplit.pro:
	Since now GDL enforces scalar type in FOR loop, we have to take
	care with STRLEN when the input is a one element array.
	All the READ_(images) procedures don't really checked whether we try to read back
	more than one and only one file

	* src/pro/Makefile.am, src/pro/Makefile.in:
	fixing details in MakefileS related to new Envi sub-dir.

2012-08-13  alaingdl  <alaingdl@sf.net>

	* src/pro/image_statistics.pro:
	adding Labeled keyword to the IMAGE_STATISTICS procedure, thanks to Sixy6e

2012-08-12  alaingdl  <alaingdl@sf.net>

	* NEWS, src/pro/Makefile.am, src/pro/Makefile.in, src/pro/STATUS, src/pro/UrgentNeed.txt, src/pro/rot.pro:
	initial import of ROT, calling internal POLY_2D code

	* NEWS: few updates in NEWS

2012-08-11  alaingdl  <alaingdl@sf.net>

	* src/pro/write_jpeg.pro, src/pro/write_png.pro:
	revisiting buggy WRITE_JPEG and WRITE_PNG: gray images can now be stored, but not via best pure Gray type; Order was activated for missing cases in WRITE_PNG (tested on Saturn.jpg for WRITE_JPEG and WRITE_PNG, color and Gray)

2012-08-02  gilles-duvert  <gilles-duvert@sf.net>

	* src/pro/mean.pro:
	patched MEAN so it continues to work with non-arrays.

2012-08-02  m_schellens  <m_schellens@sf.net>

	* src/basegdl.cpp, src/basegdl.hpp, src/datatypes.cpp, src/datatypes.hpp, src/prognode.cpp, src/specializations.hpp, NEWS, README:
	Promotion of FOR loop index variable type

2012-07-25  m_schellens  <m_schellens@sf.net>

	* src/basic_fun.cpp, src/prognodeexpr.cpp: Improved SCOPE_VARFETCH

	* src/basic_fun.cpp, src/basic_fun.hpp, src/basic_fun_jmg.cpp, src/basic_fun_jmg.hpp, src/datatypes.cpp, src/libinit.cpp, src/libinit_jmg.cpp, src/prognodeexpr.cpp:
	Fixed SCOPE_VARFETCH

2012-07-24  alaingdl  <alaingdl@sf.net>

	* src/pro/interpol.pro: detail of test version in INTERPOL, sorry

	* src/pro/Makefile.am, src/pro/Makefile.in, src/pro/interpol.pro:
	since "scope_varfetch.pro" was removed from src/pro/, we need to removed it in the Makefile.(am/in)

2012-07-24  slayoo  <slayoo@sf.net>

	* src/pro/scope_varfetch.pro:
	removing GDL-written version of scope_varfetch from the repository

2012-07-24  m_schellens  <m_schellens@sf.net>

	* NEWS: Update NEWS

	* src/gdlc.tree.g, src/libinit_jmg.cpp, src/prognode.hpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp, src/basic_fun_jmg.cpp, src/basic_fun_jmg.hpp, configure:
	Working trinary operator for undefined l-values. SCOPE_VARFETCH (only LEVEL keyword).

2012-07-23  m_schellens  <m_schellens@sf.net>

	* src/prognode.cpp, src/prognode.hpp, src/prognodeexpr.cpp:
	trinary operator redefined, working for r-values only. L-value support to be done

	* src/GDLTreeParser.cpp, src/GDLTreeParser.hpp, src/Makefile.in, src/datatypes.cpp, src/datatypesref.cpp, src/dcompiler.cpp, src/dcompiler.hpp, src/gdl.cpp, src/gdlc.tree.g, src/gsl_fun.cpp, src/gsl_matrix.cpp, src/libinit.cpp, src/math_fun.cpp, src/math_fun_jmg.cpp, src/prognodeexpr.cpp, HACKING, NEWS, README, configure.in:
	Proper error handling for GSL. Some minor corrections.

2012-07-22  m_schellens  <m_schellens@sf.net>

	* src/nullgdl.cpp, src/nullgdl.hpp: add files for \!NULL

2012-07-21  m_schellens  <m_schellens@sf.net>

	* src/CMakeLists.txt, src/GDLInterpreter.cpp, src/GDLInterpreter.hpp, src/GDLInterpreterTokenTypes.hpp, src/GDLInterpreterTokenTypes.txt, src/GDLLexer.cpp, src/GDLParser.cpp, src/GDLParser.hpp, src/GDLTokenTypes.hpp, src/GDLTokenTypes.txt, src/GDLTreeParser.cpp, src/GDLTreeParser.hpp, src/GDLTreeParserTokenTypes.hpp, src/GDLTreeParserTokenTypes.txt, src/Makefile.am, src/basegdl.cpp, src/basegdl.hpp, src/basic_fun.cpp, src/basic_pro.cpp, src/basic_pro_jmg.cpp, src/datalistt.hpp, src/datatypes.cpp, src/default_io.cpp, src/dnode.cpp, src/dvar.cpp, src/envt.cpp, src/extrat.hpp, src/gdlc.g, src/gdlc.tree.g, src/gdlwidget.cpp, src/grib.cpp, src/gsl_fun.cpp, src/gsl_matrix.cpp, src/hdf_pro.cpp, src/initsysvar.cpp, src/libinit.cpp, src/ncdf_att_cl.cpp, src/ncdf_cl.cpp, src/ncdf_dim_cl.cpp, src/ncdf_var_cl.cpp, src/plotting_misc.cpp, src/prognode.cpp, src/prognode.hpp, src/prognode_lexpr.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp, src/pythongdl.cpp, src/typedefs.hpp, src/typetraits.cpp, src/widget.cpp:
	\!NULL sysvar (full support). Proper error handling for GSL functions (set up framework + partial implementation)

2012-07-18  m_schellens  <m_schellens@sf.net>

	* src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp:
	Fixed array indexing with negative scalars (introduced in last commit)

2012-07-17  m_schellens  <m_schellens@sf.net>

	* src/pythongdl.cpp:
	Fixed compile error when compiled as python module.

	* src/GDLTreeParser.cpp, src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp, src/basegdl.hpp, src/dcompiler.cpp, src/dimension.hpp, src/gdlc.tree.g, src/prognode.cpp, src/prognodeexpr.cpp, src/prognodeexpr.hpp:
	Fixed lvaue handling for parameters with trinary operator. Fixed return of scalar/single element array for array indexing.

2012-07-16  m_schellens  <m_schellens@sf.net>

	* src/gdlc.i.g, src/GDLInterpreter.cpp, src/envt.cpp, src/envt.hpp, src/extrat.cpp, src/extrat.hpp:
	Fixed keyword parameters to CALL_FUNCTION and CALL_PROCEDURE

2012-07-14  alaingdl  <alaingdl@sf.net>

	* testsuite/test_moment.pro:
	is this way, can work with GDL, new 8 and old IDL versions

	* src/gsl_fun.cpp: typo ...

	* src/gsl_fun.cpp, src/pro/moment.pro, testsuite/test_moment.pro:
	validity of Dimension keyword is now tested ASAP in MOMENT(); visual tests for this keyword; a cout less in FZ_ROOTS ...

2012-07-14  m_schellens  <m_schellens@sf.net>

	* src/GDLInterpreter.cpp, src/arrayindex.hpp, src/gdlc.i.g:
	fixed bug with array indexing in lhs dot expressions

2012-07-13  alaingdl  <alaingdl@sf.net>

	* NEWS: news in NEWS !

	* src/pro/kurtosis.pro, src/pro/mean.pro, src/pro/moment.pro, src/pro/skewness.pro, src/pro/stddev.pro, src/pro/variance.pro:
	updating MEAN(), STDDEV(), VARIANCE(), SKEWNESS(), KURTOSIS() to have Dim= keyword since it is now available via the MOMENT() function. (Tests needed :(

2012-07-11  m_schellens  <m_schellens@sf.net>

	* src/dinterpreter.cpp:
	Fixed proper handling of _retTree in stopped subroutines

2012-07-11  alaingdl  <alaingdl@sf.net>

	* testsuite/test_strsplit.pro:
	adding 4 new test cases into TEST_STRSPLIT

	* src/pro/strsplit.pro: STRSPLIT(): a detail in a test ...

	* src/pro/strsplit.pro:
	in STRSPLIT(), we must return strarr even with single element except for '' !

2012-07-10  m_schellens  <m_schellens@sf.net>

	* src/arrayindexlistnoassoct.hpp, src/convert2.cpp, src/datatypes.cpp:
	fixed bug when copying byte to string array element, COPY_BYTE_AS_INT behaviour in Convert2 was changed

2012-07-05  alaingdl  <alaingdl@sf.net>

	* src/gsl_fun.cpp, testsuite/test_fft_dim.pro:
	FFT( dim= ) should worked now. Test using TEST_FFT_DIM, improvment welcome !

	* testsuite/test_fx_root.pro, src/gsl_fun.cpp:
	improvments in FX_ROOT(): when x_i is a root, short-cut; pure complex code in do-loop.
	Revisited TEST_FX_ROOT, comparison with NEWTON in simple cases.

	* testsuite/test_dicom.pro:
	limited extension of TEST_DICOM, cannot reproduce bug 3150207, but "new" bug when this test called with /version

	* src/gsl_fun.cpp: in FX_ROOT, when result is a real, return a real ...

2012-07-04  alaingdl  <alaingdl@sf.net>

	* src/pro/file_lines.pro:
	correcting bugs 3175753 and 3189065 for FILE_LINES();
	now FILE_LINES() can manage input files list;
	but still having pbs when files name prefixed or suffixed by white spaces ...
	(due to known hard bug 3439079 in WordExp() in "str.cpp")

2012-07-02  m_schellens  <m_schellens@sf.net>

	* src/envt.cpp, src/envt.hpp, src/gsl_fun.cpp:
	Fixed keyword support for CALL_FUNCTION/PROCEDURE

2012-07-02  gilles-duvert  <gilles-duvert@sf.net>

	* src/gdlwidget.cpp:
	compilation with gcc 4.4.3 (linux) was complaining about a possible confusion on this call:
	gdlwidget.cpp: In constructor 'GDLWidgetDropList::GDLWidgetDropList(WidgetIDT, BaseGDL*, BaseGDL*, DString, DLong, DLong)':
	gdlwidget.cpp:629: error: call of overloaded 'wxString(wxCStrData, wxMBConvStrictUTF8&)' is ambiguous
	/usr/local/include/wx-2.9/wx/string.h:1309: note: candidates are: wxString::wxString(const wchar_t*, const wxMBConv&)
	/usr/local/include/wx-2.9/wx/string.h:1296: note:                 wxString::wxString(const unsigned char*, const wxMBConv&)
	/usr/local/include/wx-2.9/wx/string.h:1283: note:                 wxString::wxString(const char*, const wxMBConv&)
	Solved by forcing type const wchar_t*, proceed with fingers crossed.

2012-06-29  alaingdl  <alaingdl@sf.net>

	* testsuite/test_call_function.pro, testsuite/test_call_procedure.pro:
	adding keyword in call to CALL_FUNCTION and CALL_PROCEDURE. Both fail today :(

2012-06-28  alaingdl  <alaingdl@sf.net>

	* src/math_fun_jmg.cpp:
	not clear if my pragma give better times in FINITE() !

	* testsuite/test_finite.pro, src/math_fun_jmg.cpp:
	correcting bug into FINITE(, sign=) [various OS don't behave the same].
	should be OK on INT related and FLOAT related types, not ready for complex.
	Extending "test_finite".

2012-06-28  m_schellens  <m_schellens@sf.net>

	* src/pro/Makefile.in, src/pro/dicom/Makefile.in, testsuite/Makefile.in, doc/Makefile.in, src/CMakeLists.txt, src/Makefile.in, src/antlr/Makefile.in, src/basic_fun.cpp, src/basic_fun_jmg.cpp, src/fftw.cpp, Makefile.in, configure:
	Fixed direct function call via CALL_FUNCTION

2012-06-28  slayoo  <slayoo@sf.net>

	* src/plotting_surface.cpp:
	switching from plmesh to plstream::mesh in plotting_surface()

2012-06-28  alaingdl  <alaingdl@sf.net>

	* NEWS: now FX_ROOT() in GDL, coded in c++ by B. Laurent.

2012-06-27  alaingdl  <alaingdl@sf.net>

	* src/gsl_fun.cpp:
	quiet work inside FX_ROOT(). check on p0 (3 elmnts) not finished.

	* testsuite/test_fx_root.pro:
	test for FX_ROOT() : one new test on roots values

	* testsuite/Makefile.am, testsuite/Makefile.in, testsuite/test_bug_3441031.pro, testsuite/test_call_function.pro, testsuite/test_call_procedure.pro, testsuite/test_execute.pro:
	1/ adding 2 new tests : "test_call_procedure', "test_call_function" (now failing on intrinsic functions),
	2/ extending "test_execute", moving "test_bug_3441031" inside "test_execute".
	3/ adding "test_call_procedure', "test_call_function", "test_fx_root", "test_fz_roots" in Makefile
	4/ removing "test_bug_3441031" from Makefile

2012-06-27  slayoo  <slayoo@sf.net>

	* src/plot3d_nr.cpp, src/Makefile.am, src/Makefile.in, src/plotting_surface.cpp:
	removing plot3d_nr.cpp (thanks to Joel for providing instructions)

2012-06-27  alaingdl  <alaingdl@sf.net>

	* testsuite/test_fx_root.pro: initial import of TEST_FX_ROOT

	* src/gsl_fun.cpp, src/gsl_fun.hpp, src/libinit_ac.cpp:
	initial import of C++ version of FX_ROOT()

2012-06-20  alaingdl  <alaingdl@sf.net>

	* NEWS, testsuite/Makefile.am, testsuite/Makefile.in:
	details (update NEWS !)

	* src/math_fun_jmg.cpp, src/libinit_jmg.cpp:
	adding SIGN Keyword in FINITE ... (M. Pinter)

	* src/plotting_oplot.cpp:
	correcting a bug detected in OPLOT via "test_healpix.pro"

	* testsuite/test_moment.pro: for old idl version, no DIM in MOMENT ...

	* testsuite/test_finite.pro, testsuite/test_moment.pro:
	initial import of TEST_FINITE, including new SIGN keyword tests.

2012-06-19  alaingdl  <alaingdl@sf.net>

	* testsuite/test_moment.pro, testsuite/test_qromo.pro:
	fixing details in test cases QROMO and MOMENT.

2012-06-16  alaingdl  <alaingdl@sf.net>

	* NEWS: details in what we changed

	* src/gsl_fun.cpp:
	correcting code ... isfinite instead lot of tests ...

	* src/pro/moment.pro, testsuite/test_moment.pro:
	revisited MOMENT (new keywords, esp. DIM !)

	* testsuite/test_qromo.pro:
	update test cases for QROMO (we should now cover all the cases)

	* src/gsl_fun.cpp:
	revised version of QROMO by M. Pinter. Should cover all the cases. Good management of NaN/Inf ...

	* testsuite/test_fz_roots.pro:
	tests cases for FZ_ROOTS (preliminary version, errors accumulation not managed !)

	* src/gsl_fun.cpp, src/gsl_fun.hpp, src/libinit_ac.cpp, NEWS:
	initial import of FZ_ROOTS, but works only for input polynomials with real coefs.
	We used the same code in the GSL than the IMSL_ZEROPOLY code ...

2012-06-12  alaingdl  <alaingdl@sf.net>

	* src/pro/tvscl.pro: we decided to overcome NaN problems in TVSCL.

2012-05-25  alaingdl  <alaingdl@sf.net>

	* src/pro/read_png.pro:
	with a fake extra INTERNAL_READ_PNG, pro and func do work transparently.

	* src/pro/hist_equal.pro, src/libinit.cpp:
	adding quiet /COMPILE_FULL_FILE in RESOLVE_ROUTINE; typo corrected in HIST_EQUAL.

2012-05-22  alaingdl  <alaingdl@sf.net>

	* src/pro/hist_equal.pro, testsuite/test_hist_equal.pro:
	initial import of HIST_EQUAL; associated test suite.

2012-05-16  alaingdl  <alaingdl@sf.net>

	* src/pro/standardize.pro: fixing the sign pb in STANDARDIZE

2012-05-14  alaingdl  <alaingdl@sf.net>

	* testsuite/test_standardize.pro, testsuite/test_zip.pro:
	details in tests ...

	* src/pro/hist_equal.pro: fake temporary file (sync. with SF to do)

	* src/pro/Makefile.am, src/pro/Makefile.in, src/pro/STATUS:
	I forgot to update Makefile.am in src/pro with new files HIST_EQUAL and STANDARDIZE

	* testsuite/test_zip.pro:
	revised TEST_ZIP because "stat" options are various ...

2012-05-12  alaingdl  <alaingdl@sf.net>

	* testsuite/Makefile.am, testsuite/Makefile.in:
	adding "test_standardize" in testsuite

	* testsuite/test_standardize.pro, src/pro/standardize.pro, NEWS:
	initial import of STANDARDIZE and related test file

2012-05-10  alaingdl  <alaingdl@sf.net>

	* configure.in:
	Only in classic "configure" way, you can choice between ImageMagick (--with-Magick, default) or GraphicsMagick (--with-GraphicsMagick, off by default,
	if you used it, please desactivate IM via : --without-Magick). Both ways should give same results on PNG and JPEG.

	* src/magick_cl.cpp:
	QUERY_IMAGE should now be OK for ALL JPEG and PNG, please report problems,
	with link to images giving problems !

	* configure.in:
	adding --with-GraphicsMagick=DIR as an alternative to ImageMagick. Tested on Ubuntu 10.04 with success.

	* testsuite/test_read_standard_images.pro, src/magick_cl.cpp:
	extended test suite for PNG and JPEG formats. Useful comments in magick wrapper for later work ...

2012-05-08  alaingdl  <alaingdl@sf.net>

	* doc/www/_news.inc.php, src/pro/smooth.pro, testsuite/test_smooth.pro:
	SMOOTH: revised faster algo for 2D smooth; test_smooth.pro updated too.

2012-04-30  alaingdl  <alaingdl@sf.net>

	* doc/www/_news.inc.php, doc/www/resources.php:
	correcting broken links to ADASS 2011 paper

2012-04-13  gilles-duvert  <gilles-duvert@sf.net>

	* INSTALL:
	Reverted to version 1.21 by Slayoo + a small addendum on libtool problems that I encounter often...

	* testsuite/test_random.pro: more precise "verbose" mode.
	test fails randomly, which is normal with random numbers ;^))

	* testsuite/test_congrid.pro:
	test fails on byte arrays, but this is due to the conversion from double to byte by gdl basics, not by interpolate. This shoudl be investigated separately. I've changed the byte arrays to double by default, keeping byte as an option

2012-04-13  alaingdl  <alaingdl@sf.net>

	* src/interp_multid.h:
	adding a missing file for revised version of INTERPOLATE

2012-04-13  gilles-duvert  <gilles-duvert@sf.net>

	* src/gsl_fun.cpp, src/libinit_jmg.cpp:
	I more or less rewrote INTERPOLATE to support all documented (and some undocumented) features. I added a gsl-like handling of multi-D interpolation (which could be ported easily to gsl), but gsl does not have the same parametric cubic convolution as we want, and does not know about missing values, hence the necessity to overload its basic methods and structures.
	I added the /NEAREST_NEIGHBOUR option in the list of INTERPOLATE options since it makes for a very simple CONGRID procedure, and could be possibly of use elsewhere.

	* src/pro/congrid.pro:
	supports all options now that interpolate has the /nearest_neighbour option.

	* src/basic_fun.cpp: small typo

2012-03-20  gilles-duvert  <gilles-duvert@sf.net>

	* src/extrat.cpp:
	It looks to me that if a kw is in the "warnkey" list it should be considered as valid kw for the "_STRICT_EXTRA" kw passing mechanism.

	* src/libinit.cpp:
	added several keywords to the "warnKey" list of axis, surface and contour. These keywords are to be really supported at some point but it is possible to ignore thme and still have correct outputs, in particular with procedures like the coyotegraphics where *all* the possible keywords are used, even with default values.

2012-03-17  alaingdl  <alaingdl@sf.net>

	* src/devicex.hpp:
	TVRD: beeing able to manage x0, y0, Nx, Ny parameters; no check made :(
	maybe mirroring effect pending

2012-03-15  alaingdl  <alaingdl@sf.net>

	* src/devicex.hpp, src/pro/loadct.pro:
	better management for color tables in LOADCT (good resultS around Coyote lib.)

2012-03-13  alaingdl  <alaingdl@sf.net>

	* src/plotting_erase.cpp:
	ERASE: working version for Decompose == 0 or 1

	* src/libinit.cpp, src/plotting_erase.cpp, NEWS:
	color keyword or parameter for ERASE (maybe not OK when not in /decomposed). Now default !p.background is also take into account. Preparing support for Coyote Lib.

2012-03-06  alaingdl  <alaingdl@sf.net>

	* testsuite/test_image_statistics.pro:
	easy switch introducing fake error in this script.

2012-03-05  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp, src/plotting.hpp, src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_plots.cpp:
	Corrected regression introduced in previous version: while that version was correctly supporting the MIN_VALUE and MAX_VALUE keywords for PLOT and OPLOT when they were present, it was forcing these values even in the absence of the keywords, and even worse, for the PLOTS command.

2012-03-05  alaingdl  <alaingdl@sf.net>

	* testsuite/test_interpol.pro, src/pro/interpol.pro:
	bug corrected in INTERPOL; better testsuite for this function.

2012-02-28  alaingdl  <alaingdl@sf.net>

	* src/pro/findex.pro, src/pro/interpol.pro:
	INTERPOL.pro: temporary solution for bug 3495104. Not the final answer ...

2012-02-21  alaingdl  <alaingdl@sf.net>

	* testsuite/test_bug_3441031.pro:
	no blocking version of the test. This test was generating a crash before mid-Nov. 2011.

2012-02-21  slayoo  <slayoo@sf.net>

	* testsuite/test_bug_3152892.pro: commiting a forgotten file

2012-02-20  slayoo  <slayoo@sf.net>

	* testsuite/test_bug_3488003.pro, testsuite/Makefile.am:
	adding test routine for bug no. 3488003

	* doc/www/_news.inc.php: website update (Ubutnu package)

2012-02-20  m_schellens  <m_schellens@sf.net>

	* src/arrayindexlistnoassoct.hpp, src/arrayindexlistt.hpp:
	fixed an indexing issue (bug ID 3488003)

	* src/Makefile.in, src/gdlwidget.cpp, src/math_fun_jmg.cpp, src/widget.cpp, testsuite/Makefile.in, configure:
	corrected EXECUTE like calls to fit new stack handling

2012-02-19  slayoo  <slayoo@sf.net>

	* CMakeLists.txt, configure.in:
	adding a warning about the planned move from Autotools to CMake to configure.in

2012-02-16  gilles-duvert  <gilles-duvert@sf.net>

	* src/devicex.hpp: solves bug 3477639

	* src/devicex.hpp: solves bug 3485528 and possibly 3434849.

2012-02-15  alaingdl  <alaingdl@sf.net>

	* src/pro/write_image.pro: initial version of WRITE_IMAGE

	* src/pro/write_image.pro, src/pro/Makefile.am, src/pro/Makefile.in, src/pro/read_image.pro, src/pro/read_png.pro:
	initial import of READ_IMAGE(). WRITE_IMAGE to be add later.

2012-02-13  alaingdl  <alaingdl@sf.net>

	* testsuite/test_ludc_lusol.pro:
	in LUDC and LUSOL, we can now testing Float and Double.

	* src/gsl_matrix.cpp, src/libinit_ac.cpp:
	for DETERM, LUDL, LUSOL, extension to "any" input types (not only double).
	Details may not be fully fixed (exception catching, keywords ...) Help welcome.

2012-02-10  alaingdl  <alaingdl@sf.net>

	* testsuite/test_congrid.pro:
	adding a self consistant test (which is not working now !)

2012-02-08  slayoo  <slayoo@sf.net>

	* CMakeLists.txt, configure.in:
	adding Fedora package name hints to CMakeLists.txt and configure.in

2012-02-07  alaingdl  <alaingdl@sf.net>

	* src/pro/read_jpeg.pro: typo ...

	* src/pro/read_jpeg.pro, src/pro/read_png.pro:
	testing agreement of formats before efective reading

	* src/pro/read_jpeg.pro, src/pro/read_png.pro, src/magick_cl.cpp:
	improved reading of JPEG (gray + colors) and PNG files (1,2,3 & 4 channels)

	* src/plotting_misc.cpp:
	when TVLCT applyed, we have to upgrade the color table (check OK on X)

2012-02-06  alaingdl  <alaingdl@sf.net>

	* testsuite/test_read_standard_images.pro: more reliable behavior

	* testsuite/test_tvlct.pro: direct switch into TrueColor mode

	* testsuite/test_read_standard_images.pro, testsuite/test_tvlct.pro:
	initial import of two tests : reading 2 JPEG and 4 PNG as basic cases; verifying TVLCT is working ...

2012-02-03  alaingdl  <alaingdl@sf.net>

	* src/gsl_matrix.cpp, testsuite/Makefile.am, testsuite/Makefile.in, testsuite/test_trisol.pro, NEWS:
	better version for TRISOL (any input types); TEST_TRISOL self-consistant.

	* testsuite/test_congrid.pro:
	in such a way, can be tested on both ways ...

	* src/devicex.hpp, src/plotting_windows.cpp:
	correcting Window, xpos= , ypos= (bug 3482821)

2012-02-02  alaingdl  <alaingdl@sf.net>

	* src/gsl_matrix.cpp, src/gsl_matrix.hpp, src/libinit_ac.cpp:
	initial import of a working draft for TRISOL only for inputs in Double. To be extend to any types.

	* src/pro/read_png.pro:
	coorecting order when reading PNG. Tested on various files with success.

2012-01-30  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_plots.cpp:
	Silently takes care of different sizes in X and Y dimensions for PLOT, PLOTS and OPLOT.
	test, e.g.:
	plot,findgen(1000),findgen(100)*5,/POL
	oplot,findgen(1000),findgen(10)*5,/POL,psym=4

2012-01-28  alaingdl  <alaingdl@sf.net>

	* src/plotting.cpp:
	{X|Y}range keyword in type double should be managed ...

	* src/pro/read_jpeg.pro:
	correction in READ_JPEG when GrayScale, bug report 3471918

2012-01-27  alaingdl  <alaingdl@sf.net>

	* src/pro/Makefile.am:
	in src/pro/Makefile.am, *.pro list must be alphabeticaly ordered

2012-01-27  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp, src/plotting.hpp, src/plotting_axis.cpp:
	Better support of the Log options (and values in CRANGE).
	PLOTS can now plot outside box in DATA mode.
	Cursor give correct data values even in log plots.
	valmin, valmax are handled at plot level, not at box limits.
	passes all the graphic tests.
	Removed temporarily support for 'clip" , to be continued.
	axis: changes only to follow changes in a function call arguments.

	* src/plotting_contour.cpp, src/plotting_cursor.cpp, src/plotting_oplot.cpp, src/plotting_plot.cpp, src/plotting_plots.cpp, src/plotting_polyfill.cpp, src/plotting_surface.cpp, src/plotting_xyouts.cpp:
	Better support of the Log options (and values in CRANGE).
	PLOTS can now plot outside box in DATA mode.
	Cursor give correct data values even in log plots.
	valmin, valmax are handled at plot level, not at box limits.
	passes all the graphic tests.
	Removed temporarily support for 'clip" , to be continued.
	Polyfill and surface: changes only to follow changes in a function call arguments.

2012-01-26  gilles-duvert  <gilles-duvert@sf.net>

	* src/gdlxstream.cpp:
	It seems to me that this small patch mimics better the *DL behaviour and its doc (?)

	* testsuite/test_plotting_ranges.pro:
	updated test to sync with new capability, CRANGE OK in /YLOG mode

2012-01-25  gilles-duvert  <gilles-duvert@sf.net>

	* src/plotting.cpp: changed pow(x,10) in pow(10,x)

2012-01-25  alaingdl  <alaingdl@sf.net>

	* src/plotting.cpp:
	hum, better way to have the !X.type info at the right places for get/set !{xyz}.crange

	* src/plotting.cpp:
	small change for !X.CRange (!Y.crange and !Z.crange too !) to manage Log. plots.

2012-01-24  gilles-duvert  <gilles-duvert@sf.net>

	* INSTALL:
	Added a comment about how to update aclocal to local version of libtool if there is a problem.
	Tested on Mandriva Linux, your mileage may vary.

2012-01-24  alaingdl  <alaingdl@sf.net>

	* doc/udg/README.txt:
	initial import of an HowTo to help compiling the documentation.

	* src/pro/Makefile.am, src/pro/Makefile.in, src/pro/get_login_info.pro:
	initial import of GET_LOGIN_INFO

	* testsuite/test_congrid.pro:
